# --
# Kernel/Language/tr.pm - provides Turkish language translation
# Copyright (C) 2001-2012 OTRS AG, http://otrs.org/
# --
# $Id: tr.pm,v 1.48.2.4 2012-03-09 07:37:05 mg Exp $
# --
# This software comes with ABSOLUTELY NO WARRANTY. For details, see
# the enclosed file COPYING for license information (AGPL). If you
# did not receive this file, see http://www.gnu.org/licenses/agpl.txt.
# --
package Kernel::Language::tr;

use strict;
use warnings;

use vars qw($VERSION);
$VERSION = qw($Revision: 1.48.2.4 $)[1];

sub Data {
    my $Self = shift;

    # $$START$$
    # Last translation file sync: 2012-03-09 08:32:10

    # possible charsets
    $Self->{Charset} = ['iso-8859-9', ];
    # date formats (%A=WeekDay;%B=LongMonth;%T=Time;%D=Day;%M=Month;%Y=Year;)
    $Self->{DateFormat}          = '%D.%M.%Y %T';
    $Self->{DateFormatLong}      = '%T - %D.%M.%Y';
    $Self->{DateFormatShort}     = '%D.%M.%Y';
    $Self->{DateInputFormat}     = '%D.%M.%Y';
    $Self->{DateInputFormatLong} = '%D.%M.%Y - %T';

    # csv separator
    $Self->{Separator} = ';';

    $Self->{Translation} = {

        # Template: AAABase
        'Yes' => 'Evet',
        'No' => 'Hayr',
        'yes' => 'evet',
        'no' => 'hayr',
        'Off' => 'Kapal',
        'off' => 'kapal',
        'On' => 'Ak',
        'on' => 'ak',
        'top' => 'st',
        'end' => 'son',
        'Done' => 'Tamam',
        'Cancel' => 'ptl',
        'Reset' => 'Sfrla',
        'last' => 'son',
        'before' => 'nce',
        'Today' => '',
        'Tomorrow' => '',
        'Next Week' => '',
        'day' => 'gn',
        'days' => 'gn',
        'day(s)' => 'gn',
        'd' => '',
        'hour' => 'saat',
        'hours' => 'saat',
        'hour(s)' => 'saat',
        'Hours' => '',
        'h' => '',
        'minute' => 'dakika',
        'minutes' => 'dakika',
        'minute(s)' => 'dakika',
        'Minutes' => '',
        'm' => '',
        'month' => 'ay',
        'months' => 'ay',
        'month(s)' => 'ay',
        'week' => 'hafta',
        'week(s)' => 'hafta',
        'year' => 'yl',
        'years' => 'yl',
        'year(s)' => 'yl',
        'second(s)' => 'saniye',
        'seconds' => 'saniye',
        'second' => 'saniye',
        's' => '',
        'wrote' => 'yazd',
        'Message' => 'Mesaj',
        'Error' => 'Hata',
        'Bug Report' => 'Hata Kayd',
        'Attention' => 'Dikkat',
        'Warning' => 'Uyar',
        'Module' => 'modl',
        'Modulefile' => 'modl dosyas',
        'Subfunction' => 'Altfonksiyon',
        'Line' => 'Hat',
        'Setting' => 'Ayar',
        'Settings' => 'Ayarlar',
        'Example' => 'rnek',
        'Examples' => 'rnekler',
        'valid' => 'geerli',
        'invalid' => 'geersiz',
        '* invalid' => '* geersiz',
        'invalid-temporarily' => 'geici olarak geersiz',
        ' 2 minutes' => ' 2 dakika',
        ' 5 minutes' => ' 5 dakika',
        ' 7 minutes' => ' 7 dakika',
        '10 minutes' => '10 dakika',
        '15 minutes' => '15 dakika',
        'Mr.' => 'Bay',
        'Mrs.' => 'Bayan',
        'Next' => 'Ileri',
        'Back' => 'Geri',
        'Next...' => 'ileri...',
        '...Back' => '...Geri',
        '-none-' => '-hibiri-',
        'none' => 'hibiri',
        'none!' => 'hibiri!',
        'none - answered' => 'hibiri - cevaplanmad',
        'please do not edit!' => 'Ltfen deitirme!',
        'Need Action' => '',
        'AddLink' => 'Ba Ekle',
        'Link' => 'Ba',
        'Unlink' => 'Ba z',
        'Linked' => 'Baland',
        'Link (Normal)' => 'Ba (Normal)',
        'Link (Parent)' => 'Ba (Ebeveyn)',
        'Link (Child)' => 'Ba (Alt)',
        'Normal' => 'Normal',
        'Parent' => 'Ebeveyn',
        'Child' => 'Alt',
        'Hit' => 'sabet',
        'Hits' => 'sabet',
        'Text' => 'Metin',
        'Standard' => '',
        'Lite' => 'Hafif',
        'User' => 'Kullanc',
        'Username' => 'Kullanc ad',
        'Language' => 'Dil',
        'Languages' => 'Diller',
        'Password' => 'Parola',
        'Preferences' => 'Tercihler',
        'Salutation' => 'Selam',
        'Salutations' => 'Selmlamalar',
        'Signature' => 'mza',
        'Signatures' => 'mzalar',
        'Customer' => 'Mteri',
        'CustomerID' => 'Mteri IDsi',
        'CustomerIDs' => 'Mteri IDleri',
        'customer' => 'mteri',
        'agent' => 'arac',
        'system' => 'sistem',
        'Customer Info' => 'Mteri Bilgisi',
        'Customer Information' => '',
        'Customer Company' => 'Mteri irketi',
        'Customer Companies' => '',
        'Company' => 'irket',
        'go!' => 'Bala!',
        'go' => 'bala',
        'All' => 'Tm',
        'all' => 'tm',
        'Sorry' => 'zgnm',
        'update!' => 'gncelle!',
        'update' => 'gncelle',
        'Update' => 'Gncelle',
        'Updated!' => 'Gncellendi',
        'submit!' => 'gnder!',
        'submit' => 'gnder',
        'Submit' => 'Gnder',
        'change!' => 'deitir!',
        'Change' => 'Deitir',
        'change' => 'deitir',
        'click here' => 'buray tklayn',
        'Comment' => 'Yorum',
        'Valid' => 'Geerli',
        'Invalid Option!' => 'Geersiz Seenek!',
        'Invalid time!' => 'Geersiz saat!',
        'Invalid date!' => 'Geersiz tarih!',
        'Name' => 'Isim',
        'Group' => 'Grup',
        'Description' => 'Aklama',
        'description' => 'aklama',
        'Theme' => 'Tema',
        'Created' => 'Oluturuldu',
        'Created by' => 'Oluturan',
        'Changed' => 'Deitirildi',
        'Changed by' => 'Deitiren',
        'Search' => 'Ara',
        'and' => 've',
        'between' => 'arasnda',
        'Fulltext Search' => 'Tam Metin Aramas',
        'Data' => 'Veri',
        'Options' => 'Seenekler',
        'Title' => 'Balk',
        'Item' => 'Madde',
        'Delete' => 'Sil',
        'Edit' => 'yazimla',
        'View' => 'Grnm',
        'Number' => 'Say',
        'System' => 'Sistem',
        'Contact' => 'Balant',
        'Contacts' => 'Balantlar',
        'Export' => 'Darya aktar',
        'Up' => 'Yukar',
        'Down' => 'Aa',
        'Add' => 'Ekle',
        'Added!' => 'Eklendi',
        'Category' => 'Kategori',
        'Viewer' => 'Grntleyici',
        'Expand' => 'Genilet',
        'Small' => '',
        'Medium' => '',
        'Large' => '',
        'Date picker' => '',
        'New message' => 'Yeni mesaj',
        'New message!' => 'Yeni mesaj!',
        'Please answer this ticket(s) to get back to the normal queue view!' => 'Ltfen normal kuyruk grnmne dnmek iin bu bilet(ler)i cevaplayn!',
        'You have %s new message(s)!' => '%s yeni mesajnz var!',
        'You have %s reminder ticket(s)!' => '%s hatrlatc biletiniz var!',
        'The recommended charset for your language is %s!' => 'Kullandnz dil iin tavsiye edilen karakter seti %s!',
        'Change your password.' => '',
        'Please activate %s first!' => '',
        'No suggestions' => 'neri yok',
        'Word' => 'Kelime',
        'Ignore' => 'Yoksay',
        'replace with' => 'ile deitir',
        'There is no account with that login name.' => 'kullanc ad bilinmiyor.',
        'Login failed! Your user name or password was entered incorrectly.' => '',
        'There is no acount with that user name.' => '',
        'Please contact your administrator' => '',
        'Logout' => 'Oturumu kapat',
        'Logout successful. Thank you for using OTRS!' => 'Oturum kapatma baarl! OTRS\'yi kullandnz iin teekkr ederiz!',
        'Invalid SessionID!' => 'Geersiz oturum kimlii!',
        'Feature not active!' => 'zellik etkin deil!',
        'Agent updated!' => '',
        'Create Database' => 'Veritabann Olutur',
        'System Settings' => 'Sistem Ayarlar',
        'Mail Configuration' => '',
        'Finished' => 'Tamamland',
        'Login is needed!' => 'Oturum amanz gerekli!',
        'Password is needed!' => 'Parola gerekli!',
        'License' => 'Lisans',
        'Take this Customer' => 'Bu Mteriyi al',
        'Take this User' => 'Bu Kullancy al',
        'possible' => 'mmkn',
        'reject' => 'red',
        'reverse' => 'ters',
        'Facility' => 'Tesis',
        'Time Zone' => '',
        'Pending till' => 'u zamana kadar askda',
        'Don\'t use the Superuser account to work with OTRS! Create new Agents and work with these accounts instead.' => '',
        'Dispatching by email To: field.' => 'Elektronik posta Kime: alanna gre gnderiliyor.',
        'Dispatching by selected Queue.' => 'Seili Kuyrua gre gnderiliyor.',
        'No entry found!' => 'Kayt bulunamad!',
        'Session has timed out. Please log in again.' => 'Oturum sresi doldu. Ltfen tekrar oturum an.',
        'No Permission!' => 'Yasak!',
        'To: (%s) replaced with database email!' => 'Kime: (%s) veritaban elektronik postasyla deitirildi!',
        'Cc: (%s) added database email!' => 'Karbon kopya: (%s) veritaban elektronik postas eklendi!',
        '(Click here to add)' => '(Eklemek iin buray tklayn)',
        'Preview' => 'nizleme',
        'Package not correctly deployed! You should reinstall the Package again!' => 'Paket doru ekilde yklenmedi! Paketi yeniden ykleyin!',
        '%s is not writable!' => '',
        'Cannot create %s!' => '',
        'Check to activate this date' => '',
        'Customer %s added' => '',
        'Role added!' => '',
        'Role updated!' => '',
        'Attachment added!' => '',
        'Attachment updated!' => '',
        'Response added!' => '',
        'Response updated!' => '',
        'Group updated!' => '',
        'Queue added!' => '',
        'Queue updated!' => '',
        'State added!' => '',
        'State updated!' => '',
        'Type added!' => '',
        'Type updated!' => '',
        'Customer updated!' => '',
        'Contract' => 'Kontrat',
        'Online Customer: %s' => 'Online Mteri: %s',
        'Online Agent: %s' => 'Online Arac: %s',
        'Calendar' => 'Takvim',
        'File' => 'Dosya',
        'Filename' => 'Dosya ad',
        'Type' => 'Tip',
        'Size' => 'Boyut',
        'Upload' => 'Ykle',
        'Directory' => 'Dizin',
        'Signed' => 'mzal',
        'Sign' => 'mza',
        'Crypted' => 'ifrelenmi',
        'Crypt' => 'ifrele',
        'PGP' => '',
        'PGP Key' => '',
        'PGP Keys' => '',
        'S/MIME' => '',
        'S/MIME Certificate' => '',
        'S/MIME Certificates' => '',
        'Office' => 'Ofis',
        'Phone' => 'Telefon',
        'Fax' => 'Faks',
        'Mobile' => 'Cep',
        'Zip' => 'PK',
        'City' => 'ehir',
        'Street' => 'cadde',
        'Country' => 'lke',
        'Location' => 'konum',
        'installed' => 'yklendi',
        'uninstalled' => 'kaldrlm',
        'Security Note: You should activate %s because application is already running!' => 'Gvenlik notu: %s etkinletirilmeli nk uygulama halihazrda alyor!',
        'Unable to parse repository index document.' => '',
        'No packages for your framework version found in this repository, it only contains packages for other framework versions.' => '',
        'No packages, or no new packages, found in selected repository.' => '',
        'Edit the system configuration settings.' => '',
        'printed at' => 'yazdrld',
        'Loading...' => '',
        'Dear Mr. %s,' => 'Sayn Bay %s,',
        'Dear Mrs. %s,' => 'Sayn Bayan %s,',
        'Dear %s,' => 'Sayn %s,',
        'Hello %s,' => 'Merhaba %s,',
        'This email address already exists. Please log in or reset your password.' => '',
        'New account created. Sent login information to %s. Please check your email.' => '',
        'Please press Back and try again.' => 'Lften geri tuuna basnz ve tekrar deneyiniz',
        'Sent password reset instructions. Please check your email.' => '',
        'Sent new password to %s. Please check your email.' => '',
        'Upcoming Events' => 'gelecek olgular',
        'Event' => 'Olgu',
        'Events' => 'olgular',
        'Invalid Token!' => 'geersiz simge',
        'more' => 'daha fazla',
        'For more info see:' => 'daha geni bilgi iin baknz',
        'Package verification failed!' => 'paket dorulamas hatal',
        'Collapse' => 'daralt',
        'Shown' => '',
        'News' => 'yenilikler',
        'Product News' => 'rn yenilikleri',
        'OTRS News' => '',
        '7 Day Stats' => '',
        'Bold' => 'kaln',
        'Italic' => 'italik',
        'Underline' => 'alt izili',
        'Font Color' => 'karakter rengi',
        'Background Color' => 'fon rengi',
        'Remove Formatting' => 'format sil',
        'Show/Hide Hidden Elements' => 'gizli blmleri gster/kapat',
        'Align Left' => 'sola hizala',
        'Align Center' => 'ortaya hizala',
        'Align Right' => 'saa hizala',
        'Justify' => 'satr uzunluunu ayarla',
        'Header' => 'Balk',
        'Indent' => 'Ieri',
        'Outdent' => 'Dar',
        'Create an Unordered List' => 'Dzensiz liste yarat',
        'Create an Ordered List' => 'Dzenli iste yarat',
        'HTML Link' => 'HTML ba',
        'Insert Image' => 'Resim ykle',
        'CTRL' => 'CTRL',
        'SHIFT' => 'SHIFT',
        'Undo' => 'Geri',
        'Redo' => 'Tekrar',

        # Template: AAAMonth
        'Jan' => 'Oca',
        'Feb' => 'ub',
        'Mar' => 'Mar',
        'Apr' => 'Nis',
        'May' => 'May',
        'Jun' => 'Haz',
        'Jul' => 'Tem',
        'Aug' => 'Au',
        'Sep' => 'Eyl',
        'Oct' => 'Eki',
        'Nov' => 'Kas',
        'Dec' => 'Ara',
        'January' => 'Ocak',
        'February' => 'ubat',
        'March' => 'Mart',
        'April' => 'Nisan',
        'May_long' => 'Mays',
        'June' => 'Haziran',
        'July' => 'Temmuz',
        'August' => 'Austos',
        'September' => 'Eyll',
        'October' => 'Ekim',
        'November' => 'Kasm',
        'December' => 'Aralk',

        # Template: AAAPreferences
        'Preferences updated successfully!' => 'Tercihler baarl bir ekilde gncellendi!',
        'User Profile' => '',
        'Email Settings' => '',
        'Other Settings' => '',
        'Change Password' => 'Parola Deitir',
        'Current Password' => '',
        'New password' => 'Yeni parola',
        'Verify password' => '',
        'Spelling Dictionary' => 'Szdizim Szl',
        'Default spelling dictionary' => '',
        'Max. shown Tickets a page in Overview.' => 'Genel bakta bir sayfada gsterilecek en fazla Bilet says.',
        'The current password is not correct. Please try again!' => '',
        'Can\'t update password, your new passwords do not match. Please try again!' => '',
        'Can\'t update password, it contains invalid characters!' => '',
        'Can\'t update password, it must be at least %s characters long!' => '',
        'Can\'t update password, it must contain at least 2 lowercase  and 2 uppercase characters!' => '',
        'Can\'t update password, it must contain at least 1 digit!' => '',
        'Can\'t update password, it must contain at least 2 characters!' => '',
        'Can\'t update password, this password has already been used. Please choose a new one!' => '',
        'Select the separator character used in CSV files (stats and searches). If you don\'t select a separator here, the default separator for your language will be used.' => '',
        'CSV Separator' => '',

        # Template: AAAStats
        'Stat' => 'statistikler',
        'Sum' => '',
        'Please fill out the required fields!' => 'Ltfen zorunlu alanlar doldurun!',
        'Please select a file!' => 'Ltfen bir dosya sein!',
        'Please select an object!' => 'Ltfen bir nesne sein!',
        'Please select a graph size!' => 'Ltfen bir grafik boyutu sein!',
        'Please select one element for the X-axis!' => 'Ltfen X ekseni iin bir eleman sein!',
        'Please select only one element or turn off the button \'Fixed\' where the select field is marked!' => 'Ltfen sadece bir eleman sein veya seim alannn iaretli olduu yerden \'Sabit\' dmesini kapatn!',
        'If you use a checkbox you have to select some attributes of the select field!' => 'Eer bir iaretleme kutusu kullanrsanz seim alanndan baz nitelikleri semelisiniz!',
        'Please insert a value in the selected input field or turn off the \'Fixed\' checkbox!' => 'Ltfen seili giri alanna bir deer girin veya \'Sabit\' iaretleme kutusunu kapatn!',
        'The selected end time is before the start time!' => 'Seilen biti zaman balama zamanndan nce!',
        'You have to select one or more attributes from the select field!' => 'Seim alanndan bir veya daha fazla nitelik semelisiniz!',
        'The selected Date isn\'t valid!' => 'Seilen Tarih geerli deil!',
        'Please select only one or two elements via the checkbox!' => 'Ltfen iaretleme kutusu vastasyla sadece bir veya iki eleman sein!',
        'If you use a time scale element you can only select one element!' => 'Eer bir zaman oran eleman kullanrsanz sadece bir eleman seebilirsiniz!',
        'You have an error in your time selection!' => 'Zaman seiminizde bir hata var!',
        'Your reporting time interval is too small, please use a larger time scale!' => 'Raporlama zaman sklnz ok kk, ltfen daha byk bir zaman oran sein!',
        'The selected start time is before the allowed start time!' => 'Seilen balang zaman izin verilen balang zamanndan nce!',
        'The selected end time is after the allowed end time!' => 'Seilen biti zaman izin verilen biti zamanndan sonra!',
        'The selected time period is larger than the allowed time period!' => 'Seilen zaman dnemi izin verilen zaman dneminden daha byk!',
        'Common Specification' => 'Genel Belirtim',
        'X-axis' => 'X-Ekseni',
        'Value Series' => 'Deer Serileri',
        'Restrictions' => 'Kstlamalar',
        'graph-lines' => 'grafik-izgiler',
        'graph-bars' => 'grafik-ubuklar',
        'graph-hbars' => 'grafik-yatay ubuklar',
        'graph-points' => 'grafik-noktalar',
        'graph-lines-points' => 'grafik-izgiler-noktalar',
        'graph-area' => 'grafik-alan',
        'graph-pie' => 'grafik-pasta',
        'extended' => 'geniletilmi',
        'Agent/Owner' => 'Arac/Sahip',
        'Created by Agent/Owner' => 'Arac/Sahip Tarafndan Oluturulmu',
        'Created Priority' => 'Oluturulma ncelii',
        'Created State' => 'Oluturulma Durumu',
        'Create Time' => 'Oluturulma Zaman',
        'CustomerUserLogin' => 'Mteri Kullanc Oturumu',
        'Close Time' => 'Kapatma Saati',
        'TicketAccumulation' => 'Bilet younlamas',
        'Attributes to be printed' => 'yazdrlacak veriler',
        'Sort sequence' => 'dzenleme sras',
        'Order by' => 'Sralama',
        'Limit' => 'Snr',
        'Ticketlist' => 'Biletlistesi',
        'ascending' => 'karak',
        'descending' => 'inerek',
        'First Lock' => 'ilk kilitleme',
        'Evaluation by' => '',
        'Total Time' => 'Tm sre',
        'Ticket Average' => 'Bilet ortalamas',
        'Ticket Min Time' => 'Bilet minimum sresi',
        'Ticket Max Time' => 'Bilet maximum sresi',
        'Number of Tickets' => 'Bilet says',
        'Article Average' => 'yaz ortalamas',
        'Article Min Time' => 'yaz minimum sresi',
        'Article Max Time' => 'yaz maximum sresi',
        'Number of Articles' => 'yaz says',
        'Accounted time by Agent' => 'arac sresi toplama',
        'Ticket/Article Accounted Time' => 'Bilet/yaz sresi toplam',
        'TicketAccountedTime' => '',
        'Ticket Create Time' => 'bilet balang saati',
        'Ticket Close Time' => 'bilet kapanma saati',

        # Template: AAATicket
        'Status View' => '',
        'Bulk' => '',
        'Lock' => 'Kilitle',
        'Unlock' => 'Kilidi A',
        'History' => 'Gemi',
        'Zoom' => 'Yaknlama',
        'Age' => 'Ya',
        'Bounce' => 'Yanst',
        'Forward' => 'leri',
        'From' => 'Kimden',
        'To' => 'Kime',
        'Cc' => 'Karbon Kopya',
        'Bcc' => 'Gizli Karbon Kopya',
        'Subject' => 'Konu',
        'Move' => 'Ta',
        'Queue' => 'Kuyrua koy',
        'Queues' => 'Kuyruklar',
        'Priority' => 'ncelik',
        'Priorities' => '',
        'Priority Update' => '',
        'SLA' => 'SLA',
        'Service Level Agreement' => '',
        'Service Level Agreements' => '',
        'Service' => 'Servis',
        'Services' => '',
        'State' => 'Durum',
        'States' => '',
        'Status' => 'Durum',
        'Statuses' => '',
        'Ticket Type' => '',
        'Ticket Types' => '',
        'Compose' => 'Yeni Olutur',
        'Pending' => 'Bekliyor',
        'Owner' => 'Sahip',
        'Owner Update' => 'Sahip Gncellemesi',
        'Responsible' => 'Sorumlu',
        'Responsible Update' => 'Sorumlu Gncellemesi',
        'Sender' => 'Gnderen',
        'Article' => 'Yaz',
        'Ticket' => 'Bilet',
        'Createtime' => 'Oluturulma zaman',
        'plain' => 'dz',
        'Email' => 'E-Posta',
        'email' => 'e-posta',
        'Close' => 'Kapat',
        'Action' => 'Eylem',
        'Attachment' => 'Ek',
        'Attachments' => 'Ekler',
        'This message was written in a character set other than your own.' => 'Bu mesaj sizinkinin dnda bir karakter kmesinde yazlm.',
        'If it is not displayed correctly,' => 'Eer doru grntlenmezse,',
        'This is a' => 'Bu bir',
        'to open it in a new window.' => 'yeni pencerede amak iin',
        'This is a HTML email. Click here to show it.' => 'Bu HTML biimli bir e-posta. Gstermek iin buraya tklayn.',
        'Free Fields' => 'Serbest Alanlar',
        'Merge' => 'birletir',
        'merged' => 'birletirildi',
        'closed successful' => 'kapatma baarl',
        'closed unsuccessful' => 'kapatma baarsz',
        'Locked Tickets Total' => '',
        'Locked Tickets Reminder Reached' => '',
        'Locked Tickets New' => '',
        'Responsible Tickets Total' => '',
        'Responsible Tickets New' => '',
        'Responsible Tickets Reminder Reached' => '',
        'Watched Tickets Total' => '',
        'Watched Tickets New' => '',
        'Watched Tickets Reminder Reached' => '',
        'All tickets' => 'Tm biletler',
        'Tickets available' => 'Uygun biletler',
        'Escalation' => '',
        'last-search' => '',
        'QueueView' => 'Kuyruk Grnm',
        'Ticket Escalation View' => '',
        'Message from' => '',
        'End message' => '',
        'Forwarded message from' => '',
        'End forwarded message' => '',
        'new' => 'yeni',
        'open' => 'a',
        'Open' => '',
        'closed' => 'kapal',
        'Closed' => '',
        'removed' => 'kaldrld',
        'pending reminder' => 'bekleyen hatrlatc',
        'pending auto' => 'bekleyen otomatik',
        'pending auto close+' => 'bekleyen otomatik kapat+',
        'pending auto close-' => 'bekleyen otomatik kapat-',
        'email-external' => 'e-posta-haric',
        'email-internal' => 'e-posta-dahil',
        'note-external' => 'not-haric',
        'note-internal' => 'not-dahil',
        'note-report' => 'not-rapor',
        'phone' => 'telefon',
        'sms' => 'ksa mesaj',
        'webrequest' => 'web istei',
        'lock' => 'kilitle',
        'unlock' => 'kilidi a',
        'very low' => 'ok dk',
        'low' => 'dk',
        'normal' => 'normal',
        'high' => 'yksek',
        'very high' => 'ok yksek',
        '1 very low' => '1 ok dk',
        '2 low' => '2 dk',
        '3 normal' => '3 normal',
        '4 high' => '4 yksek',
        '5 very high' => '5 ok yksek',
        'Ticket "%s" created!' => '"%s" bileti oluturuldu!',
        'Ticket Number' => 'Bilet Numaras',
        'Ticket Object' => 'Bilet Nesnesi',
        'No such Ticket Number "%s"! Can\'t link it!' => '"%s" Bilet Numaras yok! Ona balanamaz!',
        'Don\'t show closed Tickets' => 'Kapal Biletleri gsterme',
        'Show closed Tickets' => 'Kapal Biletleri gster',
        'New Article' => 'Yeni Yaz',
        'Unread article(s) available' => '',
        'Remove from list of watched tickets' => '',
        'Add to list of watched tickets' => '',
        'Email-Ticket' => 'E-Posta-Bilet',
        'Create new Email Ticket' => 'Yeni E-Posta-Bilet olutur',
        'Phone-Ticket' => 'Telefon-Bilet',
        'Search Tickets' => 'Biletleri Ara',
        'Edit Customer Users' => 'Mteri Kullanclar Belirle',
        'Edit Customer Company' => '',
        'Bulk Action' => 'Toplu lem',
        'Bulk Actions on Tickets' => 'Biletler zerinde Toplu lem',
        'Send Email and create a new Ticket' => 'E-Postay gnder ve yeni Bilet olutur',
        'Create new Email Ticket and send this out (Outbound)' => 'Yeni E-Posta-Bilet olutur ve bunu gnder (dar)',
        'Create new Phone Ticket (Inbound)' => 'Yeni Telefon-Bilet',
        'Overview of all open Tickets' => 'Tm ak Biletlere genel bak',
        'Locked Tickets' => 'Kilitli Biletler',
        'My Locked Tickets' => '',
        'My Watched Tickets' => '',
        'My Responsible Tickets' => '',
        'Watched Tickets' => 'zlenen Biletler',
        'Watched' => 'zlenen',
        'Watch' => '',
        'Unwatch' => '',
        'Lock it to work on it!' => 'zerinde almak iin kilitle!',
        'Unlock to give it back to the queue!' => 'Kilidini kaldr ve kuyrua geri ver!',
        'Shows the ticket history!' => 'Bilet gemiini gsterir!',
        'Print this ticket!' => 'Bu bileti yazdr!',
        'Change the ticket priority!' => 'Bilet nceliini deitir!',
        'Change the ticket free fields!' => 'Biletteki serbest alanlar deitir!',
        'Link this ticket to an other objects!' => 'Bu bileti baka nesnelere bala!',
        'Change the ticket owner!' => 'Bilet sahibini deitir!',
        'Change the ticket customer!' => 'Bilet mterisini deitir!',
        'Add a note to this ticket!' => 'Bu bilete bir not ekle!',
        'Merge this ticket!' => 'Bu bileti birletir!',
        'Set this ticket to pending!' => 'Bu bileti beklemeye al!',
        'Close this ticket!' => 'Bu bileti kapat!',
        'Look into a ticket!' => 'Bir bilete bak!',
        'Delete this ticket!' => 'Bu bileti sil!',
        'Mark as Spam!' => 'Spam (p) olarak iaretle!',
        'My Queues' => 'Kuyruklarm',
        'Shown Tickets' => 'Gsterilen Biletler',
        'Your email with ticket number "<OTRS_TICKET>" is merged to "<OTRS_MERGE_TO_TICKET>".' => '"<OTRS_TICKET>" bilet numaral e-postanz "<OTRS_MERGE_TO_TICKET>" ile birletirildi.',
        'Ticket %s: first response time is over (%s)!' => 'Bilet %s: ilk yant zaman ald (%s)!',
        'Ticket %s: first response time will be over in %s!' => 'Bilet %s: %s iinde ilk yant zaman alacak!',
        'Ticket %s: update time is over (%s)!' => 'Bilet %s: gncelleme zaman ald (%s)!',
        'Ticket %s: update time will be over in %s!' => 'Bilet %s: %s iinde gncelleme zaman alacak!',
        'Ticket %s: solution time is over (%s)!' => 'Bilet %s: zme zaman ald (%s)!',
        'Ticket %s: solution time will be over in %s!' => 'Bilet %s: %s iinde zme zaman alacak!',
        'There are more escalated tickets!' => 'Baka ykseltilmi biletler var!',
        'Plain Format' => '',
        'Reply All' => '',
        'Direction' => '',
        'Agent (All with write permissions)' => '',
        'Agent (Owner)' => '',
        'Agent (Responsible)' => '',
        'Ticket is locked by another agent.' => '',
        'New ticket notification' => 'Yeni bilet bildirimi',
        'Send me a notification if there is a new ticket in "My Queues".' => '"Kuyruklarm"da yeni bir bilet olduunda bana bildirim gnder.',
        'Send new ticket notifications' => '',
        'Ticket follow up notification' => '',
        'Ticket lock timeout notification' => 'Bilet kilidi zaman am bildirimi',
        'Send me a notification if a ticket is unlocked by the system.' => 'Bir biletin kilidi sistem tarafndan kaldrldnda bana bildirim gnder.',
        'Send ticket lock timeout notifications' => '',
        'Ticket move notification' => '',
        'Send me a notification if a ticket is moved into one of "My Queues".' => 'Bilet "Kuyruklarm"dan birine tandnda bana bildirim gnder',
        'Send ticket move notifications' => '',
        'Your queue selection of your favourite queues. You also get notified about those queues via email if enabled.' => 'Favori kuyruklarnzn seim kuyruu. Bu kuyruklar hakknda da e-posta yoluyla (eer aksa) bildirim alrsnz.',
        'Custom Queue' => 'zel Kuyruk',
        'QueueView refresh time' => 'Kuyruk Grnm tazeleme zaman',
        'If enabled, the QueueView will automatically refresh after the specified time.' => '',
        'Refresh QueueView after' => '',
        'Screen after new ticket' => 'Yeni Biletten sonraki ekran',
        'Show this screen after I created a new ticket' => '',
        'Closed Tickets' => 'Kapanm Biletler',
        'Show closed tickets.' => 'Kapanm biletleri gster.',
        'Max. shown Tickets a page in QueueView.' => 'Kuyruk Grnmnde bir sayfada gsterilecek en fazla Bilet says.',
        'Ticket Overview "Small" Limit' => '',
        'Ticket limit per page for Ticket Overview "Small"' => '',
        'Ticket Overview "Medium" Limit' => '',
        'Ticket limit per page for Ticket Overview "Medium"' => '',
        'Ticket Overview "Preview" Limit' => '',
        'Ticket limit per page for Ticket Overview "Preview"' => '',
        'Ticket watch notification' => '',
        'Send me the same notifications for my watched tickets that the ticket owners will get.' => '',
        'Send ticket watch notifications' => '',
        'Out Of Office Time' => '',
        'New Ticket' => 'Yeni Bilet',
        'Create new Ticket' => 'Yeni Bilet olutur',
        'Customer called' => 'Aranan mteri',
        'phone call' => 'telefon aramas',
        'Phone Call Outbound' => '',
        'Reminder Reached' => 'hatrlatma sresi doldu',
        'Reminder Tickets' => 'hatrlatma biletleri',
        'Escalated Tickets' => '',
        'New Tickets' => 'yeni biletler',
        'Open Tickets / Need to be answered' => 'ak biletler/cevap bekleniyor',
        'All open tickets, these tickets have already been worked on, but need a response' => '',
        'All new tickets, these tickets have not been worked on yet' => '',
        'All escalated tickets' => '',
        'All tickets with a reminder set where the reminder date has been reached' => '',
        'Archived tickets' => '',
        'Unarchived tickets' => '',
        'History::Move' => 'Bilet "%s" (%s) kuyruuna tand, "%s" (%s) kuyruundan.',
        'History::TypeUpdate' => '"%s" (Kimlik=%s) tipi gncellendi.',
        'History::ServiceUpdate' => '"%s" (Kimlik=%s) servisi gncellendi.',
        'History::SLAUpdate' => '"%s" (Kimlik=%s) SLA gncellendi.',
        'History::NewTicket' => 'Yeni [%s] Bileti oluturuldu (Q=%s;P=%s;S=%s).',
        'History::FollowUp' => '[%s] iin takip. %s',
        'History::SendAutoReject' => '"%s" iin Otomatik Red gnderildi.',
        'History::SendAutoReply' => '"%s" iin Otomatik Yant gnderildi.',
        'History::SendAutoFollowUp' => '"%s" iin Otomatik Takip gnderildi.',
        'History::Forward' => '"%s" iletildi.',
        'History::Bounce' => '"%s" telendi.',
        'History::SendAnswer' => '"%s" iin e-posta gnderildi.',
        'History::SendAgentNotification' => '"%s"- "%s" iin aracya bildirim gnderildi.',
        'History::SendCustomerNotification' => '"%s" iin mteriye bildirim gnderildi .',
        'History::EmailAgent' => 'Aracya e-posta gnderildi.',
        'History::EmailCustomer' => 'Mteriye e-posta gnderildi. %s',
        'History::PhoneCallAgent' => 'Arac telefonla arand.',
        'History::PhoneCallCustomer' => 'Mteri telefonla arand.',
        'History::AddNote' => 'Not eklendi (%s)',
        'History::Lock' => 'Bilet kilitlendi.',
        'History::Unlock' => 'Bilet kilidi zld.',
        'History::TimeAccounting' => '%s zaman birimi hesapland. Toplam %s zaman birimi.',
        'History::Remove' => '%s',
        'History::CustomerUpdate' => 'Gncellendi: %s',
        'History::PriorityUpdate' => 'ncelik deitirildi. Eski: "%s" (%s), Yeni: "%s" (%s).',
        'History::OwnerUpdate' => 'Yeni sahip "%s" (Kimlik=%s).',
        'History::LoopProtection' => 'Dng Korumas! "%s" iin otomatik yant gnderilmedi.',
        'History::Misc' => '%s',
        'History::SetPendingTime' => 'Gncellendi: %s',
        'History::StateUpdate' => 'Eski: "%s" Yeni: "%s"',
        'History::TicketFreeTextUpdate' => 'Gncellendi: %s=%s;%s=%s;',
        'History::WebRequestCustomer' => 'Web zerinden Mteri stei.',
        'History::TicketLinkAdd' => '"%s" biletine kpr eklendi.',
        'History::TicketLinkDelete' => '"%s" biletine kpr silinde.',
        'History::Subscribe' => 'Added subscription for user "%s".',
        'History::Unsubscribe' => 'Removed subscription for user "%s".',
        'History::SystemRequest' => '',
        'History::ResponsibleUpdate' => '',
        'History::ArchiveFlagUpdate' => '',

        # Template: AAAWeekDay
        'Sun' => 'Paz',
        'Mon' => 'Pzt',
        'Tue' => 'Sal',
        'Wed' => 'ar',
        'Thu' => 'Per',
        'Fri' => 'Cum',
        'Sat' => 'Cts',

        # Template: AdminAttachment
        'Attachment Management' => 'Eklenti ynetimi',
        'Actions' => '',
        'Go to overview' => '',
        'Add attachment' => '',
        'List' => 'Liste',
        'No data found.' => '',
        'Download file' => '',
        'Delete this attachment' => '',
        'Add Attachment' => '',
        'Edit Attachment' => '',
        'This field is required.' => '',
        'or' => 'veya',

        # Template: AdminAutoResponse
        'Auto Response Management' => 'Otomatik Yant Ynetimi',
        'Add auto response' => '',
        'Add Auto Response' => '',
        'Edit Auto Response' => '',
        'Response' => 'Yant',
        'Auto response from' => '',
        'Reference' => 'Referans',
        'You can use the following tags' => '',
        'To get the first 20 character of the subject.' => 'Konunun ilk 20 karakterini al',
        'To get the first 5 lines of the email.' => 'Elektronik postann ilk 5 satrn al',
        'To get the realname of the sender (if given).' => 'Gnderenin gerek adn al (verilmise)',
        'To get the article attribute' => '',
        ' e. g.' => '',
        'Options of the current customer user data' => '',
        'Ticket owner options' => '',
        'Ticket responsible options' => '',
        'Options of the current user who requested this action' => '',
        'Options of the ticket data' => '',
        'Config options' => '',
        'Example response' => '',

        # Template: AdminCustomerCompany
        'Customer Company Management' => 'Mteri irket Ynetimi',
        'Wildcards like \'*\' are allowed.' => '',
        'Add customer company' => '',
        'Please enter a search term to look for customer companies.' => '',
        'Add Customer Company' => 'Mteri Sirket Ekle',

        # Template: AdminCustomerUser
        'Customer Management' => '',
        'Add customer' => '',
        'Select' => 'Se',
        'Hint' => '',
        'Customer will be needed to have a customer history and to login via customer panel.' => '',
        'Please enter a search term to look for customers.' => '',
        'Last Login' => '',
        'Add Customer' => '',
        'Edit Customer' => '',
        'This field is required and needs to be a valid email address.' => '',
        'This email address is not allowed due to the system configuration.' => '',
        'This email address failed MX check.' => '',
        'DNS problem, please check your configuration and the error log.' => '',
        'The syntax of this email address is incorrect.' => '',

        # Template: AdminCustomerUserGroup
        'Manage Customer-Group Relations' => '',
        'Notice' => '',
        'This feature is disabled!' => 'Bu zellik kapal!',
        'Just use this feature if you want to define group permissions for customers.' => '',
        'Enable it here!' => 'Burada a!',
        'Search for customers.' => '',
        'Edit Customer Default Groups' => '',
        'These groups are automatically assigned to all customers.' => '',
        'You can manage these groups via the configuration setting "CustomerGroupAlwaysGroups".' => '',
        'Filter for Groups' => '',
        'Select the customer:group permissions.' => '',
        'If nothing is selected, then there are no permissions in this group (tickets will not be available for the customer).' => '',
        'Search Result:' => '',
        'Customers' => '',
        'Groups' => 'Gruplar',
        'No matches found.' => '',
        'Change Group Relations for Customer' => '',
        'Change Customer Relations for Group' => '',
        'Toggle %s Permission for all' => '',
        'Toggle %s permission for %s' => '',
        'Customer Default Groups:' => '',
        'No changes can be made to these groups.' => '',
        'ro' => 'so',
        'Read only access to the ticket in this group/queue.' => 'Bu grup/kuyruktaki bilete salt okunur eriim.',
        'rw' => 'oy',
        'Full read and write access to the tickets in this group/queue.' => 'Bu grup/kuyruktaki biletlere tam okuma ve yazma eriimi.',

        # Template: AdminCustomerUserService
        'Manage Customer-Services Relations' => '',
        'Edit default services' => '',
        'Filter for Services' => '',
        'Allocate Services to Customer' => '',
        'Allocate Customers to Service' => '',
        'Toggle active state for all' => '',
        'Active' => 'Etkin',
        'Toggle active state for %s' => '',

        # Template: AdminEmail
        'Admin Notification' => 'Ynetim Bilgilendirme',
        'With this module, administrators can send messages to agents, group or role members.' => '',
        'Create Administrative Message' => '',
        'Your message was sent to' => '',
        'Send message to users' => '',
        'Send message to group members' => '',
        'Group members need to have permission' => '',
        'Send message to role members' => '',
        'Also send to customers in groups' => '',
        'Body' => 'Gvde',
        'Send' => 'Gnder',

        # Template: AdminGenericAgent
        'Generic Agent' => '',
        'Add job' => '',
        'Last run' => 'Son altrma',
        'Run Now!' => 'imdi altr!',
        'Delete this task' => '',
        'Run this task' => '',
        'Job Settings' => '',
        'Job name' => '',
        'Currently this generic agent job will not run automatically.' => '',
        'To enable automatic execution select at least one value from minutes, hours and days!' => '',
        'Schedule minutes' => '',
        'Schedule hours' => '',
        'Schedule days' => '',
        'Toggle this widget' => '',
        'Ticket Filter' => '',
        '(e. g. 10*5155 or 105658*)' => '(rnein 105155 veya 105658*)',
        '(e. g. 234321)' => '(rnein 234321)',
        'Customer login' => '',
        '(e. g. U5150)' => '(rnein U5150)',
        'Fulltext-search in article (e. g. "Mar*in" or "Baue*").' => '',
        'Agent' => 'Arac',
        'Ticket lock' => '',
        'TicketFreeFields' => 'BiletSerbestAlanlar',
        'Create times' => '',
        'No create time settings.' => 'Oluturma zaman ayar yok.',
        'Ticket created' => 'Bilet oluturuldu',
        'Ticket created between' => 'Bilet ikisi arasnda oluturuldu:',
        'Close times' => '',
        'No close time settings.' => '',
        'Ticket closed' => '',
        'Ticket closed between' => '',
        'Pending times' => '',
        'No pending time settings.' => 'Bekleme zaman ayar yok.',
        'Ticket pending time reached' => 'Bilet bekleme zamanna ulald',
        'Ticket pending time reached between' => 'Bilet bekleme zamanna ikisi arasnda ulald:',
        'Escalation times' => '',
        'No escalation time settings.' => '',
        'Ticket escalation time reached' => '',
        'Ticket escalation time reached between' => '',
        'Escalation - first response time' => '',
        'Ticket first response time reached' => '',
        'Ticket first response time reached between' => '',
        'Escalation - update time' => '',
        'Ticket update time reached' => '',
        'Ticket update time reached between' => '',
        'Escalation - solution time' => '',
        'Ticket solution time reached' => '',
        'Ticket solution time reached between' => '',
        'Archive search option' => '',
        'Ticket Action' => '',
        'Set new service' => '',
        'Set new Service Level Agreement' => '',
        'Set new priority' => '',
        'Set new queue' => '',
        'Set new state' => '',
        'Set new agent' => '',
        'new owner' => '',
        'Set new ticket lock' => '',
        'New customer' => '',
        'New customer ID' => '',
        'New title' => '',
        'New type' => '',
        'New TicketFreeFields' => 'Yeni BiletSerbestAlanlar',
        'Archive selected tickets' => '',
        'Add Note' => 'Not Ekle',
        'Time units' => 'Zaman birimleri',
        ' (work units)' => ' (i birimi)',
        'Ticket Commands' => '',
        'Send agent/customer notifications on changes' => '',
        'CMD' => 'Komut',
        'This command will be executed. ARG[0] will be the ticket number. ARG[1] the ticket id.' => 'Bu komut altrlacak. Par[0] bilet bilet numaras olacak. Par[1] bilet kimlii.',
        'Delete tickets' => 'Biletleri sil',
        'Warning: All affected tickets will be removed from the database and cannot be restored!' => '',
        'Execute Custom Module' => '',
        'Param %s key' => '',
        'Param %s value' => '',
        'Save Changes' => '',
        'Save' => 'Kaydet',
        'Results' => 'Sonular',
        '%s Tickets affected! What do you want to do?' => '',
        'Warning: You used the DELETE option. All deleted tickets will be lost!' => '',
        'Edit job' => '',
        'Run job' => '',
        'Affected Tickets' => '',

        # Template: AdminGroup
        'WARNING: When you change the name of the group \'admin\', before making the appropriate changes in the SysConfig, you will be locked out of the administrations panel! If this happens, please rename the group back to admin per SQL statement.' => '',
        'Group Management' => 'Grup Ynetimi',
        'Add group' => '',
        'The admin group is to get in the admin area and the stats group to get stats area.' => 'Ynetim grubu ynetim alanna ve istatistikler grubu istatistik alanna girmek iindir.',
        'Create new groups to handle access permissions for different groups of agent (e. g. purchasing department, support department, sales department, ...). ' => '',
        'It\'s useful for ASP solutions. ' => '',
        'Add Group' => 'Grup Ekle',
        'Edit Group' => '',

        # Template: AdminLog
        'System Log' => 'Sistem Gnl',
        'Here you will find log information about your system.' => '',
        'Hide this message' => '',
        'Recent Log Entries' => '',
        'Time' => 'Zaman',

        # Template: AdminMailAccount
        'Mail Account Management' => '',
        'Add mail account' => '',
        'All incoming emails with one account will be dispatched in the selected queue!' => 'Tek hesapl tm gelen elektronik postalar seili kuyrua gnderilecek!',
        'If your account is trusted, the already existing X-OTRS header at arrival time (for priority, ...) will be used! PostMaster filter will be used anyway.' => 'Eer hesap gvenilir ise, var zamannda (ncelik, ... iin) varolan X-OTRS bal kullanlacak! PostMaster szgeci her halkrda kullanlr.',
        'Host' => 'Sunucu',
        'Delete account' => '',
        'Fetch mail' => '',
        'Add Mail Account' => '',
        'Example: mail.example.com' => '',
        'Trusted' => 'Gvenilir',
        'Dispatching' => 'Gnderiliyor',
        'Edit Mail Account' => '',

        # Template: AdminNavigationBar
        'Admin' => 'Ynetici',
        'Agent Management' => '',
        'Queue Settings' => '',
        'Ticket Settings' => '',
        'System Administration' => '',

        # Template: AdminNotification
        'Notification Management' => 'Bildirim Ynetimi',
        'Select a different language' => '',
        'Filter for Notification' => '',
        'Notifications are sent to an agent or a customer.' => 'Bildirimler bir aracya veya mteriye gnderilirler.',
        'Notification' => 'Bildirimler',
        'Edit Notification' => '',
        'e. g.' => '',
        'Options of the current customer data' => '',

        # Template: AdminNotificationEvent
        'Add notification' => '',
        'Delete this notification' => '',
        'Add Notification' => 'Bildirim ekle',
        'Recipient groups' => '',
        'Recipient agents' => '',
        'Recipient roles' => '',
        'Recipient email addresses' => '',
        'Article type' => 'Metin tipi',
        'Only for ArticleCreate event' => '',
        'Subject match' => '',
        'Body match' => '',
        'Include attachments to notification' => '',
        'Notification article type' => '',
        'Only for notifications to specified email addresses' => '',
        'To get the first 20 character of the subject (of the latest agent article).' => '',
        'To get the first 5 lines of the body (of the latest agent article).' => '',
        'To get the first 20 character of the subject (of the latest customer article).' => '',
        'To get the first 5 lines of the body (of the latest customer article).' => '',

        # Template: AdminPGP
        'PGP Management' => 'PGP Ynetimi',
        'Use this feature if you want to work with PGP keys.' => '',
        'Add PGP key' => '',
        'In this way you can directly edit the keyring configured in SysConfig.' => 'Bu ekilde Sistem Yaplandrmasnda yaplandrlm olan anahtar halkasn (keyring) direkt olarak dzenleyebilirsiniz.',
        'Introduction to PGP' => '',
        'Result' => 'Sonu',
        'Identifier' => 'Tanmlayc',
        'Bit' => 'Bit',
        'Key' => 'Anahtar',
        'Fingerprint' => 'Parmak izi',
        'Expires' => 'Geerliliini yitirme zaman',
        'Delete this key' => '',
        'Add PGP Key' => '',
        'PGP key' => '',

        # Template: AdminPackageManager
        'Package Manager' => 'Paket Yneticisi',
        'Uninstall package' => '',
        'Version' => 'Srm',
        'Do you really want to uninstall this package?' => 'Gerekten bu paketi kaldrmak istiyor musunuz?',
        'Reinstall package' => '',
        'Do you really want to reinstall this package? Any manual changes will be lost.' => '',
        'Continue' => 'Devam et',
        'Install' => 'Ykle',
        'Install Package' => '',
        'Update repository information' => '',
        'Did not find a required feature? OTRS Group provides their subscription customers with exclusive Add-Ons:' => '',
        'Online Repository' => 'evrimii Depo',
        'Vendor' => 'Salayc',
        'Module documentation' => '',
        'Upgrade' => 'Ykselt',
        'Local Repository' => 'Yerel Depo',
        'Uninstall' => 'Kaldr',
        'Package not correctly deployed! You should reinstall the package again!' => '',
        'Reinstall' => 'Yeniden ykle',
        'Download package' => '',
        'Rebuild package' => '',
        'Metadata' => '',
        'Change Log' => '',
        'Date' => 'Tarih',
        'List of Files' => '',
        'Permission' => 'zin',
        'Download' => 'ndir',
        'Download file from package!' => 'Paketten dosya indir!',
        'Required' => 'Gerektirir',
        'PrimaryKey' => 'Ana Anahtar',
        'AutoIncrement' => 'Otomatik Arttr',
        'SQL' => 'SQL',
        'File differences for file %s' => '',

        # Template: AdminPerformanceLog
        'Performance Log' => 'Performans Gnl',
        'This feature is enabled!' => 'Bu zellik ak!',
        'Just use this feature if you want to log each request.' => 'Bu zellii sadece her istei gnle kaydetmek istiyorsanz kullann.',
        'Activating this feature might affect your system performance!' => '',
        'Disable it here!' => 'Burada kapat!',
        'Logfile too large!' => 'Gnlk dosyas ok byk!',
        'The logfile is too large, you need to reset it' => '',
        'Overview' => 'Genel Bak',
        'Range' => 'Aralk',
        'Interface' => 'Arayz',
        'Requests' => 'stekler',
        'Min Response' => 'En Az Yant',
        'Max Response' => 'En ok Yant',
        'Average Response' => 'Ortalama Yant',
        'Period' => 'zaman dilimi',
        'Min' => 'min',
        'Max' => 'max',
        'Average' => 'ortalama',

        # Template: AdminPostMasterFilter
        'PostMaster Filter Management' => 'PostMaster Szge Ynetimi',
        'Add filter' => '',
        'To dispatch or filter incoming emails based on email headers. Matching using Regular Expressions is also possible.' => '',
        'If you want to match only the email address, use EMAILADDRESS:info@example.com in From, To or Cc.' => 'Sadece elektronik posta adresine gre eletirmek istiyorsanz Kimden, Kime veya Karbon Kopya alanlarnda EMAILADDRESS:bilgi@ornek.com kullann.',
        'If you use Regular Expressions, you also can use the matched value in () as [***] in the \'Set\' action.' => '',
        'Delete this filter' => '',
        'Add PostMaster Filter' => '',
        'Edit PostMaster Filter' => '',
        'Filter name' => '',
        'The name is required.' => '',
        'Stop after match' => '',
        'Filter Condition' => '',
        'Value' => 'Deer',
        'The field needs to be a valid regular expression or a literal word.' => '',
        'Set Email Headers' => '',
        'The field needs to be a literal word.' => '',

        # Template: AdminPriority
        'Priority Management' => 'ncelik ynetimi',
        'Add priority' => '',
        'Add Priority' => 'ncelik ekle',
        'Edit Priority' => '',

        # Template: AdminQueue
        'Manage Queues' => '',
        'Add queue' => '',
        'Add Queue' => '',
        'Edit Queue' => '',
        'Sub-queue of' => '',
        'Unlock timeout' => 'Kilidi kaldrmak iin zaman am',
        '0 = no unlock' => '0 = kilit kaldrma yok',
        'Only business hours are counted.' => '',
        'If an agent locks a ticket and does not close it before the unlock timeout has passed, the ticket will unlock and will become available for other agents.' => '',
        'Notify by' => '',
        '0 = no escalation' => '0 = ykseltme yok',
        'If there is not added a customer contact, either email-external or phone, to a new ticket before the time defined here expires, the ticket is escalated.' => '',
        'If there is an article added, such as a follow-up via email or the customer portal, the escalation update time is reset. If there is no customer contact, either email-external or phone, added to a ticket before the time defined here expires, the ticket is escalated.' => '',
        'If the ticket is not set to closed before the time defined here expires, the ticket is escalated.' => '',
        'Follow up Option' => 'Takip eden Seenei',
        'Specifies if follow up to closed tickets would re-open the ticket, be rejected or lead to a new ticket.' => '',
        'Ticket lock after a follow up' => 'Takip eden bir mesajdan sonra bileti kilitle',
        'If a ticket is closed and the customer sends a follow up the ticket will be locked to the old owner.' => '',
        'System address' => '',
        'Will be the sender address of this queue for email answers.' => 'Elektronik posta yantlar iin bu kuyruun gnderen adresi olur.',
        'Default sign key' => '',
        'The salutation for email answers.' => 'Elektronik posta yantlar iin selamlama.',
        'The signature for email answers.' => 'Elektronik posta yantlar iin imza.',

        # Template: AdminQueueAutoResponse
        'Manage Queue-Auto Response Relations' => '',
        'Filter for Queues' => '',
        'Filter for Auto Responses' => '',
        'Auto Responses' => 'Otomatik Yantlar',
        'Change Auto Response Relations for Queue' => '',
        'settings' => 'ayarlar',

        # Template: AdminQueueResponses
        'Manage Response-Queue Relations' => '',
        'Filter' => 'Szge',
        'Filter for Responses' => '',
        'Responses' => 'Yantlar',
        'Change Queue Relations for Response' => '',
        'Change Response Relations for Queue' => '',

        # Template: AdminResponse
        'Manage Responses' => '',
        'Add response' => '',
        'A response is default text to write faster answer (with default text) to customers.' => 'Bir yant, mterilere daha hzl cevap yazabilmek iin nceden hazrlanan metindir.',
        'Don\'t forget to add a new response a queue!' => 'Yeni bir yant bir kuyrua eklemeyi unutmayn!',
        'Delete this entry' => '',
        'Add Response' => '',
        'Edit Response' => '',
        'The current ticket state is' => 'Bilet durumu',
        'Your email address is' => '',

        # Template: AdminResponseAttachment
        'Manage Responses <-> Attachments Relations' => '',
        'Filter for Attachments' => '',
        'Change Response Relations for Attachment' => '',
        'Change Attachment Relations for Response' => '',
        'Toggle active for all' => '',
        'Link %s to selected %s' => '',

        # Template: AdminRole
        'Role Management' => 'Rol Ynetimi',
        'Add role' => '',
        'Create a role and put groups in it. Then add the role to the users.' => 'Bir rol oluturun ve iine gruplardan koyun. Sonra rolu kullanclara atayn.',
        'There are no roles defined. Please use the \'Add\' button to create a new role.' => '',
        'Add Role' => 'Rol Ekle',
        'Edit Role' => '',

        # Template: AdminRoleGroup
        'Manage Role-Group Relations' => '',
        'Filter for Roles' => '',
        'Roles' => 'Roller',
        'Select the role:group permissions.' => '',
        'If nothing is selected, then there are no permissions in this group (tickets will not be available for the role).' => '',
        'Change Role Relations for Group' => '',
        'Change Group Relations for Role' => '',
        'Toggle %s permission for all' => '',
        'move_into' => 'ta',
        'Permissions to move tickets into this group/queue.' => 'Biletleri bu gruba/kuyrua tama izni.',
        'create' => 'yarat',
        'Permissions to create tickets in this group/queue.' => 'Bu grupta/kuyrukta bilet oluturma izni.',
        'priority' => 'ncelik',
        'Permissions to change the ticket priority in this group/queue.' => 'Bu grupta/kuyrukta bilet nceliini deitirme izni.',

        # Template: AdminRoleUser
        'Manage Agent-Role Relations' => '',
        'Filter for Agents' => '',
        'Agents' => '',
        'Manage Role-Agent Relations' => '',
        'Change Role Relations for Agent' => '',
        'Change Agent Relations for Role' => '',

        # Template: AdminSLA
        'SLA Management' => 'SLA Ynetimi',
        'Add SLA' => 'SLA ekle',
        'Edit SLA' => '',
        'Please write only numbers!' => '',

        # Template: AdminSMIME
        'S/MIME Management' => 'S/MIME Ynetimi',
        'Add certificate' => '',
        'Add private key' => '',
        'Filter for certificates' => '',
        'Filter for SMIME certs' => '',
        'In this way you can directly edit the certification and private keys in file system.' => 'Buradan dosya sistemindeki sertifikalar ve kiisel anahtarlar uramadan dzenleyebilirsiniz.',
        'See also' => 'Ayrca baknz',
        'Hash' => 'zel katar (hash)',
        'Create' => 'Olutur',
        'Delete this certificate' => '',
        'Add Certificate' => 'Sertifika Ekle',
        'Add Private Key' => 'Kiisel Anahtar Ekle',
        'Secret' => 'Gizli',

        # Template: AdminSalutation
        'Salutation Management' => 'Selamlama Ynetimi',
        'Add salutation' => '',
        'Add Salutation' => 'Selamlama Ekle',
        'Edit Salutation' => '',
        'Example salutation' => '',

        # Template: AdminSecureMode
        'Secure mode needs to be enabled!' => '',
        'Secure mode will (normally) be set after the initial installation is completed.' => '',
        'Secure mode must be disabled in order to reinstall using the web-installer.' => '',
        'If secure mode is not activated, activate it via SysConfig because your application is already running.' => '',

        # Template: AdminSelectBox
        'SQL Box' => '',
        'Here you can enter SQL to send it directly to the application database.' => '',
        'The syntax of your SQL query has a mistake. Please check it.' => '',
        'There is at least one parameter missing for the binding. Please check it.' => '',
        'Result format' => '',
        'Run Query' => '',

        # Template: AdminService
        'Service Management' => 'Servis Ynetimi',
        'Add service' => '',
        'Add Service' => 'Servis Ekle',
        'Edit Service' => '',
        'Sub-service of' => '',

        # Template: AdminSession
        'Session Management' => 'Oturum Ynetimi',
        'All sessions' => '',
        'Agent sessions' => '',
        'Customer sessions' => '',
        'Unique agents' => '',
        'Unique customers' => '',
        'Kill all sessions' => 'Tm oturumlar ldr',
        'Kill this session' => '',
        'Session' => 'Oturum',
        'Kill' => '',
        'Detail View for SessionID' => '',

        # Template: AdminSignature
        'Signature Management' => 'mza Ynetimi',
        'Add signature' => '',
        'Add Signature' => 'mza Ekle',
        'Edit Signature' => '',
        'Example signature' => '',

        # Template: AdminState
        'State Management' => 'Durum Ynetimi',
        'Add state' => '',
        'Take care that you also updated the default states in you Kernel/Config.pm!' => 'Kernel/Config.pm iindeki ntanml durumlar da deitirdiinizi unutmayn',
        'Add State' => 'Durum Ekle',
        'Edit State' => '',
        'State type' => '',

        # Template: AdminSysConfig
        'SysConfig' => 'Sistem Yaplandrmas',
        'Navigate by searching in %s settings' => '',
        'Navigate by selecting config groups' => '',
        'Download all system config changes' => '',
        'Export settings' => '',
        'Load SysConfig settings from file' => '',
        'Import settings' => '',
        'Import Settings' => '',
        'Import' => 'eri aktar',
        'Please enter a search term to look for settings.' => '',
        'Subgroup' => 'Alt grup',
        'Elements' => 'eler',

        # Template: AdminSysConfigEdit
        'Edit Config Settings' => '',
        'This config item is only available in a higher config level!' => '',
        'Reset this setting' => '',
        'Default value' => '',
        'Error: this file could not be found.' => '',
        'Error: this directory could not be found.' => '',
        'Error: an invalid value was entered.' => '',
        'Content' => 'Ierik',
        'Remove this entry' => '',
        'Add entry' => '',
        'Remove entry' => '',
        'Add new entry' => '',
        'Create new entry' => '',
        'New group' => '',
        'Group ro' => '',
        'Readonly group' => '',
        'New group ro' => '',
        'Loader' => '',
        'File to load for this frontend module' => '',
        'New Loader File' => '',
        'NavBarName' => 'Dolama ubuu Ad',
        'NavBar' => 'Dolama ubuu',
        'LinkOption' => '',
        'Block' => 'Blok',
        'AccessKey' => 'Eriim Tuu',
        'Add NavBar entry' => '',
        'Year' => 'Yl',
        'Month' => 'Ay',
        'Day' => 'Gn',
        'Invalid year' => '',
        'Invalid month' => '',
        'Invalid day' => '',

        # Template: AdminSystemAddress
        'System Email Addresses Management' => 'Sistem E-Posta Adresleri Ynetimi',
        'Add system address' => '',
        'All incoming email with this address in To or Cc will be dispatched to the selected queue.' => '',
        'Email address' => '',
        'Display name' => '',
        'Add System Email Address' => '',
        'Edit System Email Address' => '',
        'The display name and email address will be shown on mail you send.' => '',

        # Template: AdminType
        'Type Management' => 'Tip Ynetimi',
        'Add ticket type' => '',
        'Add Type' => 'Tip Ekle',
        'Edit Type' => '',

        # Template: AdminUser
        'Add agent' => '',
        'Agents will be needed to handle tickets.' => '',
        'Don\'t forget to add a new agent to groups and/or roles!' => '',
        'Please enter a search term to look for agents.' => '',
        'Last login' => '',
        'Login as' => 'Oturum ama kimlii',
        'Switch to agent' => '',
        'Add Agent' => '',
        'Edit Agent' => '',
        'Firstname' => 'Ad',
        'Lastname' => 'Soyad',
        'Password is required.' => '',
        'Start' => 'Bala',
        'End' => 'Son',

        # Template: AdminUserGroup
        'Manage Agent-Group Relations' => '',
        'Change Group Relations for Agent' => '',
        'Change Agent Relations for Group' => '',
        'note' => '',
        'Permissions to add notes to tickets in this group/queue.' => '',
        'owner' => 'sahip',
        'Permissions to change the owner of tickets in this group/queue.' => '',

        # Template: AgentBook
        'Address Book' => 'Adres Defteri',
        'Search for a customer' => '',
        'Add email address %s to the To field' => '',
        'Add email address %s to the Cc field' => '',
        'Add email address %s to the Bcc field' => '',
        'Apply' => '',

        # Template: AgentCustomerSearch
        'Search Customer' => 'Kullanc Ara',

        # Template: AgentCustomerTableView

        # Template: AgentDashboard
        'Dashboard' => '',
        'Show or hide the content' => '',

        # Template: AgentDashboardCalendarOverview
        'in' => '',

        # Template: AgentDashboardIFrame

        # Template: AgentDashboardImage

        # Template: AgentDashboardProductNotify
        '%s %s is available!' => '',
        'Please update now.' => '',
        'Release Note' => '',
        'Level' => '',

        # Template: AgentDashboardRSSOverview
        'Posted %s ago.' => '',

        # Template: AgentDashboardTicketGeneric

        # Template: AgentDashboardTicketStats

        # Template: AgentDashboardUserOnline

        # Template: AgentHTMLReferenceForms

        # Template: AgentHTMLReferenceOverview

        # Template: AgentHTMLReferencePageLayout
        'The ticket has been locked' => '',
        'Undo & close window' => '',

        # Template: AgentInfo
        'Info' => 'Bilgi',
        'To accept some news, a license or some changes.' => '',

        # Template: AgentLinkObject
        'Link Object: %s' => '',
        'Close window' => '',
        'go to link delete screen' => '',
        'Select Target Object' => '',
        'Link Object' => 'Ba Nesnesi',
        'with' => 'ile',
        'Unlink Object: %s' => '',
        'go to link add screen' => '',

        # Template: AgentNavigationBar

        # Template: AgentPreferences
        'Edit your preferences' => '',

        # Template: AgentSpelling
        'Spell Checker' => 'Szdizim Denetleyicisi',
        'spelling error(s)' => 'szdizim hatas',
        'Apply these changes' => 'Bu deiiklikleri uygula',

        # Template: AgentStatsDelete
        'Delete stat' => '',
        'Stat#' => 'statistik numaras',
        'Do you really want to delete this stat?' => '',

        # Template: AgentStatsEditRestrictions
        'Step %s' => '',
        'General Specifications' => '',
        'Select the element that will be used at the X-axis' => '',
        'Select the elements for the value series' => 'Deer serileri iin eleri sein',
        'Select the restrictions to characterize the stat' => '',
        'Here you can make restrictions to your stat.' => 'Burada istatistiklerinize kstlamalar yapabilirsiniz.',
        'If you remove the hook in the "Fixed" checkbox, the agent generating the stat can change the attributes of the corresponding element.' => '"Sabit" kutusunun iaretini kaldrrsanz, istatistii oluturan arac karlk gelen enin niteliklerini deitirebilir.',
        'Fixed' => 'Sabit',
        'Please select only one element or turn off the button \'Fixed\'.' => 'Ltfen sadece bir e sein veya \'Sabit\' dmesini kapatn.',
        'Absolute Period' => '',
        'Between' => 'Arasnda',
        'Relative Period' => 'Deiken Sre',
        'The last' => 'Son',
        'Finish' => 'Bitir',

        # Template: AgentStatsEditSpecification
        'Permissions' => 'zinler',
        'You can select one or more groups to define access for different agents.' => '',
        'Some result formats are disabled because at least one needed package is not installed.' => '',
        'Please contact your administrator.' => '',
        'Graph size' => '',
        'If you use a graph as output format you have to select at least one graph size.' => 'Eer kt biimi olana bir grafik seerseniz en azndan bir grafik boyutu semelisiniz.',
        'Sum rows' => 'Toplam satrlar',
        'Sum columns' => 'Toplam stunlar',
        'Use cache' => '',
        'Most of the stats can be cached. This will speed up the presentation of this stat.' => 'statistiklerin ounluu nbelleklenebilir. Bu, bu istatistiin sunulmasn hzlandrr.',
        'If set to invalid end users can not generate the stat.' => '',

        # Template: AgentStatsEditValueSeries
        'Here you can define the value series.' => '',
        'You have the possibility to select one or two elements.' => '',
        'Then you can select the attributes of elements.' => '',
        'Each attribute will be shown as single value series.' => '',
        'If you don\'t select any attribute all attributes of the element will be used if you generate a stat, as well as new attributes which were added since the last configuration.' => '',
        'Scale' => 'lek',
        'minimal' => 'mmkn olan en dk',
        'Please remember, that the scale for value series has to be larger than the scale for the X-axis (e.g. X-Axis => Month, ValueSeries => Year).' => 'Unutmayn deer serilerinin lei X-ekseninin leinden daha yksek olmaldr (rnein X-ekseni => Ay, Deer Serileri => Yl).',

        # Template: AgentStatsEditXaxis
        'Here you can define the x-axis. You can select one element via the radio button.' => '',
        'maximal period' => 'en yksek sre',
        'minimal scale' => 'en dk lek',

        # Template: AgentStatsImport
        'Import Stat' => '',
        'File is not a Stats config' => 'Dosya bir statistik yaplandrmas deil',
        'No File selected' => 'Dosya seilmedi',

        # Template: AgentStatsOverview
        'Stats' => 'statistikler',
        'Object' => 'Nesne',

        # Template: AgentStatsPrint
        'Print' => 'Yazdr',
        'No Element selected.' => 'e seilmedi.',

        # Template: AgentStatsView
        'Export config' => '',
        'With the input and select fields you can influence the format and contents of the statistic.' => '',
        'Exactly what fields and formats you can influence is defined by the statistic administrator.' => '',
        'Stat Details' => '',
        'Format' => 'Biim',
        'Graphsize' => 'Grafik boyutu',
        'Cache' => 'Tampon',
        'Exchange Axis' => 'Eksenlerin Yerini Deitir',
        'Configurable params of static stat' => 'Deimez istatistiin ayarlanabilir parametreleri',
        'No element selected.' => 'e seilmedi.',
        'maximal period from' => 'en yksek sre undan:',
        'to' => 'una:',

        # Template: AgentTicketActionCommon
        'Change Free Text of Ticket' => '',
        'Change Owner of Ticket' => '',
        'Close Ticket' => '',
        'Add Note to Ticket' => '',
        'Set Pending' => 'Beklemeyi Ayarla',
        'Change Priority of Ticket' => '',
        'Change Responsible of Ticket' => '',
        'Cancel & close window' => '',
        'Service invalid.' => '',
        'New Owner' => 'Yeni Sahip',
        'Please set a new owner!' => '',
        'Previous Owner' => 'nceki sahip',
        'Inform Agent' => 'Aracy bilgilendir',
        'Optional' => 'Seimlik',
        'Inform involved Agents' => 'lgili araclar bilgilendir',
        'Spell check' => '',
        'Note type' => 'Not tipi',
        'Next state' => 'Sonraki durum',
        'Pending date' => 'Bekleme tarihi',
        'Date invalid!' => '',

        # Template: AgentTicketActionPopupClose

        # Template: AgentTicketBounce
        'Bounce Ticket: ' => '',
        'Bounce to' => 'una tele:',
        'You need a email address.' => '',
        'Need a valid email address or don\'t use a local email address.' => '',
        'Next ticket state' => 'Biletin sonraki durumu',
        'Inform sender' => 'Gndereni bilgilendir',
        'Send mail!' => 'Postay gnder!',

        # Template: AgentTicketBulk
        'Ticket Bulk Action' => 'Bilet Toplu lemi',
        'Merge to' => 'una birletir:',
        'Invalid ticket identifier!' => '',
        'Merge to oldest' => '',
        'Link together' => '',
        'Link to parent' => '',
        'Unlock tickets' => '',

        # Template: AgentTicketClose

        # Template: AgentTicketCompose
        'Compose answer for ticket' => 'Bilete cevap yaz',
        'Need a valid email address.' => '',
        'Address book' => '',
        'Pending Date' => 'Bekleme tarihi',
        'for pending* states' => 'Bekleme* durumlar iin',
        'Date Invalid!' => '',

        # Template: AgentTicketCustomer
        'Change customer of ticket' => 'Biletin mterisini deitir',
        'Customer Data' => 'Mteri Verisi',
        'Customer user' => '',

        # Template: AgentTicketEmail
        'Create New Email Ticket' => '',
        'From queue' => '',
        'Get all' => '',

        # Template: AgentTicketEscalation

        # Template: AgentTicketForward
        'Forward ticket: ' => '',
        'Need a valid email address or don\'t use a local email address' => '',

        # Template: AgentTicketFreeText

        # Template: AgentTicketHistory
        'History of' => 'unun tarihesi:',
        'History Content' => '',
        'Zoom view' => '',

        # Template: AgentTicketMerge
        'Ticket Merge' => 'Bilet Birletir',
        'You need to use a ticket number!' => 'Bilet numaras kullanmalsnz!',
        'A valid ticket number is required.' => '',

        # Template: AgentTicketMove
        'Move Ticket' => 'Bileti Ta',
        'New Queue' => 'Yeni Kuyruk',

        # Template: AgentTicketNote

        # Template: AgentTicketOverviewMedium
        'Select all' => '',
        'No ticket data found.' => '',
        'First Response Time' => 'lk Yant Zaman',
        'Service Time' => 'Servis Zaman',
        'Update Time' => 'Gncelleme Zaman',
        'Solution Time' => 'zm Zaman',
        'Move ticket to a different queue' => '',
        'Change queue' => 'Kuyruu deitir',

        # Template: AgentTicketOverviewNavBar
        'Change search options' => 'Arama seeneklerini deitir',
        'Tickets per page' => '',

        # Template: AgentTicketOverviewPreview

        # Template: AgentTicketOverviewSmall
        'Escalation in' => 'Ykselme',
        'Locked' => 'Kilitli',

        # Template: AgentTicketOwner

        # Template: AgentTicketPending

        # Template: AgentTicketPhone
        'Create New Phone Ticket' => '',
        'From customer' => '',
        'To queue' => '',

        # Template: AgentTicketPhoneOutbound
        'Phone call' => 'Telefon aras',

        # Template: AgentTicketPlain
        'Email Text Plain View' => '',
        'Plain' => 'Dz',
        'Download this email' => '',

        # Template: AgentTicketPrint
        'Ticket-Info' => 'Bilet Bilgisi',
        'Accounted time' => 'Hesaplanan zaman',
        'Linked-Object' => 'Bal Nesne',
        'by' => 'tarafndan',

        # Template: AgentTicketPriority

        # Template: AgentTicketQueue

        # Template: AgentTicketResponsible

        # Template: AgentTicketSearch
        'Search template' => 'Arama ablonu',
        'Create Template' => '',
        'Create New' => '',
        'Profile link' => '',
        'Save changes in template' => '',
        'Add another attribute' => '',
        'Output' => 'Sonu Formu',
        'Fulltext' => 'Tmmetin',
        'Remove' => '',
        'Customer User Login' => 'Mteri Kullanc Oturum Ama',
        'Time1' => '',
        'Time2' => '',
        'Time3' => '',
        'Time4' => '',
        'Time5' => '',
        'Time6' => '',
        'Created in Queue' => 'Oluturuldu Kuyruk',
        'Lock state' => '',
        'Watcher' => 'zleyici',
        'Article Create Time (before/after)' => '',
        'Article Create Time (between)' => '',
        'Ticket Create Time (before/after)' => '',
        'Ticket Create Time (between)' => '',
        'Ticket Change Time (before/after)' => '',
        'Ticket Change Time (between)' => '',
        'Ticket Close Time (before/after)' => '',
        'Ticket Close Time (between)' => '',
        'Archive Search' => '',
        'Run Search' => '',

        # Template: AgentTicketSearchOpenSearchDescriptionFulltext

        # Template: AgentTicketSearchOpenSearchDescriptionTicketNumber

        # Template: AgentTicketSearchResultPrint

        # Template: AgentTicketZoom
        'Article filter' => '',
        'Article Type' => 'Yaz tipi',
        'Sender Type' => '',
        'Save filter settings as default' => '',
        'Ticket Information' => '',
        'Linked Objects' => '',
        'Article(s)' => '',
        'Change Queue' => '',
        'Article Filter' => '',
        'Add Filter' => '',
        'Set' => 'Kme',
        'Reset Filter' => '',
        'Show one article' => '',
        'Show all articles' => '',
        'Unread articles' => '',
        'No.' => '',
        'Unread Article!' => '',
        'Incoming message' => '',
        'Outgoing message' => '',
        'Internal message' => '',
        'Resize' => '',

        # Template: AttachmentBlocker
        'To protect your privacy, active or/and remote content has blocked.' => '',
        'Load blocked content.' => '',

        # Template: Copyright

        # Template: CustomerAccept

        # Template: CustomerError
        'Traceback' => 'Geriiz',

        # Template: CustomerFooter
        'Powered by' => '',
        'One or more errors occurred!' => '',
        'Close this dialog' => '',
        'Could not open popup window. Please disable any popup blockers for this application.' => '',

        # Template: CustomerHeader

        # Template: CustomerLogin
        'Login' => 'Oturum a',
        'User name' => '',
        'Your user name' => '',
        'Your password' => '',
        'Forgot password?' => '',
        'Log In' => '',
        'Not yet registered?' => '',
        'Sign up now' => '',
        'Request new password' => 'Yeni parola iste',
        'Your User Name' => '',
        'A new password will be sent to your email address.' => '',
        'Create Account' => 'Hesap olutur',
        'Please fill out this form to recieve login credentials.' => '',
        'How we should address you' => '',
        'Your First Name' => '',
        'Please supply a first name' => '',
        'Your Last Name' => '',
        'Please supply a last name' => '',
        'The User Name you wish to have' => '',
        'Please supply a' => '',

        # Template: CustomerNavigationBar
        'Edit personal preferences' => '',

        # Template: CustomerPreferences

        # Template: CustomerRichTextEditor

        # Template: CustomerTicketMessage
        'Service level agreement' => '',

        # Template: CustomerTicketOverView
        'Welcome!' => '',
        'Please click the button below to create your first ticket.' => '',
        'Create your first ticket' => '',

        # Template: CustomerTicketPrint
        'Ticket Print' => '',

        # Template: CustomerTicketSearch
        'Profile' => 'Profil',
        'e. g. 10*5155 or 105658*' => '',
        'Customer ID' => '',
        'Fulltext search in tickets (e. g. "John*n" or "Will*")' => '',
        'Recipient' => 'alc',
        'Carbon Copy' => '',
        'Time restrictions' => '',
        'Only tickets created' => '',
        'Only tickets created between' => '',
        'Search-Profile as Template?' => '',
        'Save as Template?' => '',
        'Save as Template' => '',
        'Template Name' => '',
        'Pick a profile name' => '',
        'Output to' => '',

        # Template: CustomerTicketSearchOpenSearchDescription

        # Template: CustomerTicketSearchResultPrint

        # Template: CustomerTicketSearchResultShort
        'of' => '..nn',
        'Page' => 'Sayfa',
        'Search Results for' => '',

        # Template: CustomerTicketZoom
        'Expand article' => '',
        'Reply' => '',

        # Template: CustomerWarning

        # Template: Datepicker
        'Invalid date (need a future date)!' => '',
        'Previous' => '',
        'Sunday' => '',
        'Monday' => '',
        'Tuesday' => '',
        'Wednesday' => '',
        'Thursday' => '',
        'Friday' => '',
        'Saturday' => '',
        'Su' => '',
        'Mo' => '',
        'Tu' => '',
        'We' => '',
        'Th' => '',
        'Fr' => '',
        'Sa' => '',
        'Open date selection' => '',

        # Template: Error
        'Oops! An Error occurred.' => '',
        'Error Message' => '',
        'You can' => '',
        'Send a bugreport' => '',
        'go back to the previous page' => '',
        'Error Details' => '',

        # Template: Footer
        'Top of page' => '',

        # Template: FooterJS
        'If you now leave this page, all open popup windows will be closed, too!' => '',
        'A popup of this screen is already open. Do you want to close it and load this one instead?' => '',

        # Template: FooterSmall

        # Template: HTMLHead

        # Template: HTMLHeadBlockEvents

        # Template: Header
        'You are logged in as' => '',

        # Template: HeaderSmall

        # Template: Installer
        'JavaScript not available' => '',
        'In order to experience OTRS, you\'ll need to enable JavaScript in your browser.' => '',
        'Database Settings' => '',
        'General Specifications and Mail Settings' => '',
        'Welcome to %s' => '%s sistemine hogeldiniz',
        'Web site' => '',
        'Database check successful.' => '',
        'Mail check successful.' => '',
        'Error in the mail settings. Please correct and try again.' => '',

        # Template: InstallerConfigureMail
        'Configure Outbound Mail' => '',
        'Outbound mail type' => '',
        'Select outbound mail type.' => '',
        'Outbound mail port' => '',
        'Select outbound mail port.' => '',
        'SMTP host' => '',
        'SMTP host.' => '',
        'SMTP authentication' => '',
        'Does your SMTP host need authentication?' => '',
        'SMTP auth user' => '',
        'Username for SMTP auth.' => '',
        'SMTP auth password' => '',
        'Password for SMTP auth.' => '',
        'Configure Inbound Mail' => '',
        'Inbound mail type' => '',
        'Select inbound mail type.' => '',
        'Inbound mail host' => '',
        'Inbound mail host.' => '',
        'Inbound mail user' => '',
        'User for inbound mail.' => '',
        'Inbound mail password' => '',
        'Password for inbound mail.' => '',
        'Result of mail configuration check' => '',
        'Check mail configuration' => '',
        'Skip this step' => '',

        # Template: InstallerDBResult
        'False' => '',

        # Template: InstallerDBStart
        'If you have set a root password for your database, it must be entered here. If not, leave this field empty. For security reasons we do recommend setting a root password. For more information please refer to your database documentation.' => '',
        'Currently only MySQL is supported in the web installer.' => '',
        'If you want to install OTRS on another database type, please refer to the file README.database.' => '',
        'Database-User' => 'Veritaban kullancs',
        'New' => 'Yeni',
        'A new database user with limited rights will be created for this OTRS system.' => '',
        'default \'hot\'' => 'varsaylan \'host\'',
        'DB--- host' => '',
        'Database' => 'Veritaban',
        'Check database settings' => '',
        'Result of database check' => '',

        # Template: InstallerFinish
        'To be able to use OTRS you have to enter the following line in your command line (Terminal/Shell) as root.' => 'OTRS\'yi kullanabilmek iin komut satrnda (konsol/kabuk/terminal) root kullancs olarak u satr girmelisiniz.',
        'Restart your webserver' => 'Web sunucunuzu yeniden balatn.',
        'After doing so your OTRS is up and running.' => 'Bunu yaptktan sonra OTRS alyor olacak.',
        'Start page' => 'Balang sayfas',
        'Your OTRS Team' => 'OTRS Takmnz',

        # Template: InstallerLicense
        'Accept license' => 'Lisans kabul et',
        'Don\'t accept license' => 'Lisans kabul etme',

        # Template: InstallerLicenseText

        # Template: InstallerSystem
        'SystemID' => 'Sistem Kimlii',
        'The identifier of the system. Each ticket number and each HTTP session ID contain this number.' => '',
        'System FQDN' => 'Sistem tam adresi (FQDN)',
        'Fully qualified domain name of your system.' => '',
        'AdminEmail' => 'Ynetici E-Posta Adresi',
        'Email address of the system administrator.' => '',
        'Organization' => 'Kurulu',
        'Log' => 'Gnlk',
        'LogModule' => 'Gnlk Bileeni',
        'Log backend to use.' => '',
        'LogFile' => '',
        'Log file location is only needed for File-LogModule!' => '',
        'Webfrontend' => 'Web nyz',
        'Default language' => '',
        'Default language.' => '',
        'CheckMXRecord' => 'MX Kaytlarn Kontrol Et',
        'Email addresses that are manually entered are checked against the MX records found in DNS. Don\'t use this option if your DNS is slow or does not resolve public addresses.' => '',

        # Template: LinkObject
        'Object#' => '',
        'Add links' => '',
        'Delete links' => '',

        # Template: Login
        'JavaScript Not Available' => '',
        'Browser Warning' => '',
        'The browser you are using is too old.' => '',
        'OTRS runs with a huge lists of browsers, please upgrade to one of these.' => '',
        'Please see the documentation or ask your admin for further information.' => '',
        'Lost your password?' => 'Parolanz m kaybettiniz?',
        'Request New Password' => '',
        'Back to login' => '',

        # Template: Motd
        'Message of the Day' => '',

        # Template: NoPermission
        'Insufficient Rights' => '',
        'Back to the previous page' => '',

        # Template: Notify

        # Template: Pagination
        'Show first page' => '',
        'Show previous pages' => '',
        'Show page %s' => '',
        'Show next pages' => '',
        'Show last page' => '',

        # Template: PictureUpload
        'Need FormID!' => '',
        'No file found!' => '',
        'The file is not an image that can be shown inline!' => '',

        # Template: PrintFooter
        'URL' => 'Adres (URL)',

        # Template: PrintHeader
        'printed by' => 'yazdran',

        # Template: PublicDefault

        # Template: Redirect

        # Template: RichTextEditor

        # Template: SpellingInline

        # Template: Test
        'OTRS Test Page' => 'OTRS Test Sayfas',
        'Welcome %s' => 'Hogeldin %s',
        'Counter' => 'Saya',

        # Template: Warning
        'Go back to the previous page' => '',

        # SysConfig
        'ACL module that allows closing parent tickets only if all its children are already closed ("State" shows which states are not available for the parent ticket until all child tickets are closed).' => '',
        'Activates TypeAhead for the autocomplete feature, that enables users to type in whatever speed they desire, without losing any information. Often this means that keystrokes entered will not be displayed on the screen immediately.' => '',
        'Activates a blinking mechanism of the queue that contains the oldest ticket.' => '',
        'Activates lost password feature for agents, in the agent interface.' => '',
        'Activates lost password feature for customers.' => '',
        'Activates support for customer groups.' => '',
        'Activates the article filter in the zoom view to specify which articles should be shown.' => '',
        'Activates the available themes on the system. Value 1 means active, 0 means inactive.' => '',
        'Activates the ticket archive system to have a faster system by moving some tickets out of the daily scope. To search for these tickets, the archive flag has to be enabled in the ticket search.' => '',
        'Activates time accounting.' => '',
        'Adds a suffix with the actual year and month to the OTRS log file. A logfile for every month will be created.' => '',
        'Adds customers email addresses to recipients in the ticket compose screen of the agent interface.' => '',
        'Adds the one time vacation days for the calendar number 1. Please use single digit pattern for numbers from 1 to 9 (instead of 01 - 09).' => '',
        'Adds the one time vacation days for the calendar number 2. Please use single digit pattern for numbers from 1 to 9 (instead of 01 - 09).' => '',
        'Adds the one time vacation days for the calendar number 3. Please use single digit pattern for numbers from 1 to 9 (instead of 01 - 09).' => '',
        'Adds the one time vacation days for the calendar number 4. Please use single digit pattern for numbers from 1 to 9 (instead of 01 - 09).' => '',
        'Adds the one time vacation days for the calendar number 5. Please use single digit pattern for numbers from 1 to 9 (instead of 01 - 09).' => '',
        'Adds the one time vacation days for the calendar number 6. Please use single digit pattern for numbers from 1 to 9 (instead of 01 - 09).' => '',
        'Adds the one time vacation days for the calendar number 7. Please use single digit pattern for numbers from 1 to 9 (instead of 01 - 09).' => '',
        'Adds the one time vacation days for the calendar number 8. Please use single digit pattern for numbers from 1 to 9 (instead of 01 - 09).' => '',
        'Adds the one time vacation days for the calendar number 9. Please use single digit pattern for numbers from 1 to 9 (instead of 01 - 09).' => '',
        'Adds the one time vacation days. Please use single digit pattern for numbers from 1 to 9 (instead of 01 - 09).' => '',
        'Adds the permanent vacation days for the calendar number 1. Please use single digit pattern for numbers from 1 to 9 (instead of 01 - 09).' => '',
        'Adds the permanent vacation days for the calendar number 2. Please use single digit pattern for numbers from 1 to 9 (instead of 01 - 09).' => '',
        'Adds the permanent vacation days for the calendar number 3. Please use single digit pattern for numbers from 1 to 9 (instead of 01 - 09).' => '',
        'Adds the permanent vacation days for the calendar number 4. Please use single digit pattern for numbers from 1 to 9 (instead of 01 - 09).' => '',
        'Adds the permanent vacation days for the calendar number 5. Please use single digit pattern for numbers from 1 to 9 (instead of 01 - 09).' => '',
        'Adds the permanent vacation days for the calendar number 6. Please use single digit pattern for numbers from 1 to 9 (instead of 01 - 09).' => '',
        'Adds the permanent vacation days for the calendar number 7. Please use single digit pattern for numbers from 1 to 9 (instead of 01 - 09).' => '',
        'Adds the permanent vacation days for the calendar number 8. Please use single digit pattern for numbers from 1 to 9 (instead of 01 - 09).' => '',
        'Adds the permanent vacation days for the calendar number 9. Please use single digit pattern for numbers from 1 to 9 (instead of 01 - 09).' => '',
        'Adds the permanent vacation days. Please use single digit pattern for numbers from 1 to 9 (instead of 01 - 09).' => '',
        'Agent Notifications' => '',
        'Agent interface article notification module to check PGP.' => '',
        'Agent interface article notification module to check S/MIME.' => '',
        'Agent interface module to access fulltext search via nav bar.' => '',
        'Agent interface module to access search profiles via nav bar.' => '',
        'Agent interface module to check incoming emails in the Ticket-Zoom-View if the S/MIME-key is available and true.' => '',
        'Agent interface notification module to check the used charset.' => '',
        'Agent interface notification module to see the number of tickets an agent is responsible for.' => '',
        'Agent interface notification module to see the number of watched tickets.' => '',
        'Agents <-> Groups' => '',
        'Agents <-> Roles' => '',
        'Allows adding notes in the close ticket screen of the agent interface.' => '',
        'Allows adding notes in the ticket free text screen of the agent interface.' => '',
        'Allows adding notes in the ticket note screen of the agent interface.' => '',
        'Allows adding notes in the ticket owner screen of a zoomed ticket in the agent interface.' => '',
        'Allows adding notes in the ticket pending screen of a zoomed ticket in the agent interface.' => '',
        'Allows adding notes in the ticket priority screen of a zoomed ticket in the agent interface.' => '',
        'Allows adding notes in the ticket responsible screen of the agent interface.' => '',
        'Allows agents to exchange the axis of a stat if they generate one.' => '',
        'Allows agents to generate individual-related stats.' => '',
        'Allows choosing between showing the attachments of a ticket in the browser (inline) or just make them downloadable (attachment).' => '',
        'Allows choosing the next compose state for customer tickets in the customer interface.' => '',
        'Allows customers to change the ticket priority in the customer interface.' => '',
        'Allows customers to set the ticket SLA in the customer interface.' => '',
        'Allows customers to set the ticket priority in the customer interface.' => '',
        'Allows customers to set the ticket queue in the customer interface. If this is set to \'No\', QueueDefault should be configured.' => '',
        'Allows customers to set the ticket service in the customer interface.' => '',
        'Allows defining new types for ticket (if ticket type feature is enabled).' => '',
        'Allows defining services and SLAs for tickets (e. g. email, desktop, network, ...), and escalation attributes for SLAs (if ticket service/SLA feature is enabled).' => '',
        'Allows extended search conditions in ticket search of the agent interface. With this feature you can search w. g. with this kind of conditions like "(key1&&key2)" or "(key1||key2)".' => '',
        'Allows extended search conditions in ticket search of the customer interface. With this feature you can search w. g. with this kind of conditions like "(key1&&key2)" or "(key1||key2)".' => '',
        'Allows having a medium format ticket overview (CustomerInfo => 1 - shows also the customer information).' => '',
        'Allows having a small format ticket overview (CustomerInfo => 1 - shows also the customer information).' => '',
        'Allows the administrators to login as other users, via the users administration panel.' => '',
        'Allows to set a new ticket state in the move ticket screen of the agent interface.' => '',
        'Article free text options shown in the close ticket screen of the agent interface. Possible settings: 0 = Disabled, 1 = Enabled, 2 = Enabled and required.' => '',
        'Article free text options shown in the email ticket screen of the agent interface. Possible settings: 0 = Disabled, 1 = Enabled, 2 = Enabled and required.' => '',
        'Article free text options shown in the phone ticket screen of the agent interface. Possible settings: 0 = Disabled, 1 = Enabled, 2 = Enabled and required.' => '',
        'Article free text options shown in the ticket compose screen of the agent interface. Possible settings: 0 = Disabled, 1 = Enabled, 2 = Enabled and required.' => '',
        'Article free text options shown in the ticket free text screen of the agent interface. Possible settings: 0 = Disabled, 1 = Enabled, 2 = Enabled and required.' => '',
        'Article free text options shown in the ticket message screen of the customer interface. Possible settings: 0 = Disabled, 1 = Enabled, 2 = Enabled and required. NOTE. If you want to display these fields also in the ticket zoom of the customer interface, you have to enable them in CustomerTicketZoom###AttributesView.' => '',
        'Article free text options shown in the ticket note screen of the agent interface. Possible settings: 0 = Disabled, 1 = Enabled, 2 = Enabled and required.' => '',
        'Article free text options shown in the ticket owner screen of a zoomed ticket in the agent interface. Possible settings: 0 = Disabled, 1 = Enabled, 2 = Enabled and required.' => '',
        'Article free text options shown in the ticket pending screen of a zoomed ticket in the agent interface. Possible settings: 0 = Disabled, 1 = Enabled, 2 = Enabled and required.' => '',
        'Article free text options shown in the ticket phone outbound screen of the agent interface. Possible settings: 0 = Disabled, 1 = Enabled, 2 = Enabled and required.' => '',
        'Article free text options shown in the ticket priority screen of a zoomed ticket in the agent interface. Possible settings: 0 = Disabled, 1 = Enabled, 2 = Enabled and required.' => '',
        'Article free text options shown in the ticket responsible screen of the agent interface. Possible settings: 0 = Disabled, 1 = Enabled, 2 = Enabled and required.' => '',
        'Attachments <-> Responses' => 'Ekler <-> Yantlar',
        'Auto Responses <-> Queues' => '',
        'Automated line break in text messages after x number of chars.' => '',
        'Automatically lock and set owner to current Agent after selecting for an Bulk Action.' => '',
        'Automatically sets the owner of a ticket as the responsible for it (if ticket responsible feature is enabled).' => '',
        'Automatically sets the responsible of a ticket (if it is not set yet) after the first owner update.' => '',
        'Balanced white skin by Felix Niklas.' => '',
        'Blocks all the incoming emails that do not have a valid ticket number in subject with From: @example.com address.' => '',
        'Builds an article index right after the article\'s creation.' => '',
        'CMD example setup. Ignores emails where external CMD returns some output on STDOUT (email will be piped into STDIN of some.bin).' => '',
        'Change password' => '',
        'Change queue!' => '',
        'Change the ticket responsible!' => '',
        'Changes the owner of tickets to everyone (useful for ASP). Normally only agent with rw permissions in the queue of the ticket will be shown.' => '',
        'Checks the SystemID in ticket number detection for follow-ups (use "No" if SystemID has been changed after using the system).' => '',
        'Christmas Eve' => '',
        'Comment for new history entries in the customer interface.' => '',
        'Companies' => '',
        'Company Tickets' => '',
        'Configure your own log text for PGP.' => '',
        'Configures a default TicketFreeField setting. "Counter" defines the free text field which should be used, "Key" is the TicketFreeKey, "Value" is the TicketFreeText and "Event" defines the trigger event.' => '',
        'Configures a default TicketFreeField setting. "Counter" defines the free text field which should be used, "Key" is the TicketFreeKey, "Value" is the TicketFreeText and "Event" defines the trigger event. Please check the developer manual (http://doc.otrs.org/), chapter "Ticket Event Module".' => '',
        'Configures the full-text index. Execute "bin/otrs.RebuildFulltextIndex.pl" in order to generate a new index.' => '',
        'Controls if customers have the ability to sort their tickets.' => '',
        'Converts HTML mails into text messages.' => '',
        'Create and manage Service Level Agreements (SLAs).' => '',
        'Create and manage agents.' => '',
        'Create and manage attachments.' => '',
        'Create and manage companies.' => '',
        'Create and manage customers.' => '',
        'Create and manage event based notifications.' => '',
        'Create and manage groups.' => '',
        'Create and manage notifications that are sent to agents.' => '',
        'Create and manage queues.' => '',
        'Create and manage response templates.' => '',
        'Create and manage responses that are automatically sent.' => '',
        'Create and manage roles.' => '',
        'Create and manage salutations.' => '',
        'Create and manage services.' => '',
        'Create and manage signatures.' => '',
        'Create and manage ticket priorities.' => '',
        'Create and manage ticket states.' => '',
        'Create and manage ticket types.' => '',
        'Create new email ticket and send this out (outbound)' => '',
        'Create new phone ticket (inbound)' => '',
        'Custom text for the page shown to customers that have no tickets yet.' => '',
        'Customer item (icon) which shows the open tickets of this customer as info block.' => '',
        'Customers <-> Groups' => '',
        'Customers <-> Services' => '',
        'Data used to export the search result in CSV format.' => '',
        'Debugs the translation set. If this is set to "Yes" all strings (text) without translations are written to STDERR. This can be helpful when you are creating a new translation file. Otherwise, this option should remain set to "No".' => '',
        'Default ACL values for ticket actions.' => '',
        'Default data to use on attribute for ticket search screen. Example: "TicketCreateTimePointFormat=year;TicketCreateTimePointStart=Last;TicketCreateTimePoint=2;".' => '',
        'Default data to use on attribute for ticket search screen. Example: "TicketCreateTimeStartYear=2010;TicketCreateTimeStartMonth=10;TicketCreateTimeStartDay=4;TicketCreateTimeStopYear=2010;TicketCreateTimeStopMonth=11;TicketCreateTimeStopDay=3;".' => '',
        'Default loop protection module.' => '',
        'Default queue ID used by the system in the agent interface.' => '',
        'Default skin for OTRS 3.0 interface.' => '',
        'Default skin for interface.' => '',
        'Default ticket ID used by the system in the agent interface.' => '',
        'Default ticket ID used by the system in the customer interface.' => '',
        'Define a filter for html output to add links behind a defined string. The element Image allows two input kinds. At once the name of an image (e.g. faq.png). In this case the OTRS image path will be used. The second possiblity is to insert the link to the image.' => '',
        'Define the start day of the week for the date picker.' => '',
        'Defines a customer item, which generates a LinkedIn icon at the end of a customer info block.' => '',
        'Defines a customer item, which generates a XING icon at the end of a customer info block.' => '',
        'Defines a customer item, which generates a google icon at the end of a customer info block.' => '',
        'Defines a customer item, which generates a google maps icon at the end of a customer info block.' => '',
        'Defines a default list of words, that are ignored by the spell checker.' => '',
        'Defines a filter for html output to add links behind CVE numbers. The element Image allows two input kinds. At once the name of an image (e.g. faq.png). In this case the OTRS image path will be used. The second possiblity is to insert the link to the image.' => '',
        'Defines a filter for html output to add links behind MSBulletin numbers. The element Image allows two input kinds. At once the name of an image (e.g. faq.png). In this case the OTRS image path will be used. The second possiblity is to insert the link to the image.' => '',
        'Defines a filter for html output to add links behind a defined string. The element Image allows two input kinds. At once the name of an image (e.g. faq.png). In this case the OTRS image path will be used. The second possiblity is to insert the link to the image.' => '',
        'Defines a filter for html output to add links behind bugtraq numbers. The element Image allows two input kinds. At once the name of an image (e.g. faq.png). In this case the OTRS image path will be used. The second possiblity is to insert the link to the image.' => '',
        'Defines a filter to process the text in the articles, in order to highlight predefined keywords.' => '',
        'Defines a regular expression that excludes some addresses from the syntax check (if "CheckEmailAddresses" is set to "Yes"). Please enter a regex in this field for email addresses, that aren\'t syntactically valid, but are necessary for the system (i.e. "root@localhost").' => '',
        'Defines a regular expression that filters all email addresses that should not be used in the application.' => '',
        'Defines a useful module to load specific user options or to display news.' => '',
        'Defines all the X-headers that should be scanned.' => '',
        'Defines all the languages that are available to the application. The Key/Content pair links the front-end display name to the appropriate language PM file. The "Key" value should be the base-name of the PM file (i.e. de.pm is the file, then de is the "Key" value). The "Content" value should be the display name for the front-end. Specify any own-defined language here (see the developer documentation http://doc.otrs.org/ for more infomation). Please remember to use the HTML equivalents for non-ASCII characters (i.e. for the German oe = o umlaut, it is necessary to use the &ouml; symbol).' => '',
        'Defines all the parameters for the RefreshTime object in the customer preferences of the customer interface.' => '',
        'Defines all the parameters for the ShownTickets object in the customer preferences of the customer interface.' => '',
        'Defines all the parameters for this item in the customer preferences.' => '',
        'Defines all the possible stats output formats.' => '',
        'Defines an alternate URL, where the login link refers to.' => '',
        'Defines an alternate URL, where the logout link refers to.' => '',
        'Defines an alternate login URL for the customer panel..' => '',
        'Defines an alternate logout URL for the customer panel.' => '',
        'Defines an external link to the database of the customer (e.g. \'http://yourhost/customer.php?CID=$Data{"CustomerID"}\' or \'\').' => '',
        'Defines how the From field from the emails (sent from answers and email tickets) should look like.' => '',
        'Defines if a ticket lock is required in the close ticket screen of the agent interface (if the ticket isn\'t locked yet, the ticket gets locked and the current agent will be set automatically as its owner).' => '',
        'Defines if a ticket lock is required in the ticket bounce screen of the agent interface (if the ticket isn\'t locked yet, the ticket gets locked and the current agent will be set automatically as its owner).' => '',
        'Defines if a ticket lock is required in the ticket compose screen of the agent interface (if the ticket isn\'t locked yet, the ticket gets locked and the current agent will be set automatically as its owner).' => '',
        'Defines if a ticket lock is required in the ticket forward screen of the agent interface (if the ticket isn\'t locked yet, the ticket gets locked and the current agent will be set automatically as its owner).' => '',
        'Defines if a ticket lock is required in the ticket free text screen of the agent interface (if the ticket isn\'t locked yet, the ticket gets locked and the current agent will be set automatically as its owner).' => '',
        'Defines if a ticket lock is required in the ticket merge screen of a zoomed ticket in the agent interface (if the ticket isn\'t locked yet, the ticket gets locked and the current agent will be set automatically as its owner).' => '',
        'Defines if a ticket lock is required in the ticket note screen of the agent interface (if the ticket isn\'t locked yet, the ticket gets locked and the current agent will be set automatically as its owner).' => '',
        'Defines if a ticket lock is required in the ticket owner screen of a zoomed ticket in the agent interface (if the ticket isn\'t locked yet, the ticket gets locked and the current agent will be set automatically as its owner).' => '',
        'Defines if a ticket lock is required in the ticket pending screen of a zoomed ticket in the agent interface (if the ticket isn\'t locked yet, the ticket gets locked and the current agent will be set automatically as its owner).' => '',
        'Defines if a ticket lock is required in the ticket phone outbound screen of the agent interface (if the ticket isn\'t locked yet, the ticket gets locked and the current agent will be set automatically as its owner).' => '',
        'Defines if a ticket lock is required in the ticket priority screen of a zoomed ticket in the agent interface (if the ticket isn\'t locked yet, the ticket gets locked and the current agent will be set automatically as its owner).' => '',
        'Defines if a ticket lock is required in the ticket responsible screen of the agent interface (if the ticket isn\'t locked yet, the ticket gets locked and the current agent will be set automatically as its owner).' => '',
        'Defines if a ticket lock is required to change the customer of a ticket in the agent interface (if the ticket isn\'t locked yet, the ticket gets locked and the current agent will be set automatically as its owner).' => '',
        'Defines if composed messages have to be spell checked in the agent interface.' => '',
        'Defines if time accounting is mandatory in the agent interface.' => '',
        'Defines if time accounting must be set to all tickets in bulk action.' => '',
        'Defines the =hHeight for the rich text editor component. Enter number (pixels) or percent value (relative).' => '',
        'Defines the IP regular expression for accessing the local repository. You need to enable this to have access to your local repository and the package::RepositoryList is required on the remote host.' => '',
        'Defines the URL CSS path.' => '',
        'Defines the URL base path of icons, CSS and Java Script.' => '',
        'Defines the URL image path of icons for navigation.' => '',
        'Defines the URL java script path.' => '',
        'Defines the URL rich text editor path.' => '',
        'Defines the address of a dedicated DNS server, if necessary, for the "CheckMXRecord" look-ups.' => '',
        'Defines the body text for notification mails sent to agents, about new password (after using this link the new password will be sent).' => '',
        'Defines the body text for notification mails sent to agents, with token about new requested password (after using this link the new password will be sent).' => '',
        'Defines the body text for notification mails sent to customers, about new account.' => '',
        'Defines the body text for notification mails sent to customers, about new password (after using this link the new password will be sent).' => '',
        'Defines the body text for notification mails sent to customers, with token about new requested password (after using this link the new password will be sent).' => '',
        'Defines the body text for rejected emails.' => '',
        'Defines the boldness of the line drawed by the graph.' => '',
        'Defines the colors for the graphs.' => '',
        'Defines the column to store the keys for the preferences table.' => '',
        'Defines the config parameters of this item, to be shown in the preferences view.' => '',
        'Defines the config parameters of this item, to be shown in the preferences view. Take care to maintain the dictionaries installed in the system in the data section.' => '',
        'Defines the connections for http/ftp, via a proxy.' => '',
        'Defines the date input format used in forms (option or input fields).' => '',
        'Defines the default CSS used in rich text editors.' => '',
        'Defines the default body of a note in the ticket free text screen of the agent interface.' => '',
        'Defines the default front-end (HTML) theme to be used by the agents and customers. The default themes are Standard and Lite. If you like, you can add your own theme. Please refer the administrator manual located at http://doc.otrs.org/.' => '',
        'Defines the default front-end language. All the possible values are determined by the available language files on the system (see the next setting).' => '',
        'Defines the default history type in the customer interface.' => '',
        'Defines the default maximum number of X-axis attributes for the time scale.' => '',
        'Defines the default maximum number of search results shown on the overview page.' => '',
        'Defines the default next state for a ticket after customer follow up in the customer interface.' => '',
        'Defines the default next state of a ticket after adding a note, in the close ticket screen of the agent interface.' => '',
        'Defines the default next state of a ticket after adding a note, in the ticket bulk screen of the agent interface.' => '',
        'Defines the default next state of a ticket after adding a note, in the ticket free text screen of the agent interface.' => '',
        'Defines the default next state of a ticket after adding a note, in the ticket note screen of the agent interface.' => '',
        'Defines the default next state of a ticket after adding a note, in the ticket owner screen of a zoomed ticket in the agent interface.' => '',
        'Defines the default next state of a ticket after adding a note, in the ticket pending screen of a zoomed ticket in the agent interface.' => '',
        'Defines the default next state of a ticket after adding a note, in the ticket priority screen of a zoomed ticket in the agent interface.' => '',
        'Defines the default next state of a ticket after adding a note, in the ticket responsible screen of the agent interface.' => '',
        'Defines the default next state of a ticket after being bounced, in the ticket bounce screen of the agent interface.' => '',
        'Defines the default next state of a ticket after being forwarded, in the ticket forward screen of the agent interface.' => '',
        'Defines the default next state of a ticket if it is composed / answered in the ticket compose screen of the agent interface.' => '',
        'Defines the default note body text for phone tickets in the ticket phone outbound screen of the agent interface.' => '',
        'Defines the default priority of follow up customer tickets in the ticket zoom screen in the customer interface.' => '',
        'Defines the default priority of new customer tickets in the customer interface.' => '',
        'Defines the default priority of new tickets.' => '',
        'Defines the default queue for new customer tickets in the customer interface.' => '',
        'Defines the default selection at the drop down menu for dynamic objects (Form: Common Specification).' => '',
        'Defines the default selection at the drop down menu for permissions (Form: Common Specification).' => '',
        'Defines the default selection at the drop down menu for stats format (Form: Common Specification). Please insert the format key (see Stats::Format).' => '',
        'Defines the default selection of the free key field number 1 for articles (if more than one option is provided).' => '',
        'Defines the default selection of the free key field number 1 for tickets (if more than one option is provided).' => '',
        'Defines the default selection of the free key field number 10 for tickets (if more than one option is provided).' => '',
        'Defines the default selection of the free key field number 11 for tickets (if more than one option is provided).' => '',
        'Defines the default selection of the free key field number 12 for tickets (if more than one option is provided).' => '',
        'Defines the default selection of the free key field number 13 for tickets (if more than one option is provided).' => '',
        'Defines the default selection of the free key field number 14 for tickets (if more than one option is provided).' => '',
        'Defines the default selection of the free key field number 15 for tickets (if more than one option is provided).' => '',
        'Defines the default selection of the free key field number 16 for tickets (if more than one option is provided).' => '',
        'Defines the default selection of the free key field number 2 for articles (if more than one option is provided).' => '',
        'Defines the default selection of the free key field number 2 for tickets (if more than one option is provided).' => '',
        'Defines the default selection of the free key field number 3 for articles (if more than one option is provided).' => '',
        'Defines the default selection of the free key field number 3 for tickets (if more than one option is provided).' => '',
        'Defines the default selection of the free key field number 4 for tickets (if more than one option is provided).' => '',
        'Defines the default selection of the free key field number 5 for tickets (if more than one option is provided).' => '',
        'Defines the default selection of the free key field number 6 for tickets (if more than one option is provided).' => '',
        'Defines the default selection of the free key field number 7 for tickets (if more than one option is provided).' => '',
        'Defines the default selection of the free key field number 8 for tickets (if more than one option is provided).' => '',
        'Defines the default selection of the free key field number 9 for tickets (if more than one option is provided).' => '',
        'Defines the default selection of the free text field number 1 for articles (if more than one option is provided).' => '',
        'Defines the default selection of the free text field number 1 for tickets (if more than one option is provided).' => '',
        'Defines the default selection of the free text field number 10 for tickets (if more than one option is provided).' => '',
        'Defines the default selection of the free text field number 11 for tickets (if more than one option is provided).' => '',
        'Defines the default selection of the free text field number 12 for tickets (if more than one option is provided).' => '',
        'Defines the default selection of the free text field number 13 for tickets (if more than one option is provided).' => '',
        'Defines the default selection of the free text field number 14 for tickets (if more than one option is provided).' => '',
        'Defines the default selection of the free text field number 15 for tickets (if more than one option is provided).' => '',
        'Defines the default selection of the free text field number 16 for tickets (if more than one option is provided).' => '',
        'Defines the default selection of the free text field number 2 for articles (if more than one option is provided).' => '',
        'Defines the default selection of the free text field number 2 for tickets (if more than one option is provided).' => '',
        'Defines the default selection of the free text field number 3 for articles (if more than one option is provided).' => '',
        'Defines the default selection of the free text field number 3 for tickets (if more than one option is provided).' => '',
        'Defines the default selection of the free text field number 4 for tickets (if more than one option is provided).' => '',
        'Defines the default selection of the free text field number 5 for tickets (if more than one option is provided).' => '',
        'Defines the default selection of the free text field number 6 for tickets (if more than one option is provided).' => '',
        'Defines the default selection of the free text field number 7 for tickets (if more than one option is provided).' => '',
        'Defines the default selection of the free text field number 8 for tickets (if more than one option is provided).' => '',
        'Defines the default selection of the free text field number 9 for tickets (if more than one option is provided).' => '',
        'Defines the default sender type for phone tickets in the ticket phone outbound screen of the agent interface.' => '',
        'Defines the default sender type for tickets in the ticket zoom screen of the customer interface.' => '',
        'Defines the default shown ticket search attribute for ticket search screen.' => '',
        'Defines the default sort criteria for all queues displayed in the queue view, after sort by priority is done.' => '',
        'Defines the default sort order for all queues in the queue view, after priority sort.' => '',
        'Defines the default spell checker dictionary.' => '',
        'Defines the default state of new customer tickets in the customer interface.' => '',
        'Defines the default state of new tickets.' => '',
        'Defines the default subject for phone tickets in the ticket phone outbound screen of the agent interface.' => '',
        'Defines the default subject of a note in the ticket free text screen of the agent interface.' => '',
        'Defines the default ticket attribute for ticket sorting in a ticket search of the customer interface.' => '',
        'Defines the default ticket attribute for ticket sorting in the escalation view of the agent interface.' => '',
        'Defines the default ticket attribute for ticket sorting in the locked ticket view of the agent interface.' => '',
        'Defines the default ticket attribute for ticket sorting in the responsible view of the agent interface.' => '',
        'Defines the default ticket attribute for ticket sorting in the status view of the agent interface.' => '',
        'Defines the default ticket attribute for ticket sorting in the watch view of the agent interface.' => '',
        'Defines the default ticket attribute for ticket sorting of the ticket search result of the agent interface.' => '',
        'Defines the default ticket bounced notification for customer/sender in the ticket bounce screen of the agent interface.' => '',
        'Defines the default ticket next state after adding a phone note in the ticket phone outbound screen of the agent interface.' => '',
        'Defines the default ticket order (after priority sort) in the escalation view of the agent interface. Up: oldest on top. Down: latest on top.' => '',
        'Defines the default ticket order (after priority sort) in the status view of the agent interface. Up: oldest on top. Down: latest on top.' => '',
        'Defines the default ticket order in the responsible view of the agent interface. Up: oldest on top. Down: latest on top.' => '',
        'Defines the default ticket order in the ticket locked view of the agent interface. Up: oldest on top. Down: latest on top.' => '',
        'Defines the default ticket order in the ticket search result of the agent interface. Up: oldest on top. Down: latest on top.' => '',
        'Defines the default ticket order in the watch view of the agent interface. Up: oldest on top. Down: latest on top.' => '',
        'Defines the default ticket order of a search result in the customer interface. Up: oldest on top. Down: latest on top.' => '',
        'Defines the default ticket priority in the close ticket screen of the agent interface.' => '',
        'Defines the default ticket priority in the ticket bulk screen of the agent interface.' => '',
        'Defines the default ticket priority in the ticket free text screen of the agent interface.' => '',
        'Defines the default ticket priority in the ticket note screen of the agent interface.' => '',
        'Defines the default ticket priority in the ticket owner screen of a zoomed ticket in the agent interface.' => '',
        'Defines the default ticket priority in the ticket pending screen of a zoomed ticket in the agent interface.' => '',
        'Defines the default ticket priority in the ticket priority screen of a zoomed ticket in the agent interface.' => '',
        'Defines the default ticket priority in the ticket responsible screen of the agent interface.' => '',
        'Defines the default type for article in the customer interface.' => '',
        'Defines the default type of forwarded message in the ticket forward screen of the agent interface.' => '',
        'Defines the default type of the note in the close ticket screen of the agent interface.' => '',
        'Defines the default type of the note in the ticket bulk screen of the agent interface.' => '',
        'Defines the default type of the note in the ticket free text screen of the agent interface.' => '',
        'Defines the default type of the note in the ticket note screen of the agent interface.' => '',
        'Defines the default type of the note in the ticket owner screen of a zoomed ticket in the agent interface.' => '',
        'Defines the default type of the note in the ticket pending screen of a zoomed ticket in the agent interface.' => '',
        'Defines the default type of the note in the ticket phone outbound screen of the agent interface.' => '',
        'Defines the default type of the note in the ticket priority screen of a zoomed ticket in the agent interface.' => '',
        'Defines the default type of the note in the ticket responsible screen of the agent interface.' => '',
        'Defines the default type of the note in the ticket zoom screen of the customer interface.' => '',
        'Defines the default used Frontend-Module if no Action parameter given in the url on the agent interface.' => '',
        'Defines the default used Frontend-Module if no Action parameter given in the url on the customer interface.' => '',
        'Defines the default value for the action parameter for the public frontend. The action parameter is used in the scripts of the system.' => '',
        'Defines the default viewable sender types of a ticket (default: customer).' => '',
        'Defines the difference from now (in seconds) of the free time field number 1\'s default value.' => '',
        'Defines the difference from now (in seconds) of the free time field number 2\'s default value.' => '',
        'Defines the difference from now (in seconds) of the free time field number 3\'s default value.' => '',
        'Defines the difference from now (in seconds) of the free time field number 4\'s default value.' => '',
        'Defines the difference from now (in seconds) of the free time field number 5\'s default value.' => '',
        'Defines the difference from now (in seconds) of the free time field number 6\'s default value.' => '',
        'Defines the filter that processes the text in the articles, in order to highlight URLs.' => '',
        'Defines the format of responses in the ticket compose screen of the agent interface ($QData{"OrigFrom"} is From 1:1, $QData{"OrigFromName"} is only realname of From).' => '',
        'Defines the free key field number 1 for articles to add a new article attribute.' => '',
        'Defines the free key field number 1 for tickets to add a new ticket attribute.' => '',
        'Defines the free key field number 10 for tickets to add a new ticket attribute.' => '',
        'Defines the free key field number 11 for tickets to add a new ticket attribute.' => '',
        'Defines the free key field number 12 for tickets to add a new ticket attribute.' => '',
        'Defines the free key field number 13 for tickets to add a new ticket attribute.' => '',
        'Defines the free key field number 14 for tickets to add a new ticket attribute.' => '',
        'Defines the free key field number 15 for tickets to add a new ticket attribute.' => '',
        'Defines the free key field number 16 for tickets to add a new ticket attribute.' => '',
        'Defines the free key field number 2 for articles to add a new article attribute.' => '',
        'Defines the free key field number 2 for tickets to add a new ticket attribute.' => '',
        'Defines the free key field number 3 for articles to add a new article attribute.' => '',
        'Defines the free key field number 3 for tickets to add a new ticket attribute.' => '',
        'Defines the free key field number 4 for tickets to add a new ticket attribute.' => '',
        'Defines the free key field number 5 for tickets to add a new ticket attribute.' => '',
        'Defines the free key field number 6 for tickets to add a new ticket attribute.' => '',
        'Defines the free key field number 7 for tickets to add a new ticket attribute.' => '',
        'Defines the free key field number 8 for tickets to add a new ticket attribute.' => '',
        'Defines the free key field number 9 for tickets to add a new ticket attribute.' => '',
        'Defines the free text field number 1 for articles to add a new article attribute.' => '',
        'Defines the free text field number 1 for tickets to add a new ticket attribute.' => '',
        'Defines the free text field number 10 for tickets to add a new ticket attribute.' => '',
        'Defines the free text field number 11 for tickets to add a new ticket attribute.' => '',
        'Defines the free text field number 12 for tickets to add a new ticket attribute.' => '',
        'Defines the free text field number 13 for tickets to add a new ticket attribute.' => '',
        'Defines the free text field number 14 for tickets to add a new ticket attribute.' => '',
        'Defines the free text field number 15 for tickets to add a new ticket attribute.' => '',
        'Defines the free text field number 16 for tickets to add a new ticket attribute.' => '',
        'Defines the free text field number 2 for articles to add a new article attribute.' => '',
        'Defines the free text field number 2 for tickets to add a new ticket attribute.' => '',
        'Defines the free text field number 3 for articles to add a new article attribute.' => '',
        'Defines the free text field number 3 for ticket to add a new ticket attribute.' => '',
        'Defines the free text field number 4 for tickets to add a new ticket attribute.' => '',
        'Defines the free text field number 5 for tickets to add a new ticket attribute.' => '',
        'Defines the free text field number 6 for tickets to add a new ticket attribute.' => '',
        'Defines the free text field number 7 for tickets to add a new ticket attribute.' => '',
        'Defines the free text field number 8 for tickets to add a new ticket attribute.' => '',
        'Defines the free text field number 9 for tickets to add a new ticket attribute.' => '',
        'Defines the free time key field number 1 for tickets.' => '',
        'Defines the free time key field number 2 for tickets.' => '',
        'Defines the free time key field number 3 for tickets.' => '',
        'Defines the free time key field number 4 for tickets.' => '',
        'Defines the free time key field number 5 for tickets.' => '',
        'Defines the free time key field number 6 for tickets.' => '',
        'Defines the fully qualified domain name of the system. This setting is used as a variable, OTRS_CONFIG_FQDN which is found in all forms of messaging used by the application, to build links to the tickets within your system.' => '',
        'Defines the groups every customer user will be in (if CustomerGroupSupport is enabled and you don\'t want to manage every user for these groups).' => '',
        'Defines the height of the legend.' => '',
        'Defines the history comment for the close ticket screen action, which gets used for ticket history in the agent interface.' => '',
        'Defines the history comment for the email ticket screen action, which gets used for ticket history in the agent interface.' => '',
        'Defines the history comment for the phone ticket screen action, which gets used for ticket history in the agent interface.' => '',
        'Defines the history comment for the ticket free text screen action, which gets used for ticket history.' => '',
        'Defines the history comment for the ticket note screen action, which gets used for ticket history in the agent interface.' => '',
        'Defines the history comment for the ticket owner screen action, which gets used for ticket history in the agent interface.' => '',
        'Defines the history comment for the ticket pending screen action, which gets used for ticket history in the agent interface.' => '',
        'Defines the history comment for the ticket phone outbound screen action, which gets used for ticket history in the agent interface.' => '',
        'Defines the history comment for the ticket priority screen action, which gets used for ticket history in the agent interface.' => '',
        'Defines the history comment for the ticket responsible screen action, which gets used for ticket history in the agent interface.' => '',
        'Defines the history comment for the ticket zoom action, which gets used for ticket history in the customer interface.' => '',
        'Defines the history type for the close ticket screen action, which gets used for ticket history in the agent interface.' => '',
        'Defines the history type for the email ticket screen action, which gets used for ticket history in the agent interface.' => '',
        'Defines the history type for the phone ticket screen action, which gets used for ticket history in the agent interface.' => '',
        'Defines the history type for the ticket free text screen action, which gets used for ticket history.' => '',
        'Defines the history type for the ticket note screen action, which gets used for ticket history in the agent interface.' => '',
        'Defines the history type for the ticket owner screen action, which gets used for ticket history in the agent interface.' => '',
        'Defines the history type for the ticket pending screen action, which gets used for ticket history in the agent interface.' => '',
        'Defines the history type for the ticket phone outbound screen action, which gets used for ticket history in the agent interface.' => '',
        'Defines the history type for the ticket priority screen action, which gets used for ticket history in the agent interface.' => '',
        'Defines the history type for the ticket responsible screen action, which gets used for ticket history in the agent interface.' => '',
        'Defines the history type for the ticket zoom action, which gets used for ticket history in the customer interface.' => '',
        'Defines the hours and week days of the calendar number 1, to count the working time.' => '',
        'Defines the hours and week days of the calendar number 2, to count the working time.' => '',
        'Defines the hours and week days of the calendar number 3, to count the working time.' => '',
        'Defines the hours and week days of the calendar number 4, to count the working time.' => '',
        'Defines the hours and week days of the calendar number 5, to count the working time.' => '',
        'Defines the hours and week days of the calendar number 6, to count the working time.' => '',
        'Defines the hours and week days of the calendar number 7, to count the working time.' => '',
        'Defines the hours and week days of the calendar number 8, to count the working time.' => '',
        'Defines the hours and week days of the calendar number 9, to count the working time.' => '',
        'Defines the hours and week days to count the working time.' => '',
        'Defines the http link for the free text field number 1 for tickets (it will be used in every ticket view).' => '',
        'Defines the http link for the free text field number 10 for tickets (it will be used in every ticket view).' => '',
        'Defines the http link for the free text field number 11 for tickets (it will be used in every ticket view).' => '',
        'Defines the http link for the free text field number 12 for tickets (it will be used in every ticket view).' => '',
        'Defines the http link for the free text field number 13 for tickets (it will be used in every ticket view).' => '',
        'Defines the http link for the free text field number 14 for tickets (it will be used in every ticket view).' => '',
        'Defines the http link for the free text field number 15 for tickets (it will be used in every ticket view).' => '',
        'Defines the http link for the free text field number 16 for tickets (it will be used in every ticket view).' => '',
        'Defines the http link for the free text field number 2 for tickets (it will be used in every ticket view).' => '',
        'Defines the http link for the free text field number 3 for tickets (it will be used in every ticket view).' => '',
        'Defines the http link for the free text field number 4 for tickets (it will be used in every ticket view).' => '',
        'Defines the http link for the free text field number 5 for tickets (it will be used in every ticket view).' => '',
        'Defines the http link for the free text field number 6 for tickets (it will be used in every ticket view).' => '',
        'Defines the http link for the free text field number 7 for tickets (it will be used in every ticket view).' => '',
        'Defines the http link for the free text field number 8 for tickets (it will be used in every ticket view).' => '',
        'Defines the http link for the free text field number 9 for tickets (it will be used in every ticket view).' => '',
        'Defines the key to be checked with Kernel::Modules::AgentInfo module. If this user preferences key is true, the message is accepted by the system.' => '',
        'Defines the key to check with CustomerAccept. If this user preferences key is true, then the message is accepted by the system.' => '',
        'Defines the link type \'Normal\'. If the source name and the target name contain the same value, the resulting link is a non-directional one; otherwise, the result is a directional link.' => '',
        'Defines the link type \'ParentChild\'. If the source name and the target name contain the same value, the resulting link is a non-directional one; otherwise, the result is a directional link.' => '',
        'Defines the link type groups. The link types of the same group cancel one another. Example: If ticket A is linked per a \'Normal\' link with ticket B, then these tickets could not be additionally linked with link of a \'ParentChild\' relationship.' => '',
        'Defines the list of online repositories. Another installations can be used as repository, for example: Key="http://example.com/otrs/public.pl?Action=PublicRepository;File=" and Content="Some Name".' => '',
        'Defines the location to get online repository list for additional packages. The first available result will be used.' => '',
        'Defines the log module for the system. "File" writes all messages in a given logfile, "SysLog" uses the syslog daemon of the system, e.g. syslogd.' => '',
        'Defines the maximal size (in bytes) for file uploads via the browser.' => '',
        'Defines the maximal valid time (in seconds) for a session id.' => '',
        'Defines the maximum number of pages per PDF file.' => '',
        'Defines the maximum size (in MB) of the log file.' => '',
        'Defines the module that shows all the currently loged in customers in the agent interface.' => '',
        'Defines the module that shows all the currently logged in agents in the agent interface.' => '',
        'Defines the module that shows the currently loged in agents in the customer interface.' => '',
        'Defines the module that shows the currently loged in customers in the customer interface.' => '',
        'Defines the module to authenticate customers.' => '',
        'Defines the module to display a notification in the agent interface, if the system is used by the admin user (normally you shouldn\'t work as admin).' => '',
        'Defines the module to generate html refresh headers of html sites, in the customer interface.' => '',
        'Defines the module to generate html refresh headers of html sites.' => '',
        'Defines the module to send emails. "Sendmail" directly uses the sendmail binary of your operating system. Any of the "SMTP" mechanisms use a specified (external) mailserver. "DoNotSendEmail" doesn\'t send emails and it is useful for test systems.' => '',
        'Defines the module used to store the session data. With "DB" the frontend server can be splitted from the db server. "FS" is faster.' => '',
        'Defines the name of the application, shown in the web interface, tabs and title bar of the web browser.' => '',
        'Defines the name of the calendar number 1.' => '',
        'Defines the name of the calendar number 2.' => '',
        'Defines the name of the calendar number 3.' => '',
        'Defines the name of the calendar number 4.' => '',
        'Defines the name of the calendar number 5.' => '',
        'Defines the name of the calendar number 6.' => '',
        'Defines the name of the calendar number 7.' => '',
        'Defines the name of the calendar number 8.' => '',
        'Defines the name of the calendar number 9.' => '',
        'Defines the name of the column to store the data in the preferences table.' => '',
        'Defines the name of the column to store the user identifier in the preferences table.' => '',
        'Defines the name of the key for customer sessions.' => '',
        'Defines the name of the session key. E.g. Session, SessionID or OTRS.' => '',
        'Defines the name of the table, where the customer preferences are stored.' => '',
        'Defines the next possible states after composing / answering a ticket in the ticket compose screen of the agent interface.' => '',
        'Defines the next possible states after forwarding a ticket in the ticket forward screen of the agent interface.' => '',
        'Defines the next possible states for customer tickets in the customer interface.' => '',
        'Defines the next state of a ticket after adding a note, in the close ticket screen of the agent interface.' => '',
        'Defines the next state of a ticket after adding a note, in the ticket bulk screen of the agent interface.' => '',
        'Defines the next state of a ticket after adding a note, in the ticket free text screen of the agent interface.' => '',
        'Defines the next state of a ticket after adding a note, in the ticket note screen of the agent interface.' => '',
        'Defines the next state of a ticket after adding a note, in the ticket owner screen of a zoomed ticket in the agent interface.' => '',
        'Defines the next state of a ticket after adding a note, in the ticket pending screen of a zoomed ticket in the agent interface.' => '',
        'Defines the next state of a ticket after adding a note, in the ticket priority screen of a zoomed ticket in the agent interface.' => '',
        'Defines the next state of a ticket after adding a note, in the ticket responsible screen of the agent interface.' => '',
        'Defines the next state of a ticket after being bounced, in the ticket bounce screen of the agent interface.' => '',
        'Defines the next state of a ticket after being moved to another queue, in the move ticket screen of the agent interface.' => '',
        'Defines the parameters for the customer preferences table.' => '',
        'Defines the parameters for the dashboard backend. "Group" is used to restrict access to the plugin (e. g. Group: admin;group1;group2;). "Default" indicates if the plugin is enabled by default or if the user needs to enable it manually. "CacheTTL" indicates the cache expiration period in minutes for the plugin.' => '',
        'Defines the parameters for the dashboard backend. "Group" is used to restrict access to the plugin (e. g. Group: admin;group1;group2;). "Default" indicates if the plugin is enabled by default or if the user needs to enable it manually. "CacheTTLLocal" defines the cache expiration period in minutes for the plugin.' => '',
        'Defines the parameters for the dashboard backend. "Limit" defines the number of entries displayed by default. "Group" is used to restrict access to the plugin (e. g. Group: admin;group1;group2;). "Default" indicates if the plugin is enabled by default or if the user needs to enable it manually. "CacheTTL" indicates the cache expiration period in minutes for the plugin.' => '',
        'Defines the parameters for the dashboard backend. "Limit" defines the number of entries displayed by default. "Group" is used to restrict access to the plugin (e. g. Group: admin;group1;group2;). "Default" indicates if the plugin is enabled by default or if the user needs to enable it manually. "CacheTTLLocal" defines the cache expiration period in minutes for the plugin.' => '',
        'Defines the password to access the SOAP handle (bin/cgi-bin/rpc.pl).' => '',
        'Defines the path and TTF-File to handle bold italic monospaced font in PDF documents.' => '',
        'Defines the path and TTF-File to handle bold italic proportional font in PDF documents.' => '',
        'Defines the path and TTF-File to handle bold monospaced font in PDF documents.' => '',
        'Defines the path and TTF-File to handle bold proportional font in PDF documents.' => '',
        'Defines the path and TTF-File to handle italic monospaced font in PDF documents.' => '',
        'Defines the path and TTF-File to handle italic proportional font in PDF documents.' => '',
        'Defines the path and TTF-File to handle monospaced font in PDF documents.' => '',
        'Defines the path and TTF-File to handle proportional font in PDF documents.' => '',
        'Defines the path of the shown info file, that is located under Kernel/Output/HTML/Standard/CustomerAccept.dtl.' => '',
        'Defines the path to PGP binary.' => '',
        'Defines the path to open ssl binary. It may need a HOME env ($ENV{HOME} = \'/var/lib/wwwrun\';).' => '',
        'Defines the placement of the legend. This should be a two letter key of the form: \'B[LCR]|R[TCB]\'. The first letter indicates the placement (Bottom or Right), and the second letter the alignment (Left, Right, Center, Top, or Bottom).' => '',
        'Defines the postmaster default queue.' => '',
        'Defines the receipent target of the phone ticket and the sender of the email ticket ("Queue" shows all queues, "SystemAddress" displays all system addresses) in the agent interface.' => '',
        'Defines the receipent target of the tickets ("Queue" shows all queues, "SystemAddress" displays all system addresses) in the customer interface.' => '',
        'Defines the search limit for the stats.' => '',
        'Defines the sender for rejected emails.' => '',
        'Defines the separator between the agents real name and the given queue email address.' => '',
        'Defines the spacing of the legends.' => '',
        'Defines the standard permissions available for customers within the application. If more permissions are needed, you can enter them here. Permissions must be hard coded to be effective. Please ensure, when adding any of the afore mentioned permissions, that the "rw" permission remains the last entry.' => '',
        'Defines the standard size of PDF pages.' => '',
        'Defines the state of a ticket if it gets a follow-up and the ticket was already closed.' => '',
        'Defines the state of a ticket if it gets a follow-up.' => '',
        'Defines the state type of the reminder for pending tickets.' => '',
        'Defines the subject for notification mails sent to agents, about new password.' => '',
        'Defines the subject for notification mails sent to agents, with token about new requested password.' => '',
        'Defines the subject for notification mails sent to customers, about new account.' => '',
        'Defines the subject for notification mails sent to customers, about new password.' => '',
        'Defines the subject for notification mails sent to customers, with token about new requested password.' => '',
        'Defines the subject for rejected emails.' => '',
        'Defines the system administrator\'s email address. It will be displayed in the error screens of the application.' => '',
        'Defines the system identifier. Every ticket number and http session string contain this ID. This ensures that only tickets which belong to your system will be processed as follow-ups (useful when communicating between two instances of OTRS).' => '',
        'Defines the target attribute in the link to external customer database. E.g. \'target="cdb"\'.' => '',
        'Defines the time zone of the calendar number 1, which can be assigned later to a specific queue.' => '',
        'Defines the time zone of the calendar number 2, which can be assigned later to a specific queue.' => '',
        'Defines the time zone of the calendar number 3, which can be assigned later to a specific queue.' => '',
        'Defines the time zone of the calendar number 4, which can be assigned later to a specific queue.' => '',
        'Defines the time zone of the calendar number 5, which can be assigned later to a specific queue.' => '',
        'Defines the time zone of the calendar number 6, which can be assigned later to a specific queue.' => '',
        'Defines the time zone of the calendar number 7, which can be assigned later to a specific queue.' => '',
        'Defines the time zone of the calendar number 8, which can be assigned later to a specific queue.' => '',
        'Defines the time zone of the calendar number 9, which can be assigned later to a specific queue.' => '',
        'Defines the type of protocol, used by ther web server, to serve the application. If https protocol will be used instead of plain http, it must be specified it here. Since this has no affect on the web server\'s settings or behavior, it will not change the method of access to the application and, if it is wrong, it will not prevent you from logging into the application. This setting is used as a variable, OTRS_CONFIG_HttpType which is found in all forms of messaging used by the application, to build links to the tickets within your system.' => '',
        'Defines the used character for email quotes in the ticket compose screen of the agent interface.' => '',
        'Defines the user identifier for the customer panel.' => '',
        'Defines the username to access the SOAP handle (bin/cgi-bin/rpc.pl).' => '',
        'Defines the valid state types for a ticket.' => '',
        'Defines the valid states for unlocked tickets. To unlock tickets the script "bin/otrs.UnlockTickets.pl" can be used.' => '',
        'Defines the viewable locks of a ticket. Default: unlock, tmp_lock.' => '',
        'Defines the width for the rich text editor component. Enter number (pixels) or percent value (relative).' => '',
        'Defines the width of the legend.' => '',
        'Defines the years (in future and in past) which can get selected in free time field number 1.' => '',
        'Defines the years (in future and in past) which can get selected in free time field number 2.' => '',
        'Defines the years (in future and in past) which can get selected in free time field number 3.' => '',
        'Defines the years (in future and in past) which can get selected in free time field number 4.' => '',
        'Defines the years (in future and in past) which can get selected in free time field number 5.' => '',
        'Defines the years (in future and in past) which can get selected in free time field number 6.' => '',
        'Defines whether the free time field number 1 is optional or not.' => '',
        'Defines whether the free time field number 2 is optional or not.' => '',
        'Defines whether the free time field number 3 is optional or not.' => '',
        'Defines whether the free time field number 4 is optional or not.' => '',
        'Defines whether the free time field number 5 is optional or not.' => '',
        'Defines whether the free time field number 6 is optional or not.' => '',
        'Defines which states should be set automatically (Content), after the pending time of state (Key) has been reached.' => '',
        'Delay time between autocomplete queries in milliseconds.' => '',
        'Deletes a session if the session id is used with an invalid remote IP address.' => '',
        'Deletes requested sessions if they have timed out.' => '',
        'Determines if the list of possible queues to move to ticket into should be displayed in a dropdown list or in a new window in the agent interface. If "New Window" is set you can add a move note to the ticket.' => '',
        'Determines if the search results container for the autocomplete feature should adjust its width dynamically.' => '',
        'Determines if the statatistics module may generate ticket lists.' => '',
        'Determines the next possible ticket states, after the creation of a new email ticket in the agent interface.' => '',
        'Determines the next possible ticket states, after the creation of a new phone ticket in the agent interface.' => '',
        'Determines the next screen after new customer ticket in the customer interface.' => '',
        'Determines the next screen after the follow up screen of a zoomed ticket in the customer interface.' => '',
        'Determines the possible states for pending tickets that changed state after reaching time limit.' => '',
        'Determines the strings that will be shown as receipent (To:) of the phone ticket and as sender (From:) of the email ticket in the agent interface. For Queue as NewQueueSelectionType "<Queue>" shows the names of the queues and for SystemAddress "<Realname> <<Email>>" shows the name and email of the receipent.' => '',
        'Determines the strings that will be shown as receipent (To:) of the ticket in the customer interface. For Queue as CustomerPanelSelectionType, "<Queue>" shows the names of the queues, and for SystemAddress, "<Realname> <<Email>>" shows the name and email of the receipent.' => '',
        'Determines the way the linked objects are displayed in each zoom mask.' => '',
        'Determines which options will be valid of the recepient (phone ticket) and the sender (email ticket) in the agent interface.' => '',
        'Determines which queues will be valid for ticket\'s recepients in the customer interface.' => '',
        'Disables sending reminder notifications to the responsible agent of a ticket (Ticket::Responsible needs to be activated).' => '',
        'Disables the web installer (http://yourhost.example.com/otrs/installer.pl), to prevent the system from being hijacked. If set to "No", the system can be reinstalled and the current basic configuration will be used to pre-populate the questions within the installer script. If not active, it also disables the GenericAgent, PackageManager and SQL Box (to avoid the use of destructive queries, such as DROP DATABASE, and also to steal user passwords).' => '',
        'Displays the accounted time for an article in the ticket zoom view.' => '',
        'Email Addresses' => 'E-Posta Adresleri',
        'Enables PDF output. The CPAN module PDF::API2 is required, if not installed, PDF output will be disabled.' => '',
        'Enables PGP support. When PGP support is enabled for signing and securing mail, it is HIGHLY recommended that the web server be run as the OTRS user. Otherwise, there will be problems with the privileges when accessing .gnupg folder.' => '',
        'Enables S/MIME support.' => '',
        'Enables customers to create their own accounts.' => '',
        'Enables file upload in the package manager frontend.' => '',
        'Enables or disable the debug mode over frontend interface.' => '',
        'Enables or disables the autocomplete feature for the customer search in the agent interface.' => '',
        'Enables or disables the ticket watcher feature, to keep track of tickets without being the owner nor the responsible.' => '',
        'Enables performance log (to log the page response time). It will affect the system performance. Frontend::Module###AdminPerformanceLog must be enabled.' => '',
        'Enables spell checker support.' => '',
        'Enables ticket bulk action feature for the agent frontend to work on more than one ticket at a time.' => '',
        'Enables ticket bulk action feature only for the listed groups.' => '',
        'Enables ticket responsible feature, to keep track of a specific ticket.' => '',
        'Enables ticket watcher feature only for the listed groups.' => '',
        'Escalation view' => '',
        'Event module registration. For more performance you can define a trigger event (e. g. Event => TicketCreate). This is only possible if all TicketFreeField elements need the same event.' => '',
        'Example for free text' => '',
        'Execute SQL statements.' => '',
        'Executes follow up checks on In-Reply-To or References headers for mails that don\'t have a ticket number in the subject.' => '',
        'Executes follow up mail attachments checks in  mails that don\'t have a ticket number in the subject.' => '',
        'Executes follow up mail body checks in mails that don\'t have a ticket number in the subject.' => '',
        'Executes follow up plain/raw mail checks in mails that don\'t have a ticket number in the subject.' => '',
        'Experimental "Slim" skin which tries to save screen space for power users.' => '',
        'Exports the whole article tree in search result (it can affect the system performance).' => '',
        'Fetches packages via proxy. Overwrites "WebUserAgent::Proxy".' => '',
        'File that is displayed in the Kernel::Modules::AgentInfo module, if located under Kernel/Output/HTML/Standard/AgentInfo.dtl.' => '',
        'Filter incoming emails.' => '',
        'First Christmas Day' => '',
        'Forces encoding of outgoing emails (7bit|8bit|quoted-printable|base64).' => '',
        'Forces to choose a different ticket state (from current) after lock action. Define the current state as key, and the next state after lock action as content.' => '',
        'Forces to unlock tickets after being moved to another queue.' => '',
        'Frontend language' => '',
        'Frontend module registration (disable company link if no company feature is used).' => '',
        'Frontend module registration for the agent interface.' => '',
        'Frontend module registration for the customer interface.' => '',
        'Frontend theme' => '',
        'GenericAgent' => 'GenelArac',
        'Gives end users the possibility to override the separator character for CSV files, defined in the translation files.' => '',
        'Grants access, if the customer ID of the ticket matches the customer user\'s ID and the customer user has group permissions on the queue the ticket is in.' => '',
        'Helps to extend your articles full-text search (From, To, Cc, Subject and Body search). Runtime will do full-text searches on live data (it works fine for up to 50.000 tickets). StaticDB will strip all articles and will build an index after article creation, increasing fulltext searches about 50%. To create an initial index use "bin/otrs.RebuildFulltextIndex.pl".' => '',
        'If "DB" was selected for Customer::AuthModule, a database driver (normally autodetection is used) can be specified.' => '',
        'If "DB" was selected for Customer::AuthModule, a password to connect to the customer table can be specified.' => '',
        'If "DB" was selected for Customer::AuthModule, a username to connect to the customer table can be specified.' => '',
        'If "DB" was selected for Customer::AuthModule, the DSN for the connection to the customer table must be specified.' => '',
        'If "DB" was selected for Customer::AuthModule, the column name for the CustomerPassword in the customer table must be specified.' => '',
        'If "DB" was selected for Customer::AuthModule, the crypt type of passwords must be specified.' => '',
        'If "DB" was selected for Customer::AuthModule, the name of the column for the CustomerKey in the customer table must be specified.' => '',
        'If "DB" was selected for Customer::AuthModule, the name of the table where your customer data should be stored must be specified.' => '',
        'If "DB" was selected for SessionModule, a column for the identifiers in session table must be specified.' => '',
        'If "DB" was selected for SessionModule, a column for the values in session table must be specified.' => '',
        'If "DB" was selected for SessionModule, a table in database where session data will be stored must be specified.' => '',
        'If "FS" was selected for SessionModule, a directory where the session data will be stored must be specified.' => '',
        'If "HTTPBasicAuth" was selected for Customer::AuthModule, you can specify (by using a RegExp) to strip parts of REMOTE_USER (e. g. for to remove trailing domains). RegExp-Note, $1 will be the new Login.' => '',
        'If "HTTPBasicAuth" was selected for Customer::AuthModule, you can specify to strip leading parts of user names (e. g. for domains like example_domain\user to user).' => '',
        'If "LDAP" was selected for Customer::AuthModule and if you want to add a suffix to every customer login name, specifiy it here, e. g. you just want to write the username user but in your LDAP directory exists user@domain.' => '',
        'If "LDAP" was selected for Customer::AuthModule and special paramaters are needed for the Net::LDAP perl module, you can specify them here. See "perldoc Net::LDAP" for more information about the parameters.' => '',
        'If "LDAP" was selected for Customer::AuthModule and your users have only anonymous access to the LDAP tree, but you want to search through the data, you can do this with a user who has access to the LDAP directory. Specify the password for this special user here.' => '',
        'If "LDAP" was selected for Customer::AuthModule and your users have only anonymous access to the LDAP tree, but you want to search through the data, you can do this with a user who has access to the LDAP directory. Specify the username for this special user here.' => '',
        'If "LDAP" was selected for Customer::AuthModule, the BaseDN must be specified.' => '',
        'If "LDAP" was selected for Customer::AuthModule, the LDAP host can be specified.' => '',
        'If "LDAP" was selected for Customer::AuthModule, the user identifier must be specified.' => '',
        'If "LDAP" was selected for Customer::AuthModule, user attributes can be specified. For LDAP posixGroups use UID, for non LDAP posixGroups use full user DN.' => '',
        'If "LDAP" was selected for Customer::AuthModule, you can specify access attributes here.' => '',
        'If "LDAP" was selected for Customer::AuthModule, you can specify if the applications will stop if e. g. a connection to a server can\'t be established due to network problems.' => '',
        'If "LDAP" was selected for Customer::Authmodule, you can check if the user is allowed to authenticate because he is in a posixGroup, e.g. user needs to be in a group xyz to use OTRS. Specify the group, who may access the system.' => '',
        'If "LDAP" was selected, you can add a filter to each LDAP query, e.g. (mail=*), (objectclass=user) or (!objectclass=computer).' => '',
        'If "Radius" was selected for Customer::AuthModule, the password to authenticate to the radius host must be specified.' => '',
        'If "Radius" was selected for Customer::AuthModule, the radius host must be specified.' => '',
        'If "Radius" was selected for Customer::AuthModule, you can specify if the applications will stop if e. g. a connection to a server can\'t be established due to network problems.' => '',
        'If "Sendmail" was selected as SendmailModule, the location of the sendmail binary and the needed options must be specified.' => '',
        'If "SysLog" was selected for LogModule, a special log facility can be specified.' => '',
        'If "SysLog" was selected for LogModule, a special log sock can be specified (on solaris you may need to use \'stream\').' => '',
        'If "SysLog" was selected for LogModule, the charset that should be used for logging can be specified.' => '',
        'If "file" was selected for LogModule, a logfile must be specified. If the file doesn\'t exist, it will be created by the system.' => '',
        'If a note is added by an agent, sets the state of a ticket in the close ticket screen of the agent interface.' => '',
        'If a note is added by an agent, sets the state of a ticket in the ticket bulk screen of the agent interface.' => '',
        'If a note is added by an agent, sets the state of a ticket in the ticket free text screen of the agent interface.' => '',
        'If a note is added by an agent, sets the state of a ticket in the ticket note screen of the agent interface.' => '',
        'If a note is added by an agent, sets the state of a ticket in the ticket responsible screen of the agent interface.' => '',
        'If a note is added by an agent, sets the state of the ticket in the ticket owner screen of a zoomed ticket in the agent interface.' => '',
        'If a note is added by an agent, sets the state of the ticket in the ticket pending screen of a zoomed ticket in the agent interface.' => '',
        'If a note is added by an agent, sets the state of the ticket in the ticket priority screen of a zoomed ticket in the agent interface.' => '',
        'If any of the "SMTP" mechanisms was selected as SendmailModule, and authentication to the mail server is needed, a password must be specified.' => '',
        'If any of the "SMTP" mechanisms was selected as SendmailModule, and authentication to the mail server is needed, an username must be specified.' => '',
        'If any of the "SMTP" mechanisms was selected as SendmailModule, the mailhost that sends out the mails must be specified.' => '',
        'If any of the "SMTP" mechanisms was selected as SendmailModule, the port where your mailserver is listening for incoming connections must be specified.' => '',
        'If configured, all emails sent by the application will contain an X-Header with this organization or company name.' => '',
        'If enabled, OTRS will deliver all CSS files in minified form. WARNING: If you turn this off, there will likely be problems in IE 7, because it cannot load more than 32 CSS files.' => '',
        'If enabled, OTRS will deliver all JavaScript files in minified form.' => '',
        'If enabled, TicketPhone and TicketEmail will be open in new windows.' => '',
        'If enabled, the OTRS version tag will be removed from the HTTP headers.' => '',
        'If enabled, the first level of the main menu opens on mouse hover (instead of click only).' => '',
        'If set, this address is used as envelope from header in outgoing notifications. If no address is specified, the envelope from header is empty.' => '',
        'If this regex matches, no message will be send by the autoresponder.' => '',
        'If you want to use a mirror database for agent ticket fulltext search or to generate stats, specify the DSN to this database.' => '',
        'If you want to use a mirror database for agent ticket fulltext search or to generate stats, the password to authenticate to this database can be specified.' => '',
        'If you want to use a mirror database for agent ticket fulltext search or to generate stats, the user to authenticate to this database can be specified.' => '',
        'Ignore article with system sender type for new article feature (e. g. auto responses or email notifications).' => '',
        'Includes article create times in the ticket search of the agent interface.' => '',
        'IndexAccelerator: to choose your backend TicketViewAccelerator module. "RuntimeDB" generates each queue view on the fly from ticket table (no performance problems up to approx. 60.000 tickets in total and 6.000 open tickets in the system). "StaticDB" is the most powerful module, it uses an extra ticket-index table that works like a view (recommended if more than 80.000 and 6.000 open tickets are stored in the system). Use the script "bin/otrs.RebuildTicketIndex.pl" for initial index update.' => '',
        'Install ispell or aspell on the system, if you want to use a spell checker. Please specify the path to the aspell or ispell binary on your operating system.' => '',
        'Interface language' => '',
        'International Workers\' Day' => '',
        'It is possible to configure different skins, for example to distinguish between diferent agents, to be used on a per-domain basis within the application. Using a regular expression (regex), you can configure a Key/Content pair to match a domain. The value in "Key" should match the domain, and the value in "Content" should be a valid skin on your system. Please see the example entries for the proper form of the regex.' => '',
        'It is possible to configure different skins, for example to distinguish between diferent customers, to be used on a per-domain basis within the application. Using a regular expression (regex), you can configure a Key/Content pair to match a domain. The value in "Key" should match the domain, and the value in "Content" should be a valid skin on your system. Please see the example entries for the proper form of the regex.' => '',
        'It is possible to configure different themes, for example to distinguish between agents and customers, to be used on a per-domain basis within the application. Using a regular expression (regex), you can configure a Key/Content pair to match a domain. The value in "Key" should match the domain, and the value in "Content" should be a valid theme on your system. Please see the example entries for the proper form of the regex.' => '',
        'Link agents to groups.' => '',
        'Link agents to roles.' => '',
        'Link attachments to responses templates.' => '',
        'Link customers to groups.' => '',
        'Link customers to services.' => '',
        'Link queues to auto responses.' => '',
        'Link responses to queues.' => '',
        'Link roles to groups.' => '',
        'Link this ticket to other objects!' => '',
        'Links 2 tickets with a "Normal" type link.' => '',
        'Links 2 tickets with a "ParentChild" type link.' => '',
        'List of CSS files to always be loaded for the agent interface.' => '',
        'List of CSS files to always be loaded for the customer interface.' => '',
        'List of IE6-specific CSS files to always be loaded for the customer interface.' => '',
        'List of IE7-specific CSS files to always be loaded for the agent interface.' => '',
        'List of IE7-specific CSS files to always be loaded for the customer interface.' => '',
        'List of IE8-specific CSS files to always be loaded for the agent interface.' => '',
        'List of IE8-specific CSS files to always be loaded for the customer interface.' => '',
        'List of JS files to always be loaded for the agent interface.' => '',
        'List of JS files to always be loaded for the customer interface.' => '',
        'Log file for the ticket counter.' => '',
        'Makes the application check the MX record of email addresses before sending an email or submitting a telephone or email ticket.' => '',
        'Makes the application check the syntax of email addresses.' => '',
        'Makes the picture transparent.' => '',
        'Makes the session management use html cookies. If html cookies are disabled or if the client browser disabled html cookies, then the system will work as usual and append the session id to the links.' => '',
        'Manage PGP keys for email encryption.' => '',
        'Manage POP3 or IMAP accounts to fetch email from.' => '',
        'Manage S/MIME certificates for email encryption.' => '',
        'Manage existing sessions.' => '',
        'Manage periodic tasks.' => '',
        'Max size (in characters) of the customer information table (phone and email) in the compose screen.' => '',
        'Max size of the subjects in an email reply.' => '',
        'Maximal auto email responses to own email-address a day (Loop-Protection).' => '',
        'Maximal size in KBytes for mails that can be fetched via POP3/POP3S/IMAP/IMAPS (KBytes).' => '',
        'Maximum number of tickets to be displayed in the result of a search in the agent interface.' => '',
        'Maximum number of tickets to be displayed in the result of a search in the customer interface.' => '',
        'Maximum size (in characters) of the customer info table in the queue view.' => '',
        'Maximum size (in characters) of the customer information table in the ticket zoom view.' => '',
        'Module for To-selection in new ticket screen in the customer interface.' => '',
        'Module to check customer permissions.' => '',
        'Module to check if a user is in a special group. Access is granted, if the user is in the specified group and has ro and rw permissions.' => '',
        'Module to check if arrived emails should be marked as email-internal (because of original forwared internal email it college). ArticleType and SenderType define the values for the arrived email/article.' => '',
        'Module to check the agent responsible of a ticket.' => '',
        'Module to check the group permissions for the access to customer tickets.' => '',
        'Module to check the owner of a ticket.' => '',
        'Module to check the watcher agents of a ticket.' => '',
        'Module to compose signed messages (PGP or S/MIME).' => '',
        'Module to crypt composed messages (PGP or S/MIME).' => '',
        'Module to filter and manipulate incoming messages. Block/ignore all spam email with From: noreply@ address.' => '',
        'Module to filter and manipulate incoming messages. Get a 4 digit number to ticket free text, use regex in Match e. g. From => \'(.+?)@.+?\', and use () as [***] in Set =>.' => '',
        'Module to generate accounted time ticket statistics.' => '',
        'Module to generate html OpenSearch profile for short ticket search in the agent interface.' => '',
        'Module to generate html OpenSearch profile for short ticket search in the customer interface.' => '',
        'Module to generate ticket solution and response time statistics.' => '',
        'Module to generate ticket statistics.' => '',
        'Module to inform agents, via the agent interface, about the used charset. A notification is displayed, if the default charset is not used, e.g. in tickets.' => '',
        'Module to show notifications and escalations (ShownMax: max. shown escalations, EscalationInMinutes: Show ticket which will escalation in, CacheTime: Cache of calculated escalations in seconds).' => '',
        'Module to use database filter storage.' => '',
        'My Tickets' => '',
        'Name of custom queue. The custom queue is a queue selection of your preferred queues and can be selected in the preferences settings.' => '',
        'New Year\'s Day' => '',
        'New Year\'s Eve' => '',
        'New email ticket' => '',
        'New phone ticket' => '',
        'Next possible ticket states after adding a phone note in the ticket phone outbound screen of the agent interface.' => '',
        'Notifications (Event)' => 'bildirim',
        'Number of displayed tickets' => '',
        'Number of lines (per ticket) that are shown by the search utility in the agent interface.' => '',
        'Number of tickets to be displayed in each page of a search result in the agent interface.' => '',
        'Number of tickets to be displayed in each page of a search result in the customer interface.' => '',
        'Overloads (redefines) existing functions in Kernel::System::Ticket. Used to easily add customizations.' => '',
        'Overview Escalated Tickets' => '',
        'Overview of all open Tickets.' => '',
        'PGP Key Upload' => '',
        'Parameters for the CreateNextMask object in the preference view of the agent interface.' => '',
        'Parameters for the CustomQueue object in the preference view of the agent interface.' => '',
        'Parameters for the FollowUpNotify object in the preference view of the agent interface.' => '',
        'Parameters for the LockTimeoutNotify object in the preference view of the agent interface.' => '',
        'Parameters for the MoveNotify object in the preference view of the agent interface.' => '',
        'Parameters for the NewTicketNotify object in the preferences view of the agent interface.' => '',
        'Parameters for the RefreshTime object in the preference view of the agent interface.' => '',
        'Parameters for the WatcherNotify object in the preference view of the agent interface.' => '',
        'Parameters for the dashboard backend of the new tickets overview of the agent interface. "Limit" is the number of entries shown by default. "Group" is used to restrict the access to the plugin (e. g. Group: admin;group1;group2;). "Default" determines if the plugin is enabled by default or if the user needs to enable it manually. "CacheTTLLocal" is the cache time in minutes for the plugin.' => '',
        'Parameters for the dashboard backend of the ticket calendar of the agent interface. "Limit" is the number of entries shown by default. "Group" is used to restrict the access to the plugin (e. g. Group: admin;group1;group2;). "Default" determines if the plugin is enabled by default or if the user needs to enable it manually. "CacheTTLLocal" is the cache time in minutes for the plugin.' => '',
        'Parameters for the dashboard backend of the ticket escalation overview of the agent interface . "Limit" is the number of entries shown by default. "Group" is used to restrict the access to the plugin (e. g. Group: admin;group1;group2;). "Default" determines if the plugin is enabled by default or if the user needs to enable it manually. "CacheTTLLocal" is the cache time in minutes for the plugin.' => '',
        'Parameters for the dashboard backend of the ticket pending reminder overview of the agent interface . "Limit" is the number of entries shown by default. "Group" is used to restrict the access to the plugin (e. g. Group: admin;group1;group2;). "Default" determines if the plugin is enabled by default or if the user needs to enable it manually. "CacheTTLLocal" is the cache time in minutes for the plugin.' => '',
        'Parameters for the dashboard backend of the ticket pending reminder overview of the agent interface. "Limit" is the number of entries shown by default. "Group" is used to restrict the access to the plugin (e. g. Group: admin;group1;group2;). "Default" determines if the plugin is enabled by default or if the user needs to enable it manually. "CacheTTLLocal" is the cache time in minutes for the plugin.' => '',
        'Parameters for the dashboard backend of the ticket stats of the agent interface. "Limit" is the number of entries shown by default. "Group" is used to restrict the access to the plugin (e. g. Group: admin;group1;group2;). "Default" determines if the plugin is enabled by default or if the user needs to enable it manually. "CacheTTLLocal" is the cache time in minutes for the plugin.' => '',
        'Parameters for the pages (in which the tickets are shown) of the medium ticket overview.' => '',
        'Parameters for the pages (in which the tickets are shown) of the small ticket overview.' => '',
        'Parameters for the pages (in which the tickets are shown) of the ticket preview overview.' => '',
        'Parameters of the example SLA attribute Comment2.' => '',
        'Parameters of the example queue attribute Comment2.' => '',
        'Parameters of the example service attribute Comment2.' => '',
        'Path for the log file (it only applies if "FS" was selected for LoopProtectionModule and it is mandatory).' => '',
        'Path of the file that stores all the settings for the QueueObject object for the agent interface.' => '',
        'Path of the file that stores all the settings for the QueueObject object for the customer interface.' => '',
        'Path of the file that stores all the settings for the TicketObject for the agent interface.' => '',
        'Path of the file that stores all the settings for the TicketObject for the customer interface.' => '',
        'Permitted width for compose email windows.' => '',
        'Permitted width for compose note windows.' => '',
        'PostMaster Filters' => '',
        'PostMaster Mail Accounts' => '',
        'Protection against CSRF (Cross Site Request Forgery) exploits (for more info see http://en.wikipedia.org/wiki/Cross-site_request_forgery).' => '',
        'Queue view' => '',
        'QueueView Refresh Time' => '',
        'Refresh interval' => '',
        'Replaces the original sender with current customer\'s email address on compose answer in the ticket compose screen of the agent interface.' => '',
        'Required permissions to change the customer of a ticket in the agent interface.' => '',
        'Required permissions to use the close ticket screen in the agent interface.' => '',
        'Required permissions to use the ticket bounce screen in the agent interface.' => '',
        'Required permissions to use the ticket compose screen in the agent interface.' => '',
        'Required permissions to use the ticket forward screen in the agent interface.' => '',
        'Required permissions to use the ticket free text screen in the agent interface.' => '',
        'Required permissions to use the ticket merge screen of a zoomed ticket in the agent interface.' => '',
        'Required permissions to use the ticket note screen in the agent interface.' => '',
        'Required permissions to use the ticket owner screen of a zoomed ticket in the agent interface.' => '',
        'Required permissions to use the ticket pending screen of a zoomed ticket in the agent interface.' => '',
        'Required permissions to use the ticket phone outbound screen in the agent interface.' => '',
        'Required permissions to use the ticket priority screen of a zoomed ticket in the agent interface.' => '',
        'Required permissions to use the ticket responsible screen in the agent interface.' => '',
        'Resets and unlocks the owner of a ticket if it was moved to another queue.' => '',
        'Responses <-> Queues' => 'Yantlar <-> Kuyruk',
        'Restores a ticket from the archive (only if the event is a state change, from closed to any open available state).' => '',
        'Roles <-> Groups' => 'Roller <-> Gruplar',
        'Runs an initial wildcard search of the existing customer users when accessing the AdminCustomerUser module.' => '',
        'Runs the system in "Demo" mode. If set to "Yes", agents can change preferences, such as selection of language and theme via the agent web interface. These changes are only valid for the current session. It will not be possible for agents to change their passwords.' => '',
        'S/MIME Certificate Upload' => '',
        'Saves the attachments of articles. "DB" stores all data in the database (not recommended for storing big attachments). "FS" stores the data on the filesystem; this is faster but the webserver should run under the OTRS user. You can switch between the modules even on a system that is already in production without any loss of data.' => '',
        'Saves the login and password on the session table in the database, if "DB" was selected for SessionModule.' => '',
        'Search backend default router.' => '',
        'Search backend router.' => '',
        'Second Christmas Day' => '',
        'Select your frontend Theme.' => 'nyz Temasn sein.',
        'Selects the module to handle uploads via the web interface. "DB" stores all uploads in the database, "FS" uses the file system.' => '',
        'Selects the ticket number generator module. "AutoIncrement" increments the ticket number, the SystemID and the counter are used with SystemID.counter format (e.g. 1010138, 1010139). With "Date" the ticket numbers will be generated by the current date, the SystemID and the counter. The format looks like Year.Month.Day.SystemID.counter (e.g. 200206231010138, 200206231010139). With "DateChecksum"  the counter will be appended as checksum to the string of date and SystemID. The checksum will be rotated on a daily basis. The format looks like Year.Month.Day.SystemID.Counter.CheckSum (e.g. 2002070110101520, 2002070110101535). "Random" generates randomized ticket numbers in the format "SystemID.Random" (e.g. 100057866352, 103745394596).' => '',
        'Send me a notification if a customer sends a follow up and I\'m the owner of the ticket or the ticket is unlocked and is in one of my subscribed queues.' => '',
        'Send notifications to users.' => '',
        'Send ticket follow up notifications' => '',
        'Sender type for new tickets from the customer inteface.' => '',
        'Sends agent follow-up notification only to the owner, if a ticket is unlocked (the default is to send the notification to all agents).' => '',
        'Sends all outgoing email via bcc to the specified address. Please use this only for backup reasons.' => '',
        'Sends customer notifications just to the mapped customer. Normally, if no customer is mapped, the latest customer sender gets the notification.' => '',
        'Sends reminder notifications of unlocked ticket after reaching the reminder date (only sent to ticket owner).' => '',
        'Sends the notifications which are configured in the admin interface under "Notfication (Event)".' => '',
        'Set sender email addresses for this system.' => '',
        'Set the default height (in pixels) of inline HTML articles in AgentTicketZoom.' => '',
        'Set the maximum height (in pixels) of inline HTML articles in AgentTicketZoom.' => '',
        'Set this to yes if you trust in all your public and private pgp keys, even if they are not certified with a trusted signature.' => '',
        'Sets if ticket owner must be selected by the agent.' => '',
        'Sets the PendingTime of a ticket to 0 if the state is changed to a non-pending state.' => '',
        'Sets the age in minutes (first level) for highlighting queues that contain untouched tickets.' => '',
        'Sets the age in minutes (second level) for highlighting queues that contain untouched tickets.' => '',
        'Sets the configuration level of the administrator. Depending on the config level, some sysconfig options will be not shown. The config levels are in in ascending order: Expert, Advanced, Beginner. The higher the config level is (e.g. Beginner is the highest), the less likely is it that the user can accidentally configure the system in a way that it is not usable any more.' => '',
        'Sets the default article type for new email tickets in the agent interface.' => '',
        'Sets the default article type for new phone tickets in the agent interface.' => '',
        'Sets the default body text for notes added in the close ticket screen of the agent interface.' => '',
        'Sets the default body text for notes added in the ticket move screen of the agent interface.' => '',
        'Sets the default body text for notes added in the ticket note screen of the agent interface.' => '',
        'Sets the default body text for notes added in the ticket owner screen of a zoomed ticket in the agent interface.' => '',
        'Sets the default body text for notes added in the ticket pending screen of a zoomed ticket in the agent interface.' => '',
        'Sets the default body text for notes added in the ticket priority screen of a zoomed ticket in the agent interface.' => '',
        'Sets the default body text for notes added in the ticket responsible screen of the agent interface.' => '',
        'Sets the default charset for the web interface to use (should represent the charset used to create the database or, in some cases, the database management system being used). "utf-8" is a good choice for environments expecting many charsets. You can specify another charset here (i.e. "iso-8859-1"). Please be sure that you will not be receiving foreign emails, or text, otherwise this could lead to problems.' => '',
        'Sets the default link type of splitted tickets in the agent interface.' => '',
        'Sets the default next state for new phone tickets in the agent interface.' => '',
        'Sets the default next ticket state, after the creation of an email ticket in the agent interface.' => '',
        'Sets the default note text for new telephone tickets. E.g \'New ticket via call\' in the agent interface.' => '',
        'Sets the default priority for new email tickets in the agent interface.' => '',
        'Sets the default priority for new phone tickets in the agent interface.' => '',
        'Sets the default sender type for new email tickets in the agent interface.' => '',
        'Sets the default sender type for new phone ticket in the agent interface.' => '',
        'Sets the default subject for new email tickets (e.g. \'email Outbound\') in the agent interface.' => '',
        'Sets the default subject for new phone tickets (e.g. \'Phone call\') in the agent interface.' => '',
        'Sets the default subject for notes added in the close ticket screen of the agent interface.' => '',
        'Sets the default subject for notes added in the ticket move screen of the agent interface.' => '',
        'Sets the default subject for notes added in the ticket note screen of the agent interface.' => '',
        'Sets the default subject for notes added in the ticket owner screen of a zoomed ticket in the agent interface.' => '',
        'Sets the default subject for notes added in the ticket pending screen of a zoomed ticket in the agent interface.' => '',
        'Sets the default subject for notes added in the ticket priority screen of a zoomed ticket in the agent interface.' => '',
        'Sets the default subject for notes added in the ticket responsible screen of the agent interface.' => '',
        'Sets the default text for new email tickets in the agent interface.' => '',
        'Sets the display order of the different items in the preferences view.' => '',
        'Sets the inactivity time (in seconds) to pass before a session is killed and a user is loged out.' => '',
        'Sets the minimal ticket counter size (if "AutoIncrement" was selected as TicketNumberGenerator). Default is 5, this means the counter starts from 10000.' => '',
        'Sets the minimum number of characters before autocomplete query is sent.' => '',
        'Sets the number of lines that are displayed in text messages (e.g. ticket lines in the QueueZoom).' => '',
        'Sets the number of search results to be displayed for the autocomplete feature.' => '',
        'Sets the options for PGP binary.' => '',
        'Sets the order of the different items in the customer preferences view.' => '',
        'Sets the password for private PGP key.' => '',
        'Sets the prefered time units (e.g. work units, hours, minutes).' => '',
        'Sets the prefix to the scripts folder on the server, as configured on the web server. This setting is used as a variable, OTRS_CONFIG_ScriptAlias which is found in all forms of messaging used by the application, to build links to the tickets within the system.' => '',
        'Sets the responsible agent of the ticket in the close ticket screen of the agent interface.' => '',
        'Sets the responsible agent of the ticket in the ticket bulk screen of the agent interface.' => '',
        'Sets the responsible agent of the ticket in the ticket free text screen of the agent interface.' => '',
        'Sets the responsible agent of the ticket in the ticket note screen of the agent interface.' => '',
        'Sets the responsible agent of the ticket in the ticket owner screen of a zoomed ticket in the agent interface.' => '',
        'Sets the responsible agent of the ticket in the ticket pending screen of a zoomed ticket in the agent interface.' => '',
        'Sets the responsible agent of the ticket in the ticket priority screen of a zoomed ticket in the agent interface.' => '',
        'Sets the responsible agent of the ticket in the ticket responsible screen of the agent interface.' => '',
        'Sets the service in the close ticket screen of the agent interface (Ticket::Service needs to be activated).' => '',
        'Sets the service in the ticket free text screen of the agent interface (Ticket::Service needs to be activated).' => '',
        'Sets the service in the ticket note screen of the agent interface (Ticket::Service needs to be activated).' => '',
        'Sets the service in the ticket owner screen of a zoomed ticket in the agent interface (Ticket::Service needs to be activated).' => '',
        'Sets the service in the ticket pending screen of a zoomed ticket in the agent interface (Ticket::Service needs to be activated).' => '',
        'Sets the service in the ticket priority screen of a zoomed ticket in the agent interface (Ticket::Service needs to be activated).' => '',
        'Sets the service in the ticket responsible screen of the agent interface (Ticket::Service needs to be activated).' => '',
        'Sets the size of the statistic graph.' => '',
        'Sets the stats hook.' => '',
        'Sets the system time zone (required a system with UTC as system time). Otherwise this is a diff time to the local time.' => '',
        'Sets the ticket owner in the close ticket screen of the agent interface.' => '',
        'Sets the ticket owner in the ticket bulk screen of the agent interface.' => '',
        'Sets the ticket owner in the ticket free text screen of the agent interface.' => '',
        'Sets the ticket owner in the ticket note screen of the agent interface.' => '',
        'Sets the ticket owner in the ticket owner screen of a zoomed ticket in the agent interface.' => '',
        'Sets the ticket owner in the ticket pending screen of a zoomed ticket in the agent interface.' => '',
        'Sets the ticket owner in the ticket priority screen of a zoomed ticket in the agent interface.' => '',
        'Sets the ticket owner in the ticket responsible screen of the agent interface.' => '',
        'Sets the ticket type in the close ticket screen of the agent interface (Ticket::Type needs to be activated).' => '',
        'Sets the ticket type in the ticket free text screen of the agent interface (Ticket::Type needs to be activated).' => '',
        'Sets the ticket type in the ticket note screen of the agent interface (Ticket::Type needs to be activated).' => '',
        'Sets the ticket type in the ticket owner screen of a zoomed ticket in the agent interface (Ticket::Type needs to be activated).' => '',
        'Sets the ticket type in the ticket pending screen of a zoomed ticket in the agent interface (Ticket::Type needs to be activated).' => '',
        'Sets the ticket type in the ticket priority screen of a zoomed ticket in the agent interface (Ticket::Type needs to be activated).' => '',
        'Sets the ticket type in the ticket responsible screen of the agent interface (Ticket::Type needs to be activated).' => '',
        'Sets the time type which should be shown.' => '',
        'Sets the timeout (in seconds) for http/ftp downloads.' => '',
        'Sets the timeout (in seconds) for package downloads. Overwrites "WebUserAgent::Timeout".' => '',
        'Sets the user time zone per user (required a system with UTC as system time and UTC under TimeZone). Otherwise this is a diff time to the local time.' => '',
        'Sets the user time zone per user based on java script / browser time zone offset feature at login time.' => '',
        'Show a responsible selection in phone and email tickets in the agent interface.' => '',
        'Show article as rich text even if rich text writing is disabled.' => '',
        'Shows a count of icons in the ticket zoom, if the article has attachments.' => '',
        'Shows a link in the menu for subscribing / unsubscribing from a ticket in the ticket zoom view of the agent interface.' => '',
        'Shows a link in the menu that allows linking a ticket with another object in the ticket zoom view of the agent interface.' => '',
        'Shows a link in the menu that allows merging tickets in the ticket zoom view of the agent interface.' => '',
        'Shows a link in the menu to access the history of a ticket in the ticket zoom view of the agent interface.' => '',
        'Shows a link in the menu to add a free text field in the ticket zoom view of the agent interface.' => '',
        'Shows a link in the menu to add a note in the ticket zoom view of the agent interface.' => '',
        'Shows a link in the menu to add a note to a ticket in every ticket overview of the agent interface.' => '',
        'Shows a link in the menu to close a ticket in every ticket overview of the agent interface.' => '',
        'Shows a link in the menu to close a ticket in the ticket zoom view of the agent interface.' => '',
        'Shows a link in the menu to delete a ticket in every ticket overview of the agent interface. Additional access control to show or not show this link can be done by using Key "Group" and Content like "rw:group1;move_into:group2".' => '',
        'Shows a link in the menu to delete a ticket in the ticket zoom view of the agent interface. Additional access control to show or not show this link can be done by using Key "Group" and Content like "rw:group1;move_into:group2".' => '',
        'Shows a link in the menu to go back in the ticket zoom view of the agent interface.' => '',
        'Shows a link in the menu to lock / unlock a ticket in the ticket overviews of the agent interface.' => '',
        'Shows a link in the menu to lock/unlock tickets in the ticket zoom view of the agent interface.' => '',
        'Shows a link in the menu to move a ticket in every ticket overview of the agent interface.' => '',
        'Shows a link in the menu to print a ticket or an article in the ticket zoom view of the agent interface.' => '',
        'Shows a link in the menu to see the customer who requested the ticket in the ticket zoom view of the agent interface.' => '',
        'Shows a link in the menu to see the history of a ticket in every ticket overview of the agent interface.' => '',
        'Shows a link in the menu to see the owner of a ticket in the ticket zoom view of the agent interface.' => '',
        'Shows a link in the menu to see the priority of a ticket in the ticket zoom view of the agent interface.' => '',
        'Shows a link in the menu to see the responsible agent of a ticket in the ticket zoom view of the agent interface.' => '',
        'Shows a link in the menu to set a ticket as pending in the ticket zoom view of the agent interface.' => '',
        'Shows a link in the menu to set a ticket as spam in every ticket overview of the agent interface. Additional access control to show or not show this link can be done by using Key "Group" and Content like "rw:group1;move_into:group2".' => '',
        'Shows a link in the menu to set the priority of a ticket in every ticket overview of the agent interface.' => '',
        'Shows a link in the menu to zoom a ticket in the ticket overviews of the agent interface.' => '',
        'Shows a link to access article attachments via a html online viewer in the zoom view of the article in the agent interface.' => '',
        'Shows a link to download article attachments in the zoom view of the article in the agent interface.' => '',
        'Shows a link to see a zoomed email ticket in plain text.' => '',
        'Shows a link to set a ticket as spam in the ticket zoom view of the agent interface. Additional access control to show or not show this link can be done by using Key "Group" and Content like "rw:group1;move_into:group2".' => '',
        'Shows a list of all the involved agents on this ticket, in the close ticket screen of the agent interface.' => '',
        'Shows a list of all the involved agents on this ticket, in the ticket free text screen of the agent interface.' => '',
        'Shows a list of all the involved agents on this ticket, in the ticket note screen of the agent interface.' => '',
        'Shows a list of all the involved agents on this ticket, in the ticket owner screen of a zoomed ticket in the agent interface.' => '',
        'Shows a list of all the involved agents on this ticket, in the ticket pending screen of a zoomed ticket in the agent interface.' => '',
        'Shows a list of all the involved agents on this ticket, in the ticket priority screen of a zoomed ticket in the agent interface.' => '',
        'Shows a list of all the involved agents on this ticket, in the ticket responsible screen of the agent interface.' => '',
        'Shows a list of all the possible agents (all agents with note permissions on the queue/ticket) to determine who should be informed about this note, in the close ticket screen of the agent interface.' => '',
        'Shows a list of all the possible agents (all agents with note permissions on the queue/ticket) to determine who should be informed about this note, in the ticket free text screen of the agent interface.' => '',
        'Shows a list of all the possible agents (all agents with note permissions on the queue/ticket) to determine who should be informed about this note, in the ticket note screen of the agent interface.' => '',
        'Shows a list of all the possible agents (all agents with note permissions on the queue/ticket) to determine who should be informed about this note, in the ticket owner screen of a zoomed ticket in the agent interface.' => '',
        'Shows a list of all the possible agents (all agents with note permissions on the queue/ticket) to determine who should be informed about this note, in the ticket pending screen of a zoomed ticket in the agent interface.' => '',
        'Shows a list of all the possible agents (all agents with note permissions on the queue/ticket) to determine who should be informed about this note, in the ticket priority screen of a zoomed ticket in the agent interface.' => '',
        'Shows a list of all the possible agents (all agents with note permissions on the queue/ticket) to determine who should be informed about this note, in the ticket responsible screen of the agent interface.' => '',
        'Shows a preview of the ticket overview (CustomerInfo => 1 - shows also Customer-Info, CustomerInfoMaxSize max. size in characters of Customer-Info).' => '',
        'Shows all both ro and rw queues in the queue view.' => '',
        'Shows all open tickets (even if they are locked) in the escalation view of the agent interface.' => '',
        'Shows all open tickets (even if they are locked) in the status view of the agent interface.' => '',
        'Shows all the articles of the ticket (expanded) in the zoom view.' => '',
        'Shows all the customer identifiers in a multi-select field (not useful if you have a lot of customer identifiers).' => '',
        'Shows an owner selection in phone and email tickets in the agent interface.' => '',
        'Shows customer history tickets in AgentTicketPhone, AgentTicketEmail and AgentTicketCustomer.' => '',
        'Shows either the last customer article\'s subject or the ticket title in the small format overview.' => '',
        'Shows existing parent/child queue lists in the system in the form of a tree or a list.' => '',
        'Shows the activated ticket attributes in the customer interface (0 = Disabled and 1 = Enabled).' => '',
        'Shows the articles sorted normally or in reverse, under ticket zoom in the agent interface.' => '',
        'Shows the customer user information (phone and email) in the compose screen.' => '',
        'Shows the customer user\'s info in the ticket zoom view.' => '',
        'Shows the message of the day (MOTD) in the agent dashboard. "Group" is used to restrict access to the plugin (e. g. Group: admin;group1;group2;). "Default" indicates if the plugin is enabled by default or if the user needs to enable it manually.' => '',
        'Shows the message of the day on login screen of the agent interface.' => '',
        'Shows the ticket history (reverse ordered) in the agent interface.' => '',
        'Shows the ticket priority options in the close ticket screen of the agent interface.' => '',
        'Shows the ticket priority options in the move ticket screen of the agent interface.' => '',
        'Shows the ticket priority options in the ticket bulk screen of the agent interface.' => '',
        'Shows the ticket priority options in the ticket free text screen of the agent interface.' => '',
        'Shows the ticket priority options in the ticket note screen of the agent interface.' => '',
        'Shows the ticket priority options in the ticket owner screen of a zoomed ticket in the agent interface.' => '',
        'Shows the ticket priority options in the ticket pending screen of a zoomed ticket in the agent interface.' => '',
        'Shows the ticket priority options in the ticket priority screen of a zoomed ticket in the agent interface.' => '',
        'Shows the ticket priority options in the ticket responsible screen of the agent interface.' => '',
        'Shows the title fields in the close ticket screen of the agent interface.' => '',
        'Shows the title fields in the ticket free text screen of the agent interface.' => '',
        'Shows the title fields in the ticket note screen of the agent interface.' => '',
        'Shows the title fields in the ticket owner screen of a zoomed ticket in the agent interface.' => '',
        'Shows the title fields in the ticket pending screen of a zoomed ticket in the agent interface.' => '',
        'Shows the title fields in the ticket priority screen of a zoomed ticket in the agent interface.' => '',
        'Shows the title fields in the ticket responsible screen of the agent interface.' => '',
        'Shows time in long format (days, hours, minutes), if set to "Yes"; or in short format (days, hours), if set to "No".' => '',
        'Shows time use complete description (days, hours, minutes), if set to "Yes"; or just first letter (d, h, m), if set to "No".' => '',
        'Skin' => '',
        'Sorts the tickets (ascendingly or descendingly) when a single queue is selected in the queue view and after the tickets are sorted by priority. Values: 0 = ascending (oldest on top, default), 1 = descending (youngest on top). Use the QueueID for the key and 0 or 1 for value.' => '',
        'Spam Assassin example setup. Ignores emails that are marked with SpamAssassin.' => '',
        'Spam Assassin example setup. Moves marked mails to spam queue.' => '',
        'Specifies if an agent should receive email notification of his own actions.' => '',
        'Specifies the background color of the chart.' => '',
        'Specifies the background color of the picture.' => '',
        'Specifies the border color of the chart.' => '',
        'Specifies the border color of the legend.' => '',
        'Specifies the bottom margin of the chart.' => '',
        'Specifies the different article types that will be used in the system.' => '',
        'Specifies the different note types that will be used in the system.' => '',
        'Specifies the directory to store the data in, if "FS" was selected for TicketStorageModule.' => '',
        'Specifies the directory where SSL certificates are stored.' => '',
        'Specifies the directory where private SSL certificates are stored.' => '',
        'Specifies the email address that should be used by the application when sending notifications. The email address is used to build the complete display name for the notification master (i.e. "OTRS Notification Master" otrs@your.example.com). You can use the OTRS_CONFIG_FQDN variable as set in your configuation, or choose another email address. Notifications are messages such as en::Customer::QueueUpdate or en::Agent::Move.' => '',
        'Specifies the left margin of the chart.' => '',
        'Specifies the name that should be used by the application when sending notifications. The sender name is used to build the complete display name for the notification master (i.e. "OTRS Notification Master" otrs@your.example.com). Notifications are messages such as en::Customer::QueueUpdate or en::Agent::Move.' => '',
        'Specifies the path of the file for the logo in the page header (gif|jpg|png, 700 x 100 pixel).' => '',
        'Specifies the path of the file for the performance log.' => '',
        'Specifies the path to the converter that allows the view of Microsoft Excel files, in the web interface.' => '',
        'Specifies the path to the converter that allows the view of Microsoft Word files, in the web interface.' => '',
        'Specifies the path to the converter that allows the view of PDF documents, in the web interface.' => '',
        'Specifies the path to the converter that allows the view of XML files, in the web interface.' => '',
        'Specifies the right margin of the chart.' => '',
        'Specifies the text color of the chart (e. g. caption).' => '',
        'Specifies the text color of the legend.' => '',
        'Specifies the text that should appear in the log file to denote a CGI script entry.' => '',
        'Specifies the top margin of the chart.' => '',
        'Specifies user id of the postmaster data base.' => '',
        'Standard available permissions for agents within the application. If more permissions are needed, they can be entered here. Permissions must be defined to be effective. Some other good permissions have also been provided built-in: note, close, pending, customer, freetext, move, compose, responsible, forward, and bounce. Make sure that "rw" is always the last registered permission.' => '',
        'Start number for statistics counting. Every new stat increments this number.' => '',
        'Statistics' => '',
        'Status view' => '',
        'Stores cookies after the browser has been closed.' => '',
        'Strips empty lines on the ticket preview in the queue view.' => '',
        'The "bin/PostMasterMailAccount.pl" will reconnect to POP3/POP3S/IMAP/IMAPS host after the specified count of messages.' => '',
        'The agent skin\'s InternalName which should be used in the agent interface. Please check the available skins in Frontend::Agent::Skins.' => '',
        'The customer skin\'s InternalName which should be used in the customer interface. Please check the available skins in Frontend::Customer::Skins.' => '',
        'The divider between TicketHook and ticket number. E.g \': \'.' => '',
        'The format of the subject. \'Left\' means \'[TicketHook#:12345] Some Subject\', \'Right\' means \'Some Subject [TicketHook#:12345]\', \'None\' means \'Some Subject\' and no ticket number. In the last case you should enable PostmasterFollowupSearchInRaw or PostmasterFollowUpSearchInReferences to recognize followups based on email headers and/or body.' => '',
        'The headline shown in the customer interface.' => '',
        'The identifier for a ticket, e.g. Ticket#, Call#, MyTicket#. The default is Ticket#.' => '',
        'The logo shown in the header of the agent interface. The URL to the image must be a relative URL to the skin image directory.' => '',
        'The logo shown in the header of the customer interface. The URL to the image must be a relative URL to the skin image directory.' => '',
        'The logo shown on top of the login box of the agent interface. The URL to the image must be relative URL to the skin image directory.' => '',
        'The text at the beginning of the subject in an email reply, e.g. RE, AW, or AS.' => '',
        'The text at the beginning of the subject when an email is forwarded, e.g. FW, Fwd, or WG.' => '',
        'This module and its PreRun() function will be executed, if defined, for every request. This module is useful to check some user options or to display news about new applications.' => '',
        'Ticket free text options shown in the close ticket screen of the agent interface. Possible settings: 0 = Disabled, 1 = Enabled, 2 = Enabled and required.' => '',
        'Ticket free text options shown in the email ticket screen of the agent interface. Possible settings: 0 = Disabled, 1 = Enabled, 2 = Enabled and required.' => '',
        'Ticket free text options shown in the move ticket screen of the agent interface. Possible settings: 0 = Disabled, 1 = Enabled, 2 = Enabled and required.' => '',
        'Ticket free text options shown in the phone ticket screen of the agent interface. Possible settings: 0 = Disabled, 1 = Enabled, 2 = Enabled and required.' => '',
        'Ticket free text options shown in the ticket compose screen of the agent interface. Possible settings: 0 = Disabled, 1 = Enabled, 2 = Enabled and required.' => '',
        'Ticket free text options shown in the ticket forward screen of the agent interface. Possible settings: 0 = Disabled, 1 = Enabled, 2 = Enabled and required.' => '',
        'Ticket free text options shown in the ticket free text screen of the agent interface. Possible settings: 0 = Disabled, 1 = Enabled, 2 = Enabled and required.' => '',
        'Ticket free text options shown in the ticket message screen of the customer interface. Possible settings: 0 = Disabled, 1 = Enabled, 2 = Enabled and required. NOTE. If you want to display these fields also in the ticket zoom of the customer interface, you have to enable them in CustomerTicketZoom###AttributesView.' => '',
        'Ticket free text options shown in the ticket note screen of the agent interface. Possible settings: 0 = Disabled, 1 = Enabled, 2 = Enabled and required.' => '',
        'Ticket free text options shown in the ticket owner screen of a zoomed ticket in the agent interface. Possible settings: 0 = Disabled, 1 = Enabled, 2 = Enabled and required.' => '',
        'Ticket free text options shown in the ticket pending screen of a zoomed ticket in the agent interface. Possible settings: 0 = Disabled, 1 = Enabled, 2 = Enabled and required.' => '',
        'Ticket free text options shown in the ticket phone outbound screen of the agent interface. Possible settings: 0 = Disabled, 1 = Enabled, 2 = Enabled and required.' => '',
        'Ticket free text options shown in the ticket priority screen of a zoomed ticket in the agent interface. Possible settings: 0 = Disabled, 1 = Enabled, 2 = Enabled and required.' => '',
        'Ticket free text options shown in the ticket responsible screen of the agent interface. Possible settings: 0 = Disabled, 1 = Enabled, 2 = Enabled and required.' => '',
        'Ticket free text options shown in the ticket search of the agent interface. Possible settings: 0 = Disabled, 1 = Enabled, 2 = Enabled and required.' => '',
        'Ticket free text options shown in the ticket search screen in the customer interface. Possible settings: 0 = Disabled and 1 = Enabled.' => '',
        'Ticket free time options shown in the close ticket screen of the agent interface. Possible settings: 0 = Disabled, 1 = Enabled, 2 = Enabled and required.' => '',
        'Ticket free time options shown in the email ticket screen of the agent interface. Possible settings: 0 = Disabled, 1 = Enabled, 2 = Enabled and required.' => '',
        'Ticket free time options shown in the move ticket screen of the agent interface. Possible settings: 0 = Disabled, 1 = Enabled, 2 = Enabled and required.' => '',
        'Ticket free time options shown in the phone ticket screen of the agent interface. Possible settings: 0 = Disabled, 1 = Enabled, 2 = Enabled and required.' => '',
        'Ticket free time options shown in the ticket compose screen of the agent interface. Possible settings: 0 = Disabled, 1 = Enabled, 2 = Enabled and required.' => '',
        'Ticket free time options shown in the ticket forward screen of the agent interface. Possible settings: 0 = Disabled, 1 = Enabled, 2 = Enabled and required.' => '',
        'Ticket free time options shown in the ticket free text screen of the agent interface. Possible settings: 0 = Disabled, 1 = Enabled, 2 = Enabled and required.' => '',
        'Ticket free time options shown in the ticket message screen of the customer interface. Possible settings: 0 = Disabled, 1 = Enabled, 2 = Enabled and required. NOTE. If you want to display these fields also in the ticket zoom of the customer interface, you have to enable them in CustomerTicketZoom###AttributesView.' => '',
        'Ticket free time options shown in the ticket note screen of the agent interface. Possible settings: 0 = Disabled, 1 = Enabled, 2 = Enabled and required.' => '',
        'Ticket free time options shown in the ticket owner screen of a zoomed ticket in the agent interface. Possible settings: 0 = Disabled, 1 = Enabled, 2 = Enabled and required.' => '',
        'Ticket free time options shown in the ticket pending screen of a zoomed ticket in the agent interface. Possible settings: 0 = Disabled, 1 = Enabled, 2 = Enabled and required.' => '',
        'Ticket free time options shown in the ticket phone outbound screen of the agent interface. Possible settings: 0 = Disabled, 1 = Enabled, 2 = Enabled and required.' => '',
        'Ticket free time options shown in the ticket priority screen of a zoomed ticket in the agent interface. Possible settings: 0 = Disabled, 1 = Enabled, 2 = Enabled and required.' => '',
        'Ticket free time options shown in the ticket responsible screen of the agent interface. Possible settings: 0 = Disabled, 1 = Enabled, 2 = Enabled and required.' => '',
        'Ticket free time options shown in the ticket search of the agent interface. Possible settings: 0 = Disabled, 1 = Enabled.' => '',
        'Ticket free time options shown in the ticket search screen in the customer interface. Possible settings: 0 = Disabled and 1 = Enabled.' => '',
        'Ticket overview' => '',
        'Tickets' => 'Biletler',
        'Time in seconds that gets added to the actual time if setting a pending-state (default: 86400 = 1 day).' => '',
        'Toolbar Item for a shortcut.' => '',
        'Turns on the animations used in the GUI. If you have problems with these animations (e.g. performance issues), you can turn them off here.' => '',
        'Turns on the remote ip address check. It should be set to "No" if the application is used, for example, via a proxy farm or a dialup connection, because the remote ip address is mostly different for the requests.' => '',
        'Types' => '',
        'Update Ticket "Seen" flag if every article got seen or a new Article got created.' => '',
        'Update and extend your system with software packages.' => '',
        'Updates the ticket escalation index after a ticket attribute got updated.' => '',
        'Updates the ticket index accelerator.' => '',
        'Uses Cc recipients in reply Cc list on compose an email answer in the ticket compose screen of the agent interface.' => '',
        'Uses richtext for viewing and editing: articles, salutations, signatures, standard responses, auto responses and notifications.' => '',
        'View performance benchmark results.' => '',
        'View system log messages.' => '',
        'Wear this frontend skin' => '',
        'When tickets are merged, a note will be added automatically to the ticket which is no longer active. In this text area you can define this text (This text cannot be changed by the agent).' => '',
        'When tickets are merged, the customer can be informed per email by setting the check box "Inform Sender". In this text area, you can define a pre-formatted text which can later be modified by the agents.' => '',
        'Your language' => '',

        #
        # OBSOLETE ENTRIES FOR REFERENCE, DO NOT TRANSLATE!
        #
        '%s Tickets affected! Do you really want to use this job?' => '%s Bilet etkilendi! Gerekten bu ii kullanmak istiyor musunuz?',
        '(Checks MX recordes of used email addresses by composing an answer. Don\'t use CheckMXRecord if your OTRS machine is behinde a dial-up line $!)' => '(Kullanlan e-posta adreslerinin MX kaytlarn bir cevap yazarak kontrol eder. Eer OTRS sisteminiz evirmeli bir an arkasndaysa kullanmayn!)',
        '(Email of the system admin)' => '(Sistem yneticisinin e-posta adresi)',
        '(Full qualified domain name of your system)' => '(Sisteminizin eksiksiz sunucu adresi (FQDN))',
        '(Logfile just needed for File-LogModule!)' => '(Gnlk dosyas sadece gnlk bileeni Dosya olduunda gereklidir!)',
        '(Note: It depends on your installation how many dynamic objects you can use)' => '(Not: Ka dinamik nesne kullanabileceiniz kurulumunuza baldr)',
        '(Note: Useful for big databases and low performance server)' => '(Not: Byk veritaban ve dk performansl sunucularda kullanldr)',
        '(The identify of the system. Each ticket number and each http session id starts with this number)' => '(Sistemin kimlii. Her bilet numaras ve her http oturum kimlii bu numarayla balar)',
        '(Ticket identifier. Some people want toset this to e. g. \'Ticket#\', \'Call#\' or \'MyTicket#\')' => '(Bilet tanmlaycs. \'Bilet#\', \'Arama#\' oder \'Biletim#\' gibi olabilir)',
        '(Used default language)' => '(Kullanlan ntanml dil)',
        '(Used log backend)' => '(Kullanlan gnlk arkaucu)',
        '(Used ticket number format)' => '(Kullanlan bilet numaras biimi)',
        'A article should have a title!' => 'Metnin bir bal olmaldr!',
        'A message must be spell checked!' => 'Mesajn szyazm kontrolnden gemesi gereki!',
        'A message should have a To: recipient!' => 'Bir mesajn alcs olmaldr!',
        'A message should have a body!' => 'Mesajn bir gvdesi olmaldr!',
        'A message should have a subject!' => 'Bir mesajn bir konusu olmaldr!',
        'Absolut Period' => 'Belirli Sre',
        'Add Customer User' => 'Mteri Kullanc Ekle',
        'Add System Address' => 'Sistem Adresi Ekle',
        'Add User' => 'Kullanc Ekle',
        'Add a new Agent.' => 'Yeni bir Arac ekle.',
        'Add a new Customer Company.' => 'Yeni bir Mteri irket ekle.',
        'Add a new Group.' => 'Yeni bir Grup ekle.',
        'Add a new Notification.' => 'yeni bildirim ekle',
        'Add a new Priority.' => 'yeni bir ncelik ekle',
        'Add a new Role.' => 'Yeni bir Rol ekle.',
        'Add a new SLA.' => 'Yeni bir SLA ekle.',
        'Add a new Salutation.' => 'Yeni bir Selamlama ekle.',
        'Add a new Service.' => 'Yeni bir Servis ekle.',
        'Add a new Signature.' => 'Yeni bir mza ekle.',
        'Add a new State.' => 'Yeni bir Durum ekle.',
        'Add a new System Address.' => 'Yeni bir Sistem Adresi ekle.',
        'Add a new Type.' => 'Yeni bir Tip ekle.',
        'Add note to ticket' => 'Bilete not ekle',
        'Added User "%s"' => 'Kullanc "%s" eklendi.',
        'Admin-Area' => 'Ynetim Alan',
        'Admin-Password' => 'Ynetici Parolas',
        'Admin-User' => 'Ynetici Kullanc',
        'Agent Mailbox' => 'Arac Posta Kutusu',
        'Agent Preferences' => 'Arac Tercihleri',
        'Agent based' => 'arac bazl',
        'Agent-Area' => 'Arac Alan',
        'All Agent variables.' => 'Tm Arac deikenleri',
        'All Agents' => 'Tm Araclar',
        'All Customer variables like defined in config option CustomerUser.' => 'Mteri Kullanc yaplandrma seeneinde tanmland ekliyle tm Mteri deikenleri.',
        'All customer tickets.' => 'Tm mteri biletleri.',
        'All incoming emails with this "Email" (To:) will be dispatched in the selected queue!' => 'Bu e-posta adresinden gelen tm e-postalar seili kuyrua ynlendirilir.',
        'All messages' => 'Tm mesajlar',
        'All new tickets!' => 'tm yeni biletler',
        'All tickets where the reminder date has reached!' => 'hatrlatma tarihi gelen tm biletler',
        'Allocate CustomerUser to service' => 'MteriKullancy servise ata',
        'Allocate services to CustomerUser' => 'Servisleri MteriKullancya ata',
        'Answer' => 'Cevapla',
        'Attach' => 'Ekle',
        'Attribute' => 'Nitelik',
        'Auto Response From' => 'Otomatik Yantlayan',
        'Bounce ticket' => 'Bileti tele',
        'CSV' => 'CSV',
        'Can\'t update password, invalid characters!' => 'Parola gncellenemiyor, geersiz karakterler var!',
        'Can\'t update password, must be at least %s characters!' => 'Parola gncellenemiyor, en az %s karakter girmelisiniz!',
        'Can\'t update password, must contain 2 lower and 2 upper characters!' => 'Parola gncellenemiyor, 2 kk harf ve 2 byk harf girmelisiniz!',
        'Can\'t update password, needs at least 1 digit!' => 'Parola gncellenemiyor, en az 1 say girmelisiniz!',
        'Can\'t update password, needs at least 2 characters!' => 'Parola gncellenemiyor, en az 2 karakter girmelisiniz!',
        'Can\'t update password, your new passwords do not match! Please try again!' => 'Parola gncellenemiyor, parolalar birbirleriyle uyumuyor! Ltfen tekrar deneyin!',
        'Category Tree' => 'Kategori Aac',
        'Change %s settings' => '%s ayarlarn deitir',
        'Change Time' => 'Deiiklik Zaman',
        'Change free text of ticket' => 'Biletin serbest metnini deitir',
        'Change owner of ticket' => 'Biletin sahibini deitir',
        'Change priority of ticket' => 'Biletin nceliini deitir',
        'Change responsible of ticket' => 'Biletin sorumlusunu deitir',
        'Change user <-> group settings' => 'Kullanc <-> grup seeneklerini deitir',
        'ChangeLog' => 'Deiiklik Gnl',
        'Child-Object' => 'Alt Nesne',
        'Classification' => 'Sralama',
        'Clear From' => 'Gnderen ksmn temizle',
        'Clear To' => 'Kime alann temizle',
        'Click here to report a bug!' => 'Hata raporlamak iin buraya tklayn!',
        'Close ticket' => 'Bileti kapat',
        'Close type' => 'Tipi kapat',
        'Close!' => 'Kapat!',
        'Comment (internal)' => 'Yorum (i)',
        'CompanyTickets' => 'irket Biletleri',
        'Compose Answer' => 'Cevap yaz',
        'Compose Email' => 'E-Posta Yaz',
        'Compose Follow up' => 'Takip mesaj yaz',
        'Config Options' => 'Yaplandrma Seenekleri',
        'Config options (e. g. &lt;OTRS_CONFIG_HttpType&gt;)' => 'Yaplandrma seenekleri (rn. &lt;OTRS_CONFIG_HttpType&gt;)',
        'Config options (e. g. <OTRS_CONFIG_HttpType>)' => 'Yaplandrma seenekleri (rn. <OTRS_CONFIG_HttpType>)',
        'Config options (e. g. <OTRS_CONFIG_HttpType>).' => 'Yaplandrma seenekleri (rnein <OTRS_CONFIG_HttpType).',
        'Contact customer' => 'Mteriyle balant kur',
        'Create Times' => 'Oluturma Zamanlar',
        'Create new Phone Ticket' => 'Yeni Telefon Bileti olutur',
        'Create new database' => 'Yeni veritaban olutur',
        'Create new groups to handle access permissions for different groups of agent (e. g. purchasing department, support department, sales department, ...).' => 'Farkl arac gruplarnn (rnein satnalma blm, destek blm, sat blm, ...) eriim izinlerini dzenlemek iin yeni gruplar olutur.',
        'CreateTicket' => 'Bilet Olutur',
        'Current Impact Rating' => 'u Andaki Etki Oran',
        'Customer Move Notify' => 'Mteri Tama Bildirimi',
        'Customer Owner Notify' => 'Mteri Sahip Bildirimi',
        'Customer State Notify' => 'Mteri Durum Bildirimi',
        'Customer User' => 'Mteri Kullanc',
        'Customer User Management' => 'Mteri Kullanc Ynetimi',
        'Customer Users' => 'Mteri Kullanclar',
        'Customer Users <-> Groups' => 'Mteri Kullanclar <-> Gruplar',
        'Customer Users <-> Groups Management' => 'Mteri Kullanclar <-> Grup Ynetimi',
        'Customer Users <-> Services' => 'Mteri Kullanclar <-> Servisler',
        'Customer Users <-> Services Management' => 'Kullanc Mteriler <-> Servis Ynetimi',
        'Customer history' => 'Mteri tarihesi',
        'Customer history search' => 'Mteri tarihe aramas',
        'Customer history search (e. g. "ID342425").' => 'Mteri tarihe aramas (rn. "ID342425").',
        'Customer user will be needed to have a customer history and to login via customer panel.' => 'Mteri kullanc bir mteri gemii ve mteri panelinden oturum amak iin gereklidir.',
        'CustomerUser' => 'MteriKullanc',
        'D' => 'D',
        'DB Admin Password' => 'Veritaban Yneticisi Parolas',
        'DB Admin User' => 'Veritaban Yneticisi Kullanc',
        'DB connect host' => 'Veritabanna balanan sunucu',
        'Default' => 'ntanml',
        'Default Charset' => 'ntanml karakter kmesi',
        'Default Language' => 'ntanml dil',
        'Delete old database' => 'Eski veritabann sil',
        'Detail' => 'Detay',
        'Diff' => 'Fark',
        'Discard all changes and return to the compose screen' => 'Tm deiiklikleri geri al ve oluturma ekranna geri dn',
        'Do dispatch or filter incoming emails based on email X-Headers! RegExp is also possible.' => 'Gelen elektronik postalar gnderme veya szme ilemini elektronik postadaki X-Balklarna gre yap! Dzenli ifadeler (RegExp) de kullanlabilir.',
        'Do you really want to delete this Object?' => 'Gerekten bu nesneyi silmek istiyor musunuz?',
        'Do you really want to reinstall this package (all manual changes get lost)?' => 'Gerekten bu paketi yeniden yklemek istiyor musunuz (elle yaptnz tm deiiklikler gider)?',
        'Don\'t forget to add a new user to groups and/or roles!' => 'Yeni kullanclar gruplara ve/veya rollere eklemeyi unutmayn!',
        'Don\'t forget to add a new user to groups!' => 'Yeni kullancy gruplara atamay unutmayn!',
        'Don\'t work with UserID 1 (System account)! Create new users!' => 'Kullanc kimlii 1 (Sistem hesab) ile almayn! Yeni kullanclar oluturun!',
        'Download Settings' => 'ndirme Ayarlar',
        'Download all system config changes.' => 'Tm sistem yaplandrma deiikliklerini indir.',
        'Drop Database' => 'Veritabann Sil',
        'Dynamic-Object' => 'Dinamik Nesne',
        'Edit default services.' => 'Varsaylan servisleri belirle.',
        'Email based' => 'eposta bazl',
        'Escalation - First Response Time' => 'Ykseltme - ilk Yant Zaman',
        'Escalation - Solution Time' => 'Ykseltme - zmleme Zaman',
        'Escalation - Update Time' => 'Ykseltme - Gncelleme Zaman',
        'Escalation time' => 'Ykseltme zaman',
        'Explanation' => 'Aklama',
        'Export Config' => 'Yaplandrmay Dar Aktar',
        'FAQ Search Result' => 'SSS Arama Sonucu',
        'FAQ System History' => 'SSS Sistemi Tarihesi',
        'File-Name' => 'Dosya ad',
        'File-Path' => 'Dosya Yolu',
        'Filelist' => 'Dosya listesi',
        'Filtername' => 'Szge ad',
        'Follow up' => 'Takip',
        'Follow up notification' => 'Takip bildirimi',
        'For very complex stats it is possible to include a hardcoded file.' => 'ok karmak istatistikler sz konusu olduunda nceden hazrlanm bir dosyay da dahil etmek mmkndr.',
        'Frontend' => 'nyz',
        'Fulltext-Search in Article (e. g. "Mar*in" or "Baue*")' => 'Mesajda tam metin aramas (rnein "Ay*egl" veya "ak*r")',
        'Go' => 'Devam',
        'Group Ro' => 'Grup Ro',
        'Group based' => 'grup bazl',
        'Group selection' => 'Grup seimi',
        'Have a lot of fun!' => 'yi elenceler!',
        'Here you can define the value series. You have the possibility to select one or two elements. Then you can select the attributes of elements. Each attribute will be shown as single value series. If you don\'t select any attribute all attributes of the element will be used if you generate a stat. As well a new attribute is added since the last configuration.' => 'Burada deer serilerini seebilirsiniz. Bir veya iki e seebilirsiniz. Sonra elerin niteliklerini seebilirsiniz. Her nitelik tek deer serileri olarak gsterilir. Eer herhangi bir nitelik semeden istatistik oluturursanz enin tm nitelikleri kullanlr.  Son yaplandrmadan sonra yeni bir nitelik eklendiinde de.',
        'Here you can define the x-axis. You can select one element via the radio button. Then you you have to select two or more attributes of the element. If you make no selection all attributes of the element will be used if you generate a stat. As well a new attribute is added since the last configuration.' => 'Burada X eksenini belirleyebilirsiniz. Radyo dmesiyle bir e seebilirsiniz. Sonra enin iki veya daha fazla niteliini semelisiniz. Herhangi bir seim yapmadan bir istatistik oluturursanz enin tm nitelikleri kullanlr. Son yaplandrmadan sonra bir nitelik eklendiinde de.',
        'Here you can insert a description of the stat.' => 'Buraya istatistie bir aklama girebilirsiniz.',
        'Here you can select the dynamic object you want to use.' => 'Burada kullanmak istediiniz dinamik nesneyi seebilirsiniz.',
        'Home' => 'Ana sayfa',
        'If a new hardcoded file is available this attribute will be shown and you can select one.' => 'Eer nceden hazrlanm bir dosya bulunursa bu nitelik gsterilir ve birini seebilirsiniz.',
        'If a ticket is closed and the customer sends a follow up the ticket will be locked for the old owner.' => 'Eer bir bilet kapatlrsa ve ardndan mteri bir mesaj gnderirse, bilet eski sahibi iin kilitlenir.',
        'If a ticket will not be answered in this time, just only this ticket will be shown.' => 'Eer bir bilet bu sre zarfnda yantlanmazsa, sadece bu bilet gsterilir.',
        'If an agent locks a ticket and he/she will not send an answer within this time, the ticket will be unlock automatically. So the ticket is viewable for all other agents.' => 'Eer bir arac bir bileti kilitler ve bu srede bir yant gndermezse, biletin kilidi otomatik olarak kaldrlr. Dolaysyla bilet dier tm araclara grnr hale gelir.',
        'If nothing is selected, then there are no permissions in this group (tickets will not be available for the user).' => 'Eer hibirey seilmemise, bu grupta hi izin yoktu (biletler kullancya ak olmayacaktr).',
        'If you need the sum of every column select yes.' => 'Her stunun toplanmasn istiyorsanz \'Evet\'i sein.',
        'If you need the sum of every row select yes' => 'Her satrn toplanmasn istiyorsanz \'Evet\'i sein',
        'If you use RegExp, you also can use the matched value in () as [***] in \'Set\'.' => 'Dzenli ifadeler (RegExp) kullanrsanz, \'Kme\' ksmnda eleen deer iin () yerine [***]da kullanabilirsiniz. ',
        'Image' => 'Resim',
        'Important' => 'nemli',
        'Imported' => 'eri aktarld',
        'Imported by' => 'eri aktaran',
        'In this form you can select the basic specifications.' => 'Bu formda temel belirtimleri seebilirsiniz.',
        'In this way you can directly edit the keyring configured in Kernel/Config.pm.' => 'Bu ekilde Kernel/Config.pm dosyasnda yaplandrlm olan anahtar halkasn (keyring) deitirebilirsiniz',
        'Information about the Stat' => 'statistik hakknda bilgi',
        'Insert of the common specifications' => 'Sadece ortak belirtimleri gir',
        'Instance' => 'Kopya',
        'Is Job Valid' => 'in geerli olup olmad',
        'Is Job Valid?' => ' geerli mi?',
        'It\'s useful for ASP solutions.' => 'ASP zmleri iin kullanldr.',
        'It\'s useful for a lot of users and groups.' => 'ok sayda kullanc ve grup iin kullanldr.',
        'Job-List' => ' Listesi',
        'Keyword' => 'Anahtar kelime',
        'Keywords' => 'Anahtar Kelimeler',
        'Last update' => 'Son gncelleme',
        'Load' => 'Ykle',
        'Load Settings' => 'Ayarlar Ykle',
        'Logfile' => 'Gnlk dosyas',
        'Logfile too large, you need to reset it!' => 'Gnlk dosyas ok byk, boaltmalsnz!',
        'Login failed! Your username or password was entered incorrectly.' => 'Oturum alamad! Kullanc adnz veya parolanz hatal.',
        'Lookup' => 'Ara',
        'Mail Management' => 'Posta Ynetimi',
        'Mailbox' => 'Posta kutusu',
        'Match' => 'Eleen',
        'Message for new Owner' => 'Yeni Sahibine mesaj',
        'Message sent to' => 'Mesaj gnderildi',
        'Misc' => 'eitli',
        'Modified' => 'Deitirildi',
        'Modules' => 'Bileenler',
        'Move notification' => 'Tama bildirimi',
        'Multiple selection of the output format.' => 'kt biimi iin birden fazla seim.',
        'My Queue' => 'Kuyruun',
        'MyTickets' => 'Biletlerim',
        'Name is required!' => 'Ad gerekli!',
        'New Agent' => 'Yeni Arac',
        'New Customer' => 'Yeni Mteri',
        'New Group' => 'Yeni Grup',
        'New Group Ro' => 'Yeni Grup Ro',
        'New Priority' => 'Yeni ncelik',
        'New State' => 'Yeni Durum',
        'New Ticket Lock' => 'Yeni Bilet Kilidi',
        'New account created. Sent Login-Account to %s.' => 'Yeni hesap acld. Giri bilgileri %s adresine yolland',
        'New messages' => 'Yeni mesajlar',
        'New password again' => 'Yeni parola (tekrar)',
        'No * possible!' => '"*" kullanlamaz!',
        'No Packages for requested Framework in this Online Repository, but Packages for other Frameworks!' => 'Bu evrimii Depoda stenen versiyon iin Paket bulunamad, ama baka versiyonlar iin var!',
        'No Packages or no new Packages in selected Online Repository!' => 'Seili evrimii Depoda hi Paket yok veya hi yeni Paket yok!',
        'No Permission' => 'zin yok',
        'No means, send agent and customer notifications on changes.' => 'Hayr, deiikliklerde araclara ve mterilere bildirim gnder demektir.',
        'No time settings.' => 'Zaman ayar yok.',
        'Node-Address' => 'Dm Adresi',
        'Node-Name' => 'Dm Ad',
        'Note' => 'Not',
        'Note Text' => 'Not Metni',
        'Notification (Customer)' => 'Bildirim (mteri)',
        'Notifications' => 'Bildirimler',
        'OTRS DB Password' => 'OTRS Veritaban Parolas',
        'OTRS sends an notification email to the customer if the ticket is moved.' => 'Eer bilet tanrsa OTRS mteriye bir bildirim e-postas gnderir.',
        'OTRS sends an notification email to the customer if the ticket owner has changed.' => 'Eer bilet sahibi deiirse OTRS mteriye bir bildirim e-postas gnderir.',
        'OTRS sends an notification email to the customer if the ticket state has changed.' => 'Eer bilet durumu deiirse OTRS mteriye bir bildirim e-postas gnderir.',
        'Of couse this feature will take some system performance it self!' => 'Elbette bu zellik sistem performansndan biraz alr.',
        'Open Tickets' => 'Ak Biletler',
        'Options of the current customer user data (e. g. &lt;OTRS_CUSTOMER_DATA_USERFIRSTNAME&gt;)' => 'Muteri kullanc verisi seenekleri (rn. &lt;OTRS_CUSTOMER_DATA_USERFIRSTNAME&gt;).',
        'Options of the current customer user data (e. g. <OTRS_CUSTOMER_DATA_UserFirstname>)' => 'Mevcut mteri kullanc verileri (rn. <OTRS_CUSTOMER_DATA_UserFirstname>) seenekleri',
        'Options of the current customer user data (e. g. <OTRS_CUSTOMER_DATA_UserFirstname>).' => 'Mevcut mteri kullanc verisi seenekleri (rnein <OTRS_CUSTOMER_DATA_UserFirstname>).',
        'Options of the current user who requested this action (e. g. &lt;OTRS_CURRENT_USERFIRSTNAME&gt;)' => 'Bu eylemi isteyen kulancnn (rn. &lt;OTRS_CURRENT_USERFIRSTNAME&gt;) seenekleri',
        'Options of the current user who requested this action (e. g. <OTRS_CURRENT_UserFirstname>)' => 'Bu eylem iin istekte bulunan kullancnn seenekleri (rn. <OTRS_CURRENT_UserFirstname>)',
        'Options of the current user who requested this action (e. g. <OTRS_CURRENT_UserFirstname>).' => 'Bu eyleme isteyen etkin kullanc seenekleri (rnein <OTRS_CURRENT_UserFirstname).',
        'Options of the ticket data (e. g. &lt;OTRS_TICKET_Number&gt;, &lt;OTRS_TICKET_ID&gt;, &lt;OTRS_TICKET_Queue&gt;, &lt;OTRS_TICKET_State&gt;)' => 'Bilet verisinin seenekleri (rn. &lt;OTRS_TICKET_Number&gt;, &lt;OTRS_TICKET_ID&gt;, &lt;OTRS_TICKET_Queue&gt;, &lt;OTRS_TICKET_State&gt;)',
        'Options of the ticket data (e. g. <OTRS_TICKET_Number>, <OTRS_TICKET_ID>, <OTRS_TICKET_Queue>, <OTRS_TICKET_State>)' => 'Bilet verisi seenekleri (rn. <OTRS_TICKET_Number>, <OTRS_TICKET_ID>, <OTRS_TICKET_Queue>, <OTRS_TICKET_State>)',
        'Options of the ticket data (e. g. <OTRS_TICKET_TicketNumber>, <OTRS_TICKET_ID>, <OTRS_TICKET_Queue>, <OTRS_TICKET_State>)' => 'Bilet verisi seenekleri (rn. <OTRS_TICKET_TicketNumber>, <OTRS_TICKET_ID>, <OTRS_TICKET_Queue>, <OTRS_TICKET_State>)',
        'Options of the ticket data (e. g. <OTRS_TICKET_TicketNumber>, <OTRS_TICKET_TicketID>, <OTRS_TICKET_Queue>, <OTRS_TICKET_State>).' => 'Bilet verisi seenekleri (rnein <OTRS_TICKET_TicketNumber>, <OTRS_TICKET_TicketID>, <OTRS_TICKET_Queue>, <OTRS_TICKET_State>).',
        'Order' => 'Sralama',
        'Other Options' => 'Dier Seenekler',
        'POP3 Account Management' => 'POP3 Hesap Ynetimi',
        'Package' => 'Paket',
        'Param 1' => 'Param 1',
        'Param 2' => 'Param 2',
        'Param 3' => 'Param 3',
        'Param 4' => 'Param 4',
        'Param 5' => 'Param 5',
        'Param 6' => 'Param 6',
        'Parent-Object' => 'Ebeveyn Nesne',
        'Password is already in use! Please use an other password!' => 'Parola kullanmda! Ltfen baka bir parola seiniz!',
        'Password is already used! Please use an other password!' => 'Parola  daha nce kullanld! Ltfen baka bir parola seiniz!',
        'Passwords doesn\'t match! Please try it again!' => 'Parolalar uyumuyor! Ltfen tekrar deneyin!',
        'Pending Times' => 'Bekleme Zamanlar',
        'Pending messages' => 'Bekleyen mesajlar',
        'Pending type' => 'Bekleme tipi',
        'Permission settings. You can select one or more groups to make the configurated stat visible for different agents.' => 'zin ayarlar. Ayarlanan istatistiin farkl araclara grnr olmas iin bir veya daha fazla grup seebilirsiniz.',
        'Permissions to change the ticket owner in this group/queue.' => 'Bu grupta/kuyrukta bilet sahibini deitirme izni.',
        'PhoneView' => 'Telefon Grn',
        'Please contact your admin' => 'Ltfen yneticiyle iletiime gein',
        'Prio' => 'ncelik',
        'Process-Path' => 'lem Yolu',
        'Product' => 'rn',
        'Queue <-> Auto Responses Management' => 'Kuyruk <-> Otomatik Yant Ynetimi',
        'Queue Management' => 'Kuyruk Ynetimi',
        'Queues <-> Auto Responses' => 'Kuyruk <-> Otomatik Yantlar',
        'Realname' => 'Gerek ad',
        'Rebuild' => 'Yeniden na Et',
        'Recipients' => 'Alclar',
        'Refresh' => 'Tazele',
        'Reminder' => 'Hatrlatc',
        'Reminder messages' => 'Hatrlatc mesajlar',
        'Reporter' => 'Bildiren',
        'Required Field' => 'Gerekli alan',
        'Response Management' => 'Yant Ynetimi',
        'Responses <-> Attachments Management' => 'Yantlar <-> Ekler Ynetimi',
        'Responses <-> Queue Management' => 'Yantlar <-> Kuyruk Ynetimi',
        'Return to the compose screen' => 'Oluturma ekranna geri dn',
        'Role' => 'Rol',
        'Roles <-> Groups Management' => 'Roller <-> Gruplar Ynetimi',
        'Roles <-> Users' => 'Roller <-> Kullanclar',
        'Roles <-> Users Management' => 'Roller <-> Kullanclar Ynetimi',
        'Save Job as?' => 'i ne olarak kaydedeyim?',
        'Save Search-Profile as Template?' => 'Arama Profili ablon olarak kaydedilsin mi?',
        'Schedule' => 'Takvim',
        'Search Result' => 'Arama Sonu',
        'Search for' => 'Ara',
        'Select Box' => 'Seim Kutusu',
        'Select Box Result' => 'Sein Kutusu Sonucu',
        'Select Source (for add)' => 'Kayna Sein (eklemek iin)',
        'Select the customeruser:service relations.' => 'Mterikullanc:servis ilikilerini belirle.',
        'Select the element, which will be used at the X-axis' => 'X-ekseni olarak kullanlacak eyi sein.',
        'Select the restrictions to characterise the stat' => 'statistii kiiselletirmek iin kstlamalar sein',
        'Select the role:user relations.' => 'Rol:kullanc ilikilerini sein.',
        'Select the user:group permissions.' => 'Kullanc:grup izinlerini deitir.',
        'Select your QueueView refresh time.' => 'Kuyruk Grnm tazeleme skln sein.',
        'Select your default spelling dictionary.' => 'ntanml szdizim szlnz sein.',
        'Select your frontend Charset.' => 'nyz Karakter Kmesini sein.',
        'Select your frontend QueueView.' => 'nyz Kuyruk Grnmnz sein.',
        'Select your frontend language.' => 'nyz Dilini sein.',
        'Select your screen after creating a new ticket.' => 'Yeni bir bilet oluturduktan sonra grmek istediiniz ekran sein.',
        'Selection needed' => 'Seim gerekli',
        'Send Notification' => 'Bildirim Gnder',
        'Send me a notification if a customer sends a follow up and I\'m the owner of this ticket.' => 'Eer bu biletin sahibi bensem ve bir mteri takip eden mesaj gnderirse bana bildirim gnder.',
        'Send no notifications' => 'Bildirim gnderme',
        'Sent new password to: %s' => 'yeni parola %s e gnderildi',
        'Sent password token to: %s' => 'parola simgesi %s e gnderildi',
        'Service-Name' => 'Servis Ad',
        'Sessions' => 'Oturumlar',
        'Set customer user and customer id of a ticket' => 'Bir biletin mteri kullancsn ve mteri kimliini belirle',
        'Show' => 'Gster',
        'Site' => 'Site',
        'Solution' => 'zm',
        'Sort by' => 'una gre srala:',
        'Source' => 'Kaynak',
        'Spell Check' => 'Szdizim Kontrol',
        'Split' => 'Ayr',
        'State Type' => 'Durum Tipi',
        'Static-File' => 'Sabit Dosya',
        'Stats-Area' => 'statistikler Alan',
        'Sub-Queue of' => 'unun Alt Kuyruu:',
        'Sub-Service of' => 'unun Alt Servisi:',
        'Subscribe' => 'Abone ol',
        'System State Management' => 'Sistem Durumu Ynetimi',
        'System Status' => 'Sistem Durumu',
        'Systemaddress' => 'Sistem adresi',
        'The message being composed has been closed.  Exiting.' => 'Oluturulan mesaj kapatld. klyor.',
        'These values are read-only.' => 'Bu deerler salt-okunurdur.',
        'These values are required.' => 'Bu deerler gereklidir.',
        'This account exists' => 'Bu hesap zaten var',
        'This account exists.' => 'bu hesap mevcut',
        'This is useful if you want that no one can get the result of the stat or the stat isn\'t ready configurated.' => 'Eer istatistik sonularnn kimseye ak olmamasn veya istatistiin yaplandrlmam olmamasn istiyorsanz bu seenek kullanldr.',
        'This window must be called from compose window' => 'Bu pencere \'yeni mesaj\' penceresinden almaldr',
        'Ticket Lock' => 'Bilet Kilidi',
        'Ticket Number Generator' => 'Bilet Numaras reteci',
        'Ticket Search' => 'Bilet ara',
        'Ticket Status View' => 'Bilet Durumu Grnm',
        'Ticket escalation!' => 'Bilet Ykseltme!',
        'Ticket locked!' => 'Bilet kilitlendi!',
        'Ticket owner options (e. g. &lt;OTRS_OWNER_USERFIRSTNAME&gt;)' => 'Bilet sahibi seenekleri (rn. &lt;OTRS_OWNER_USERFIRSTNAME&gt;)',
        'Ticket owner options (e. g. <OTRS_OWNER_UserFirstname>)' => 'Bilet sahibi seenekleri (rn. <OTRS_OWNER_UserFirstname>)',
        'Ticket owner options (e. g. <OTRS_OWNER_UserFirstname>).' => 'Bilet sahibi seenekleri (rnein <OTRS_OWNER_UserFirstname>).',
        'Ticket responsible options (e. g. <OTRS_RESPONSIBLE_UserFirstname>).' => 'Bilet sorumlusu seenekleri (rnein <OTRS_RESPONSIBLE_UserFirstname>).',
        'Ticket selected for bulk action!' => 'Bilet toplu ilem iin seildi',
        'Ticket unlock!' => 'Biletin kilidi ald!',
        'Ticket-Area' => 'Bilet Alan',
        'TicketFreeText' => 'BiletSerbestMetni',
        'TicketZoom' => 'Bilet Detaylar',
        'Tickets shown' => 'Gsterilen biletler',
        'Tickets which need to be answered!' => 'cevap bekleyen biletler',
        'Timeover' => 'Sre bitimi',
        'Times' => 'Zaman',
        'Title of the stat.' => 'statistiin bal.',
        'To get the article attribute (e. g. (<OTRS_CUSTOMER_From>, <OTRS_CUSTOMER_To>, <OTRS_CUSTOMER_Cc>, <OTRS_CUSTOMER_Subject> and <OTRS_CUSTOMER_Body>).' => 'Yaz niteliklerini al (rnein (<OTRS_CUSTOMER_From>, <OTRS_CUSTOMER_To>, <OTRS_CUSTOMER_Cc>, <OTRS_CUSTOMER_Subject> ve <OTRS_CUSTOMER_Body>).',
        'Top of Page' => 'Yukar',
        'Total hits' => 'Toplam isabet',
        'U' => 'U',
        'Unable to parse Online Repository index document!' => 'evrimii Depo endeks belgesi ayrtrlamad!',
        'Uniq' => 'Tekil',
        'Unlock Tickets' => 'Biletlerin kilidini a',
        'Unsubscribe' => 'Abonelikten k',
        'Use utf-8 it your database supports it!' => 'Eer veritabannz destekliyorsa utf-8 kullann!',
        'Useable options' => 'Kullanlabilir seenekler',
        'User Management' => 'Kullanc Ynetimi',
        'User will be needed to handle tickets.' => 'Biletlerle ilgilenmek iin kullanc gerekir.',
        'User-Name' => 'Kullanc Ad',
        'User-Number' => 'Kullanc Numaras',
        'Users' => 'Kullanclar',
        'Users <-> Groups' => 'Kullanclar <-> Gruplar',
        'Users <-> Groups Management' => 'Kullanclar <-> Gruplar Ynetimi',
        'Warning! This tickets will be removed from the database! This tickets are lost!' => 'Uyar! Bu biletler veritabanndan silinecek! Geri dn yoktur!',
        'Web-Installer' => 'Webden Ykleme',
        'Welcome to OTRS' => 'OTRS\'ye hogeldiniz',
        'With an invalid stat it isn\'t feasible to generate a stat.' => 'Geersiz bir istatistikle, istatistik oluturmak mmkn olmaz.',
        'With the input and select fields you can configurate the stat at your needs. Which elements of a stat you can edit depends on your stats administrator who configurated the stat.' => 'Giri ve seme alanlaryla istatistii istediiniz gibi ayarlayabilirsiniz. statistiin hangi elerini deitrebileceiniz istatistii ayarlayan istatistik yneticisine baldr',
        'Workflow Groups' => 'alma ak Gruplar',
        'Yes means, send no agent and customer notifications on changes.' => 'Evet, deiiklik durumunda araclar ve mterilere bildirim gnderme demektir.',
        'Yes, save it with name' => 'Evet, u adla kaydet',
        'You got new message!' => 'Yeni mesajnz var!',
        'You have to select two or more attributes from the select field!' => 'Seim alanndan iki veya daha fazla nitelik semelisiniz!',
        'You need a email address (e. g. customer@example.com) in To:!' => 'Kime ksmnda bir e-posta adresi (rn. musteri@ornek.com) olmaldr!',
        'You need min. one selected Ticket!' => 'En az bir Bilet seili olmaldr!',
        'You need to account time!' => 'Zaman hesaba katmalsnz!',
        'You need to activate %s first to use it!' => 'Kullanabilmek iin %s nce etkinletirin!',
        'You use the DELETE option! Take care, all deleted Tickets are lost!!!' => 'SL seeneini kullandnz! Silinen Biletlerin kurtarlamayacan unutmayn!!!',
        'Your email address is new' => 'E-posta adresiniz yeni',
        'Your email with ticket number "<OTRS_TICKET>" is bounced to "<OTRS_BOUNCE_TO>". Contact this address for further information.' => '"<OTRS_TICKET>" bilet numaral e-postanz "<OTRS_BOUNCE_TO>" adresine gnderildi. Daha fazla bilgi iin bu adresle balantya gein.',
        'Your own Ticket' => 'Kendi Biletiniz',
        'customer realname' => 'mterinin gerek ad',
        'down' => 'aa',
        'false' => 'false',
        'for agent firstname' => 'arac ad iin',
        'for agent lastname' => 'arac soyad iin',
        'for agent login' => 'arac oturumu iin',
        'for agent user id' => 'arac kullanc kimlii iin',
        'kill all sessions' => 'tm oturumlar sonlandr',
        'kill session' => 'oturumu ldr',
        'modified' => 'deitirilmi',
        'new ticket' => 'yeni bilet',
        'next step' => 'sonraki adm',
        'not rated' => 'puan verilmedi',
        'not verified' => 'onaylanmad',
        'read' => 'okunmu',
        'send' => 'gnder',
        'sort downward' => 'aaya doru srala',
        'sort upward' => 'yukar doru srala',
        'tmp_lock' => 'geici kilit',
        'to get the first 20 character of the subject' => 'konunun ilk 20 karakterini almak iin',
        'to get the first 5 lines of the email' => 'e-postann ilk be satrn almak iin',
        'to get the from line of the email' => 'e-postann \'kime\' alann almak iin',
        'to get the realname of the sender (if given)' => 'gndericinin gerek adn (eer verilmise) almak iin',
        'unknown' => 'bilinmiyor',
        'unread' => 'okunmad',
        'up' => 'yukar',
        'verified' => 'onayland',
        'x' => 'x',
        'your MySQL DB should have a root password! Default is empty!' => 'MySQL veritabannzn root kullancsnn bir parolas olmaldr. ntanml olarak botur!',

    };
    # $$STOP$$
    return;
}

1;
